searchNodes=[{"ref":"GoogleApi.YouTube.V3.Api.Activities.html","title":"GoogleApi.YouTube.V3.Api.Activities","type":"module","doc":"API calls for all endpoints tagged Activities."},{"ref":"GoogleApi.YouTube.V3.Api.Activities.html#youtube_activities_insert/4","title":"GoogleApi.YouTube.V3.Api.Activities.youtube_activities_insert/4","type":"function","doc":"Posts a bulletin for a specific channel. (The user submitting the request must be authorized to act on the channel&#39;s behalf.) Note: Even though an activity resource can contain information about actions like a user rating a video or marking a video as a favorite, you need to use other API methods to generate those activity resources. For example, you would use the API&#39;s videos.rate() method to rate a video and the playlistItems.insert() method to mark a video as a favorite. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.YouTube.V3.Model.Activity.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Activity{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Activities.html#youtube_activities_list/4","title":"GoogleApi.YouTube.V3.Api.Activities.youtube_activities_list/4","type":"function","doc":"Returns a list of channel activity events that match the request criteria. For example, you can retrieve events associated with a particular channel, events associated with the user&#39;s subscriptions and Google+ friends, or the YouTube home page feed, which is customized for each user. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more activity resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in an activity resource, the snippet property contains other properties that identify the type of activity, a display title for the activity, and so forth. If you set part=snippet, the API response will also contain all of those nested properties. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :channelId (type: String.t) - The channelId parameter specifies a unique YouTube channel ID. The API will then return a list of that channel&#39;s activities. :home (type: boolean()) - Set this parameter&#39;s value to true to retrieve the activity feed that displays on the YouTube home page for the currently authenticated user. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :mine (type: boolean()) - Set this parameter&#39;s value to true to retrieve a feed of the authenticated user&#39;s activities. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. :publishedAfter (type: DateTime.t) - The publishedAfter parameter specifies the earliest date and time that an activity could have occurred for that activity to be included in the API response. If the parameter value specifies a day, but not a time, then any activities that occurred that day will be included in the result set. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. :publishedBefore (type: DateTime.t) - The publishedBefore parameter specifies the date and time before which an activity must have occurred for that activity to be included in the API response. If the parameter value specifies a day, but not a time, then any activities that occurred that day will be excluded from the result set. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. :regionCode (type: String.t) - The regionCode parameter instructs the API to return results for the specified country. The parameter value is an ISO 3166-1 alpha-2 country code. YouTube uses this value when the authorized user&#39;s previous activity on YouTube does not provide enough information to generate the activity feed. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ActivityListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html","title":"GoogleApi.YouTube.V3.Api.Captions","type":"module","doc":"API calls for all endpoints tagged Captions."},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_delete/4","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_delete/4","type":"function","doc":"Deletes a specified caption track. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter identifies the caption track that is being deleted. The value is a caption track ID as identified by the id property in a caption resource. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_download/4","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_download/4","type":"function","doc":"Downloads a caption track. The caption track is returned in its original format unless the request specifies a value for the tfmt parameter and in its original language unless the request specifies a value for the tlang parameter. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter identifies the caption track that is being retrieved. The value is a caption track ID as identified by the id property in a caption resource. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :tfmt (type: String.t) - The tfmt parameter specifies that the caption track should be returned in a specific format. If the parameter is not included in the request, the track is returned in its original format. :tlang (type: String.t) - The tlang parameter specifies that the API response should return a translation of the specified caption track. The parameter value is an ISO 639-1 two-letter language code that identifies the desired caption language. The translation is generated by using machine translation, such as Google Translate. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_insert/4","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_insert/4","type":"function","doc":"Uploads a caption track. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the caption resource parts that the API response will include. Set the parameter value to snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :sync (type: boolean()) - The sync parameter indicates whether YouTube should automatically synchronize the caption file with the audio track of the video. If you set the value to true, YouTube will disregard any time codes that are in the uploaded caption file and generate new time codes for the captions. You should set the sync parameter to true if you are uploading a transcript, which has no time codes, or if you suspect the time codes in your file are incorrect and want YouTube to try to fix them. :body (type: GoogleApi.YouTube.V3.Model.Caption.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Caption{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_insert_iodata/7","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_insert_iodata/7","type":"function","doc":"Uploads a caption track. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the caption resource parts that the API response will include. Set the parameter value to snippet. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.Caption.t) - object metadata data (type: iodata) - Content to upload, as a string or iolist optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :sync (type: boolean()) - The sync parameter indicates whether YouTube should automatically synchronize the caption file with the audio track of the video. If you set the value to true, YouTube will disregard any time codes that are in the uploaded caption file and generate new time codes for the captions. You should set the sync parameter to true if you are uploading a transcript, which has no time codes, or if you suspect the time codes in your file are incorrect and want YouTube to try to fix them. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Caption{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_insert_resumable/5","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_insert_resumable/5","type":"function","doc":"Uploads a caption track. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the caption resource parts that the API response will include. Set the parameter value to snippet. upload_type (type: String.t) - Upload type. Must be &quot;resumable&quot;. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :sync (type: boolean()) - The sync parameter indicates whether YouTube should automatically synchronize the caption file with the audio track of the video. If you set the value to true, YouTube will disregard any time codes that are in the uploaded caption file and generate new time codes for the captions. You should set the sync parameter to true if you are uploading a transcript, which has no time codes, or if you suspect the time codes in your file are incorrect and want YouTube to try to fix them. :body (type: GoogleApi.YouTube.V3.Model.Caption.t) - opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_insert_simple/7","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_insert_simple/7","type":"function","doc":"Uploads a caption track. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the caption resource parts that the API response will include. Set the parameter value to snippet. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.Caption.t) - object metadata data (type: String.t) - Path to file containing content to upload optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :sync (type: boolean()) - The sync parameter indicates whether YouTube should automatically synchronize the caption file with the audio track of the video. If you set the value to true, YouTube will disregard any time codes that are in the uploaded caption file and generate new time codes for the captions. You should set the sync parameter to true if you are uploading a transcript, which has no time codes, or if you suspect the time codes in your file are incorrect and want YouTube to try to fix them. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Caption{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_list/5","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_list/5","type":"function","doc":"Returns a list of caption tracks that are associated with a specified video. Note that the API response does not contain the actual captions and that the captions.download method provides the ability to retrieve a caption track. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more caption resource parts that the API response will include. The part names that you can include in the parameter value are id and snippet. video_id (type: String.t) - The videoId parameter specifies the YouTube video ID of the video for which the API should return caption tracks. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :id (type: String.t) - The id parameter specifies a comma-separated list of IDs that identify the caption resources that should be retrieved. Each ID must identify a caption track associated with the specified video. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is on behalf of. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.CaptionListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_update/4","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_update/4","type":"function","doc":"Updates a caption track. When updating a caption track, you can change the track&#39;s draft status, upload a new caption file for the track, or both. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Set the property value to snippet if you are updating the track&#39;s draft status. Otherwise, set the property value to id. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :sync (type: boolean()) - Note: The API server only processes the parameter value if the request contains an updated caption file. The sync parameter indicates whether YouTube should automatically synchronize the caption file with the audio track of the video. If you set the value to true, YouTube will automatically synchronize the caption track with the audio track. :body (type: GoogleApi.YouTube.V3.Model.Caption.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Caption{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_update_iodata/7","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_update_iodata/7","type":"function","doc":"Updates a caption track. When updating a caption track, you can change the track&#39;s draft status, upload a new caption file for the track, or both. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Set the property value to snippet if you are updating the track&#39;s draft status. Otherwise, set the property value to id. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.Caption.t) - object metadata data (type: iodata) - Content to upload, as a string or iolist optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :sync (type: boolean()) - Note: The API server only processes the parameter value if the request contains an updated caption file. The sync parameter indicates whether YouTube should automatically synchronize the caption file with the audio track of the video. If you set the value to true, YouTube will automatically synchronize the caption track with the audio track. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Caption{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_update_resumable/5","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_update_resumable/5","type":"function","doc":"Updates a caption track. When updating a caption track, you can change the track&#39;s draft status, upload a new caption file for the track, or both. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Set the property value to snippet if you are updating the track&#39;s draft status. Otherwise, set the property value to id. upload_type (type: String.t) - Upload type. Must be &quot;resumable&quot;. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :sync (type: boolean()) - Note: The API server only processes the parameter value if the request contains an updated caption file. The sync parameter indicates whether YouTube should automatically synchronize the caption file with the audio track of the video. If you set the value to true, YouTube will automatically synchronize the caption track with the audio track. :body (type: GoogleApi.YouTube.V3.Model.Caption.t) - opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Captions.html#youtube_captions_update_simple/7","title":"GoogleApi.YouTube.V3.Api.Captions.youtube_captions_update_simple/7","type":"function","doc":"Updates a caption track. When updating a caption track, you can change the track&#39;s draft status, upload a new caption file for the track, or both. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Set the property value to snippet if you are updating the track&#39;s draft status. Otherwise, set the property value to id. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.Caption.t) - object metadata data (type: String.t) - Path to file containing content to upload optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOf (type: String.t) - ID of the Google+ Page for the channel that the request is be on behalf of :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :sync (type: boolean()) - Note: The API server only processes the parameter value if the request contains an updated caption file. The sync parameter indicates whether YouTube should automatically synchronize the caption file with the audio track of the video. If you set the value to true, YouTube will automatically synchronize the caption track with the audio track. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Caption{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.ChannelBanners.html","title":"GoogleApi.YouTube.V3.Api.ChannelBanners","type":"module","doc":"API calls for all endpoints tagged ChannelBanners."},{"ref":"GoogleApi.YouTube.V3.Api.ChannelBanners.html#youtube_channel_banners_insert/3","title":"GoogleApi.YouTube.V3.Api.ChannelBanners.youtube_channel_banners_insert/3","type":"function","doc":"Uploads a channel banner image to YouTube. This method represents the first two steps in a three-step process to update the banner image for a channel: Call the channelBanners.insert method to upload the binary image data to YouTube. The image must have a 16:9 aspect ratio and be at least 2120x1192 pixels. Extract the url property&#39;s value from the response that the API returns for step 1. Call the channels.update method to update the channel&#39;s branding settings. Set the brandingSettings.image.bannerExternalUrl property&#39;s value to the URL obtained in step 2. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :channelId (type: String.t) - The channelId parameter identifies the YouTube channel to which the banner is uploaded. The channelId parameter was introduced as a required parameter in May 2017. As this was a backward-incompatible change, channelBanners.insert requests that do not specify this parameter will not return an error until six months have passed from the time that the parameter was introduced. Please see the API Terms of Service for the official policy regarding backward incompatible changes and the API revision history for the exact date that the parameter was introduced. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.ChannelBannerResource.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ChannelBannerResource{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.ChannelBanners.html#youtube_channel_banners_insert_iodata/6","title":"GoogleApi.YouTube.V3.Api.ChannelBanners.youtube_channel_banners_insert_iodata/6","type":"function","doc":"Uploads a channel banner image to YouTube. This method represents the first two steps in a three-step process to update the banner image for a channel: Call the channelBanners.insert method to upload the binary image data to YouTube. The image must have a 16:9 aspect ratio and be at least 2120x1192 pixels. Extract the url property&#39;s value from the response that the API returns for step 1. Call the channels.update method to update the channel&#39;s branding settings. Set the brandingSettings.image.bannerExternalUrl property&#39;s value to the URL obtained in step 2. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.ChannelBannerResource.t) - object metadata data (type: iodata) - Content to upload, as a string or iolist optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :channelId (type: String.t) - The channelId parameter identifies the YouTube channel to which the banner is uploaded. The channelId parameter was introduced as a required parameter in May 2017. As this was a backward-incompatible change, channelBanners.insert requests that do not specify this parameter will not return an error until six months have passed from the time that the parameter was introduced. Please see the API Terms of Service for the official policy regarding backward incompatible changes and the API revision history for the exact date that the parameter was introduced. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ChannelBannerResource{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.ChannelBanners.html#youtube_channel_banners_insert_resumable/4","title":"GoogleApi.YouTube.V3.Api.ChannelBanners.youtube_channel_banners_insert_resumable/4","type":"function","doc":"Uploads a channel banner image to YouTube. This method represents the first two steps in a three-step process to update the banner image for a channel: Call the channelBanners.insert method to upload the binary image data to YouTube. The image must have a 16:9 aspect ratio and be at least 2120x1192 pixels. Extract the url property&#39;s value from the response that the API returns for step 1. Call the channels.update method to update the channel&#39;s branding settings. Set the brandingSettings.image.bannerExternalUrl property&#39;s value to the URL obtained in step 2. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server upload_type (type: String.t) - Upload type. Must be &quot;resumable&quot;. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :channelId (type: String.t) - The channelId parameter identifies the YouTube channel to which the banner is uploaded. The channelId parameter was introduced as a required parameter in May 2017. As this was a backward-incompatible change, channelBanners.insert requests that do not specify this parameter will not return an error until six months have passed from the time that the parameter was introduced. Please see the API Terms of Service for the official policy regarding backward incompatible changes and the API revision history for the exact date that the parameter was introduced. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.ChannelBannerResource.t) - opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.ChannelBanners.html#youtube_channel_banners_insert_simple/6","title":"GoogleApi.YouTube.V3.Api.ChannelBanners.youtube_channel_banners_insert_simple/6","type":"function","doc":"Uploads a channel banner image to YouTube. This method represents the first two steps in a three-step process to update the banner image for a channel: Call the channelBanners.insert method to upload the binary image data to YouTube. The image must have a 16:9 aspect ratio and be at least 2120x1192 pixels. Extract the url property&#39;s value from the response that the API returns for step 1. Call the channels.update method to update the channel&#39;s branding settings. Set the brandingSettings.image.bannerExternalUrl property&#39;s value to the URL obtained in step 2. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.ChannelBannerResource.t) - object metadata data (type: String.t) - Path to file containing content to upload optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :channelId (type: String.t) - The channelId parameter identifies the YouTube channel to which the banner is uploaded. The channelId parameter was introduced as a required parameter in May 2017. As this was a backward-incompatible change, channelBanners.insert requests that do not specify this parameter will not return an error until six months have passed from the time that the parameter was introduced. Please see the API Terms of Service for the official policy regarding backward incompatible changes and the API revision history for the exact date that the parameter was introduced. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ChannelBannerResource{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.ChannelSections.html","title":"GoogleApi.YouTube.V3.Api.ChannelSections","type":"module","doc":"API calls for all endpoints tagged ChannelSections."},{"ref":"GoogleApi.YouTube.V3.Api.ChannelSections.html#youtube_channel_sections_delete/4","title":"GoogleApi.YouTube.V3.Api.ChannelSections.youtube_channel_sections_delete/4","type":"function","doc":"Deletes a channelSection. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube channelSection ID for the resource that is being deleted. In a channelSection resource, the id property specifies the YouTube channelSection ID. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.ChannelSections.html#youtube_channel_sections_insert/4","title":"GoogleApi.YouTube.V3.Api.ChannelSections.youtube_channel_sections_insert/4","type":"function","doc":"Adds a channelSection for the authenticated user&#39;s channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part names that you can include in the parameter value are snippet and contentDetails. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :body (type: GoogleApi.YouTube.V3.Model.ChannelSection.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ChannelSection{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.ChannelSections.html#youtube_channel_sections_list/4","title":"GoogleApi.YouTube.V3.Api.ChannelSections.youtube_channel_sections_list/4","type":"function","doc":"Returns channelSection resources that match the API request criteria. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more channelSection resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, and contentDetails. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a channelSection resource, the snippet property contains other properties, such as a display title for the channelSection. If you set part=snippet, the API response will also contain all of those nested properties. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :channelId (type: String.t) - The channelId parameter specifies a YouTube channel ID. The API will only return that channel&#39;s channelSections. :hl (type: String.t) - The hl parameter indicates that the snippet.localized property values in the returned channelSection resources should be in the specified language if localized values for that language are available. For example, if the API request specifies hl=de, the snippet.localized properties in the API response will contain German titles if German titles are available. Channel owners can provide localized channel section titles using either the channelSections.insert or channelSections.update method. :id (type: String.t) - The id parameter specifies a comma-separated list of the YouTube channelSection ID(s) for the resource(s) that are being retrieved. In a channelSection resource, the id property specifies the YouTube channelSection ID. :mine (type: boolean()) - Set this parameter&#39;s value to true to retrieve a feed of the authenticated user&#39;s channelSections. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ChannelSectionListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.ChannelSections.html#youtube_channel_sections_update/4","title":"GoogleApi.YouTube.V3.Api.ChannelSections.youtube_channel_sections_update/4","type":"function","doc":"Update a channelSection. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part names that you can include in the parameter value are snippet and contentDetails. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.ChannelSection.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ChannelSection{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Channels.html","title":"GoogleApi.YouTube.V3.Api.Channels","type":"module","doc":"API calls for all endpoints tagged Channels."},{"ref":"GoogleApi.YouTube.V3.Api.Channels.html#youtube_channels_list/4","title":"GoogleApi.YouTube.V3.Api.Channels.youtube_channels_list/4","type":"function","doc":"Returns a collection of zero or more channel resources that match the request criteria. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more channel resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a channel resource, the contentDetails property contains other properties, such as the uploads properties. As such, if you set part=contentDetails, the API response will also contain all of those nested properties. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :categoryId (type: String.t) - The categoryId parameter specifies a YouTube guide category, thereby requesting YouTube channels associated with that category. :forUsername (type: String.t) - The forUsername parameter specifies a YouTube username, thereby requesting the channel associated with that username. :hl (type: String.t) - The hl parameter should be used for filter out the properties that are not in the given language. Used for the brandingSettings part. :id (type: String.t) - The id parameter specifies a comma-separated list of the YouTube channel ID(s) for the resource(s) that are being retrieved. In a channel resource, the id property specifies the channel&#39;s YouTube channel ID. :managedByMe (type: boolean()) - Note: This parameter is intended exclusively for YouTube content partners. Set this parameter&#39;s value to true to instruct the API to only return channels managed by the content owner that the onBehalfOfContentOwner parameter specifies. The user must be authenticated as a CMS account linked to the specified content owner and onBehalfOfContentOwner must be provided. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :mine (type: boolean()) - Set this parameter&#39;s value to true to instruct the API to only return channels owned by the authenticated user. :mySubscribers (type: boolean()) - Use the subscriptions.list method and its mySubscribers parameter to retrieve a list of subscribers to the authenticated user&#39;s channel. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ChannelListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Channels.html#youtube_channels_update/4","title":"GoogleApi.YouTube.V3.Api.Channels.youtube_channels_update/4","type":"function","doc":"Updates a channel&#39;s metadata. Note that this method currently only supports updates to the channel resource&#39;s brandingSettings and invideoPromotion objects and their child properties. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The API currently only allows the parameter value to be set to either brandingSettings or invideoPromotion. (You cannot update both of those parts with a single request.) Note that this method overrides the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - The onBehalfOfContentOwner parameter indicates that the authenticated user is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with needs to be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.Channel.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Channel{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.CommentThreads.html","title":"GoogleApi.YouTube.V3.Api.CommentThreads","type":"module","doc":"API calls for all endpoints tagged CommentThreads."},{"ref":"GoogleApi.YouTube.V3.Api.CommentThreads.html#youtube_comment_threads_insert/4","title":"GoogleApi.YouTube.V3.Api.CommentThreads.youtube_comment_threads_insert/4","type":"function","doc":"Creates a new top-level comment. To add a reply to an existing comment, use the comments.insert method instead. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter identifies the properties that the API response will include. Set the parameter value to snippet. The snippet part has a quota cost of 2 units. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.YouTube.V3.Model.CommentThread.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.CommentThread{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.CommentThreads.html#youtube_comment_threads_list/4","title":"GoogleApi.YouTube.V3.Api.CommentThreads.youtube_comment_threads_list/4","type":"function","doc":"Returns a list of comment threads that match the API request parameters. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more commentThread resource properties that the API response will include. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :allThreadsRelatedToChannelId (type: String.t) - The allThreadsRelatedToChannelId parameter instructs the API to return all comment threads associated with the specified channel. The response can include comments about the channel or about the channel&#39;s videos. :channelId (type: String.t) - The channelId parameter instructs the API to return comment threads containing comments about the specified channel. (The response will not include comments left on videos that the channel uploaded.) :id (type: String.t) - The id parameter specifies a comma-separated list of comment thread IDs for the resources that should be retrieved. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. Note: This parameter is not supported for use in conjunction with the id parameter. :moderationStatus (type: String.t) - Set this parameter to limit the returned comment threads to a particular moderation state. Note: This parameter is not supported for use in conjunction with the id parameter. :order (type: String.t) - The order parameter specifies the order in which the API response should list comment threads. Valid values are: time - Comment threads are ordered by time. This is the default behavior. relevance - Comment threads are ordered by relevance.Note: This parameter is not supported for use in conjunction with the id parameter. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken property identifies the next page of the result that can be retrieved. Note: This parameter is not supported for use in conjunction with the id parameter. :searchTerms (type: String.t) - The searchTerms parameter instructs the API to limit the API response to only contain comments that contain the specified search terms. Note: This parameter is not supported for use in conjunction with the id parameter. :textFormat (type: String.t) - Set this parameter&#39;s value to html or plainText to instruct the API to return the comments left by users in html formatted or in plain text. :videoId (type: String.t) - The videoId parameter instructs the API to return comment threads associated with the specified video ID. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.CommentThreadListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.CommentThreads.html#youtube_comment_threads_update/4","title":"GoogleApi.YouTube.V3.Api.CommentThreads.youtube_comment_threads_update/4","type":"function","doc":"Modifies the top-level comment in a comment thread. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of commentThread resource properties that the API response will include. You must at least include the snippet part in the parameter value since that part contains all of the properties that the API request can update. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.YouTube.V3.Model.CommentThread.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.CommentThread{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Comments.html","title":"GoogleApi.YouTube.V3.Api.Comments","type":"module","doc":"API calls for all endpoints tagged Comments."},{"ref":"GoogleApi.YouTube.V3.Api.Comments.html#youtube_comments_delete/4","title":"GoogleApi.YouTube.V3.Api.Comments.youtube_comments_delete/4","type":"function","doc":"Deletes a comment. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the comment ID for the resource that is being deleted. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Comments.html#youtube_comments_insert/4","title":"GoogleApi.YouTube.V3.Api.Comments.youtube_comments_insert/4","type":"function","doc":"Creates a reply to an existing comment. Note: To create a top-level comment, use the commentThreads.insert method. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter identifies the properties that the API response will include. Set the parameter value to snippet. The snippet part has a quota cost of 2 units. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.YouTube.V3.Model.Comment.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Comment{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Comments.html#youtube_comments_list/4","title":"GoogleApi.YouTube.V3.Api.Comments.youtube_comments_list/4","type":"function","doc":"Returns a list of comments that match the API request parameters. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more comment resource properties that the API response will include. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :id (type: String.t) - The id parameter specifies a comma-separated list of comment IDs for the resources that are being retrieved. In a comment resource, the id property specifies the comment&#39;s ID. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. Note: This parameter is not supported for use in conjunction with the id parameter. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken property identifies the next page of the result that can be retrieved. Note: This parameter is not supported for use in conjunction with the id parameter. :parentId (type: String.t) - The parentId parameter specifies the ID of the comment for which replies should be retrieved. Note: YouTube currently supports replies only for top-level comments. However, replies to replies may be supported in the future. :textFormat (type: String.t) - This parameter indicates whether the API should return comments formatted as HTML or as plain text. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.CommentListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Comments.html#youtube_comments_mark_as_spam/4","title":"GoogleApi.YouTube.V3.Api.Comments.youtube_comments_mark_as_spam/4","type":"function","doc":"Expresses the caller&#39;s opinion that one or more comments should be flagged as spam. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies a comma-separated list of IDs of comments that the caller believes should be classified as spam. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Comments.html#youtube_comments_set_moderation_status/5","title":"GoogleApi.YouTube.V3.Api.Comments.youtube_comments_set_moderation_status/5","type":"function","doc":"Sets the moderation status of one or more comments. The API request must be authorized by the owner of the channel or video associated with the comments. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies a comma-separated list of IDs that identify the comments for which you are updating the moderation status. moderation_status (type: String.t) - Identifies the new moderation status of the specified comments. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :banAuthor (type: boolean()) - The banAuthor parameter lets you indicate that you want to automatically reject any additional comments written by the comment&#39;s author. Set the parameter value to true to ban the author. Note: This parameter is only valid if the moderationStatus parameter is also set to rejected. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Comments.html#youtube_comments_update/4","title":"GoogleApi.YouTube.V3.Api.Comments.youtube_comments_update/4","type":"function","doc":"Modifies a comment. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter identifies the properties that the API response will include. You must at least include the snippet part in the parameter value since that part contains all of the properties that the API request can update. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.YouTube.V3.Model.Comment.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Comment{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.GuideCategories.html","title":"GoogleApi.YouTube.V3.Api.GuideCategories","type":"module","doc":"API calls for all endpoints tagged GuideCategories."},{"ref":"GoogleApi.YouTube.V3.Api.GuideCategories.html#youtube_guide_categories_list/4","title":"GoogleApi.YouTube.V3.Api.GuideCategories.youtube_guide_categories_list/4","type":"function","doc":"Returns a list of categories that can be associated with YouTube channels. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the guideCategory resource properties that the API response will include. Set the parameter value to snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :hl (type: String.t) - The hl parameter specifies the language that will be used for text values in the API response. :id (type: String.t) - The id parameter specifies a comma-separated list of the YouTube channel category ID(s) for the resource(s) that are being retrieved. In a guideCategory resource, the id property specifies the YouTube channel category ID. :regionCode (type: String.t) - The regionCode parameter instructs the API to return the list of guide categories available in the specified country. The parameter value is an ISO 3166-1 alpha-2 country code. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.GuideCategoryListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.I18nLanguages.html","title":"GoogleApi.YouTube.V3.Api.I18nLanguages","type":"module","doc":"API calls for all endpoints tagged I18nLanguages."},{"ref":"GoogleApi.YouTube.V3.Api.I18nLanguages.html#youtube_i18n_languages_list/4","title":"GoogleApi.YouTube.V3.Api.I18nLanguages.youtube_i18n_languages_list/4","type":"function","doc":"Returns a list of application languages that the YouTube website supports. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the i18nLanguage resource properties that the API response will include. Set the parameter value to snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :hl (type: String.t) - The hl parameter specifies the language that should be used for text values in the API response. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.I18nLanguageListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.I18nRegions.html","title":"GoogleApi.YouTube.V3.Api.I18nRegions","type":"module","doc":"API calls for all endpoints tagged I18nRegions."},{"ref":"GoogleApi.YouTube.V3.Api.I18nRegions.html#youtube_i18n_regions_list/4","title":"GoogleApi.YouTube.V3.Api.I18nRegions.youtube_i18n_regions_list/4","type":"function","doc":"Returns a list of content regions that the YouTube website supports. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the i18nRegion resource properties that the API response will include. Set the parameter value to snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :hl (type: String.t) - The hl parameter specifies the language that should be used for text values in the API response. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.I18nRegionListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.html","title":"GoogleApi.YouTube.V3.Api.LiveBroadcasts","type":"module","doc":"API calls for all endpoints tagged LiveBroadcasts."},{"ref":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.html#youtube_live_broadcasts_bind/5","title":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.youtube_live_broadcasts_bind/5","type":"function","doc":"Binds a YouTube broadcast to a stream or removes an existing binding between a broadcast and a stream. A broadcast can only be bound to one video stream, though a video stream may be bound to more than one broadcast. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the unique ID of the broadcast that is being bound to a video stream. part (type: String.t) - The part parameter specifies a comma-separated list of one or more liveBroadcast resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, contentDetails, and status. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :streamId (type: String.t) - The streamId parameter specifies the unique ID of the video stream that is being bound to a broadcast. If this parameter is omitted, the API will remove any existing binding between the broadcast and a video stream. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveBroadcast{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.html#youtube_live_broadcasts_control/5","title":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.youtube_live_broadcasts_control/5","type":"function","doc":"Controls the settings for a slate that can be displayed in the broadcast stream. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube live broadcast ID that uniquely identifies the broadcast in which the slate is being updated. part (type: String.t) - The part parameter specifies a comma-separated list of one or more liveBroadcast resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, contentDetails, and status. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :displaySlate (type: boolean()) - The displaySlate parameter specifies whether the slate is being enabled or disabled. :offsetTimeMs (type: String.t) - The offsetTimeMs parameter specifies a positive time offset when the specified slate change will occur. The value is measured in milliseconds from the beginning of the broadcast&#39;s monitor stream, which is the time that the testing phase for the broadcast began. Even though it is specified in milliseconds, the value is actually an approximation, and YouTube completes the requested action as closely as possible to that time. If you do not specify a value for this parameter, then YouTube performs the action as soon as possible. See the Getting started guide for more details. Important: You should only specify a value for this parameter if your broadcast stream is delayed. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :walltime (type: DateTime.t) - The walltime parameter specifies the wall clock time at which the specified slate change will occur. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sssZ) format. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveBroadcast{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.html#youtube_live_broadcasts_delete/4","title":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.youtube_live_broadcasts_delete/4","type":"function","doc":"Deletes a broadcast. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube live broadcast ID for the resource that is being deleted. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.html#youtube_live_broadcasts_insert/4","title":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.youtube_live_broadcasts_insert/4","type":"function","doc":"Creates a broadcast. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part properties that you can include in the parameter value are id, snippet, contentDetails, and status. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :body (type: GoogleApi.YouTube.V3.Model.LiveBroadcast.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveBroadcast{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.html#youtube_live_broadcasts_list/4","title":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.youtube_live_broadcasts_list/4","type":"function","doc":"Returns a list of YouTube broadcasts that match the API request parameters. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more liveBroadcast resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, contentDetails, and status. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :broadcastStatus (type: String.t) - The broadcastStatus parameter filters the API response to only include broadcasts with the specified status. :broadcastType (type: String.t) - The broadcastType parameter filters the API response to only include broadcasts with the specified type. This is only compatible with the mine filter for now. :id (type: String.t) - The id parameter specifies a comma-separated list of YouTube broadcast IDs that identify the broadcasts being retrieved. In a liveBroadcast resource, the id property specifies the broadcast&#39;s ID. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :mine (type: boolean()) - The mine parameter can be used to instruct the API to only return broadcasts owned by the authenticated user. Set the parameter value to true to only retrieve your own broadcasts. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveBroadcastListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.html#youtube_live_broadcasts_transition/6","title":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.youtube_live_broadcasts_transition/6","type":"function","doc":"Changes the status of a YouTube live broadcast and initiates any processes associated with the new status. For example, when you transition a broadcast&#39;s status to testing, YouTube starts to transmit video to that broadcast&#39;s monitor stream. Before calling this method, you should confirm that the value of the status.streamStatus property for the stream bound to your broadcast is active. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server broadcast_status (type: String.t) - The broadcastStatus parameter identifies the state to which the broadcast is changing. Note that to transition a broadcast to either the testing or live state, the status.streamStatus must be active for the stream that the broadcast is bound to. id (type: String.t) - The id parameter specifies the unique ID of the broadcast that is transitioning to another status. part (type: String.t) - The part parameter specifies a comma-separated list of one or more liveBroadcast resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, contentDetails, and status. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveBroadcast{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.html#youtube_live_broadcasts_update/4","title":"GoogleApi.YouTube.V3.Api.LiveBroadcasts.youtube_live_broadcasts_update/4","type":"function","doc":"Updates a broadcast. For example, you could modify the broadcast settings defined in the liveBroadcast resource&#39;s contentDetails object. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part properties that you can include in the parameter value are id, snippet, contentDetails, and status. Note that this method will override the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies. For example, a broadcast&#39;s privacy status is defined in the status part. As such, if your request is updating a private or unlisted broadcast, and the request&#39;s part parameter value includes the status part, the broadcast&#39;s privacy setting will be updated to whatever value the request body specifies. If the request body does not specify a value, the existing privacy setting will be removed and the broadcast will revert to the default privacy setting. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :body (type: GoogleApi.YouTube.V3.Model.LiveBroadcast.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveBroadcast{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatBans.html","title":"GoogleApi.YouTube.V3.Api.LiveChatBans","type":"module","doc":"API calls for all endpoints tagged LiveChatBans."},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatBans.html#youtube_live_chat_bans_delete/4","title":"GoogleApi.YouTube.V3.Api.LiveChatBans.youtube_live_chat_bans_delete/4","type":"function","doc":"Removes a chat ban. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter identifies the chat ban to remove. The value uniquely identifies both the ban and the chat. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatBans.html#youtube_live_chat_bans_insert/4","title":"GoogleApi.YouTube.V3.Api.LiveChatBans.youtube_live_chat_bans_insert/4","type":"function","doc":"Adds a new ban to the chat. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response returns. Set the parameter value to snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.YouTube.V3.Model.LiveChatBan.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveChatBan{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatMessages.html","title":"GoogleApi.YouTube.V3.Api.LiveChatMessages","type":"module","doc":"API calls for all endpoints tagged LiveChatMessages."},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatMessages.html#youtube_live_chat_messages_delete/4","title":"GoogleApi.YouTube.V3.Api.LiveChatMessages.youtube_live_chat_messages_delete/4","type":"function","doc":"Deletes a chat message. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube chat message ID of the resource that is being deleted. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatMessages.html#youtube_live_chat_messages_insert/4","title":"GoogleApi.YouTube.V3.Api.LiveChatMessages.youtube_live_chat_messages_insert/4","type":"function","doc":"Adds a message to a live chat. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes. It identifies the properties that the write operation will set as well as the properties that the API response will include. Set the parameter value to snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.YouTube.V3.Model.LiveChatMessage.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveChatMessage{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatMessages.html#youtube_live_chat_messages_list/5","title":"GoogleApi.YouTube.V3.Api.LiveChatMessages.youtube_live_chat_messages_list/5","type":"function","doc":"Lists live chat messages for a specific chat. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server live_chat_id (type: String.t) - The liveChatId parameter specifies the ID of the chat whose messages will be returned. part (type: String.t) - The part parameter specifies the liveChatComment resource parts that the API response will include. Supported values are id and snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :hl (type: String.t) - The hl parameter instructs the API to retrieve localized resource metadata for a specific application language that the YouTube website supports. The parameter value must be a language code included in the list returned by the i18nLanguages.list method. If localized resource details are available in that language, the resource&#39;s snippet.localized object will contain the localized values. However, if localized details are not available, the snippet.localized object will contain resource details in the resource&#39;s default language. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of messages that should be returned in the result set. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken property identify other pages that could be retrieved. :profileImageSize (type: integer()) - The profileImageSize parameter specifies the size of the user profile pictures that should be returned in the result set. Default: 88. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveChatMessageListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatModerators.html","title":"GoogleApi.YouTube.V3.Api.LiveChatModerators","type":"module","doc":"API calls for all endpoints tagged LiveChatModerators."},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatModerators.html#youtube_live_chat_moderators_delete/4","title":"GoogleApi.YouTube.V3.Api.LiveChatModerators.youtube_live_chat_moderators_delete/4","type":"function","doc":"Removes a chat moderator. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter identifies the chat moderator to remove. The value uniquely identifies both the moderator and the chat. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatModerators.html#youtube_live_chat_moderators_insert/4","title":"GoogleApi.YouTube.V3.Api.LiveChatModerators.youtube_live_chat_moderators_insert/4","type":"function","doc":"Adds a new moderator for the chat. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response returns. Set the parameter value to snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.YouTube.V3.Model.LiveChatModerator.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveChatModerator{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveChatModerators.html#youtube_live_chat_moderators_list/5","title":"GoogleApi.YouTube.V3.Api.LiveChatModerators.youtube_live_chat_moderators_list/5","type":"function","doc":"Lists moderators for a live chat. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server live_chat_id (type: String.t) - The liveChatId parameter specifies the YouTube live chat for which the API should return moderators. part (type: String.t) - The part parameter specifies the liveChatModerator resource parts that the API response will include. Supported values are id and snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveChatModeratorListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveStreams.html","title":"GoogleApi.YouTube.V3.Api.LiveStreams","type":"module","doc":"API calls for all endpoints tagged LiveStreams."},{"ref":"GoogleApi.YouTube.V3.Api.LiveStreams.html#youtube_live_streams_delete/4","title":"GoogleApi.YouTube.V3.Api.LiveStreams.youtube_live_streams_delete/4","type":"function","doc":"Deletes a video stream. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube live stream ID for the resource that is being deleted. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveStreams.html#youtube_live_streams_insert/4","title":"GoogleApi.YouTube.V3.Api.LiveStreams.youtube_live_streams_insert/4","type":"function","doc":"Creates a video stream. The stream enables you to send your video to YouTube, which can then broadcast the video to your audience. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part properties that you can include in the parameter value are id, snippet, cdn, and status. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :body (type: GoogleApi.YouTube.V3.Model.LiveStream.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveStream{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveStreams.html#youtube_live_streams_list/4","title":"GoogleApi.YouTube.V3.Api.LiveStreams.youtube_live_streams_list/4","type":"function","doc":"Returns a list of video streams that match the API request parameters. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more liveStream resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, cdn, and status. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :id (type: String.t) - The id parameter specifies a comma-separated list of YouTube stream IDs that identify the streams being retrieved. In a liveStream resource, the id property specifies the stream&#39;s ID. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :mine (type: boolean()) - The mine parameter can be used to instruct the API to only return streams owned by the authenticated user. Set the parameter value to true to only retrieve your own streams. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveStreamListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.LiveStreams.html#youtube_live_streams_update/4","title":"GoogleApi.YouTube.V3.Api.LiveStreams.youtube_live_streams_update/4","type":"function","doc":"Updates a video stream. If the properties that you want to change cannot be updated, then you need to create a new stream with the proper settings. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part properties that you can include in the parameter value are id, snippet, cdn, and status. Note that this method will override the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies. If the request body does not specify a value for a mutable property, the existing value for that property will be removed. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :body (type: GoogleApi.YouTube.V3.Model.LiveStream.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.LiveStream{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Members.html","title":"GoogleApi.YouTube.V3.Api.Members","type":"module","doc":"API calls for all endpoints tagged Members."},{"ref":"GoogleApi.YouTube.V3.Api.Members.html#youtube_members_list/4","title":"GoogleApi.YouTube.V3.Api.Members.youtube_members_list/4","type":"function","doc":"Lists members for a channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the member resource parts that the API response will include. Supported values are id and snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :hasAccessToLevel (type: String.t) - The hasAccessToLevel parameter specifies, when set, the ID of a pricing level that members from the results set should have access to. When not set, all members will be considered, regardless of their active pricing level. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :mode (type: String.t) - The mode parameter specifies which channel members to return. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.MemberListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.MembershipsLevels.html","title":"GoogleApi.YouTube.V3.Api.MembershipsLevels","type":"module","doc":"API calls for all endpoints tagged MembershipsLevels."},{"ref":"GoogleApi.YouTube.V3.Api.MembershipsLevels.html#youtube_memberships_levels_list/4","title":"GoogleApi.YouTube.V3.Api.MembershipsLevels.youtube_memberships_levels_list/4","type":"function","doc":"Lists pricing levels for a channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the membershipsLevel resource parts that the API response will include. Supported values are id and snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.MembershipsLevelListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.PlaylistItems.html","title":"GoogleApi.YouTube.V3.Api.PlaylistItems","type":"module","doc":"API calls for all endpoints tagged PlaylistItems."},{"ref":"GoogleApi.YouTube.V3.Api.PlaylistItems.html#youtube_playlist_items_delete/4","title":"GoogleApi.YouTube.V3.Api.PlaylistItems.youtube_playlist_items_delete/4","type":"function","doc":"Deletes a playlist item. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube playlist item ID for the playlist item that is being deleted. In a playlistItem resource, the id property specifies the playlist item&#39;s ID. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.PlaylistItems.html#youtube_playlist_items_insert/4","title":"GoogleApi.YouTube.V3.Api.PlaylistItems.youtube_playlist_items_insert/4","type":"function","doc":"Adds a resource to a playlist. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.PlaylistItem.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.PlaylistItem{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.PlaylistItems.html#youtube_playlist_items_list/4","title":"GoogleApi.YouTube.V3.Api.PlaylistItems.youtube_playlist_items_list/4","type":"function","doc":"Returns a collection of playlist items that match the API request parameters. You can retrieve all of the playlist items in a specified playlist or retrieve one or more playlist items by their unique IDs. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more playlistItem resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a playlistItem resource, the snippet property contains numerous fields, including the title, description, position, and resourceId properties. As such, if you set part=snippet, the API response will contain all of those properties. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :id (type: String.t) - The id parameter specifies a comma-separated list of one or more unique playlist item IDs. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. :playlistId (type: String.t) - The playlistId parameter specifies the unique ID of the playlist for which you want to retrieve playlist items. Note that even though this is an optional parameter, every request to retrieve playlist items must specify a value for either the id parameter or the playlistId parameter. :videoId (type: String.t) - The videoId parameter specifies that the request should return only the playlist items that contain the specified video. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.PlaylistItemListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.PlaylistItems.html#youtube_playlist_items_update/4","title":"GoogleApi.YouTube.V3.Api.PlaylistItems.youtube_playlist_items_update/4","type":"function","doc":"Modifies a playlist item. For example, you could update the item&#39;s position in the playlist. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that this method will override the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies. For example, a playlist item can specify a start time and end time, which identify the times portion of the video that should play when users watch the video in the playlist. If your request is updating a playlist item that sets these values, and the request&#39;s part parameter value includes the contentDetails part, the playlist item&#39;s start and end times will be updated to whatever value the request body specifies. If the request body does not specify values, the existing start and end times will be removed and replaced with the default settings. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.PlaylistItem.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.PlaylistItem{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Playlists.html","title":"GoogleApi.YouTube.V3.Api.Playlists","type":"module","doc":"API calls for all endpoints tagged Playlists."},{"ref":"GoogleApi.YouTube.V3.Api.Playlists.html#youtube_playlists_delete/4","title":"GoogleApi.YouTube.V3.Api.Playlists.youtube_playlists_delete/4","type":"function","doc":"Deletes a playlist. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube playlist ID for the playlist that is being deleted. In a playlist resource, the id property specifies the playlist&#39;s ID. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Playlists.html#youtube_playlists_insert/4","title":"GoogleApi.YouTube.V3.Api.Playlists.youtube_playlists_insert/4","type":"function","doc":"Creates a playlist. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :body (type: GoogleApi.YouTube.V3.Model.Playlist.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Playlist{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Playlists.html#youtube_playlists_list/4","title":"GoogleApi.YouTube.V3.Api.Playlists.youtube_playlists_list/4","type":"function","doc":"Returns a collection of playlists that match the API request parameters. For example, you can retrieve all playlists that the authenticated user owns, or you can retrieve one or more playlists by their unique IDs. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more playlist resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a playlist resource, the snippet property contains properties like author, title, description, tags, and timeCreated. As such, if you set part=snippet, the API response will contain all of those properties. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :channelId (type: String.t) - This value indicates that the API should only return the specified channel&#39;s playlists. :hl (type: String.t) - The hl parameter should be used for filter out the properties that are not in the given language. Used for the snippet part. :id (type: String.t) - The id parameter specifies a comma-separated list of the YouTube playlist ID(s) for the resource(s) that are being retrieved. In a playlist resource, the id property specifies the playlist&#39;s YouTube playlist ID. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :mine (type: boolean()) - Set this parameter&#39;s value to true to instruct the API to only return playlists owned by the authenticated user. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.PlaylistListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Playlists.html#youtube_playlists_update/4","title":"GoogleApi.YouTube.V3.Api.Playlists.youtube_playlists_update/4","type":"function","doc":"Modifies a playlist. For example, you could change a playlist&#39;s title, description, or privacy status. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that this method will override the existing values for mutable properties that are contained in any parts that the request body specifies. For example, a playlist&#39;s description is contained in the snippet part, which must be included in the request body. If the request does not specify a value for the snippet.description property, the playlist&#39;s existing description will be deleted. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.Playlist.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Playlist{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Search.html","title":"GoogleApi.YouTube.V3.Api.Search","type":"module","doc":"API calls for all endpoints tagged Search."},{"ref":"GoogleApi.YouTube.V3.Api.Search.html#youtube_search_list/4","title":"GoogleApi.YouTube.V3.Api.Search.youtube_search_list/4","type":"function","doc":"Returns a collection of search results that match the query parameters specified in the API request. By default, a search result set identifies matching video, channel, and playlist resources, but you can also configure queries to only retrieve a specific type of resource. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more search resource properties that the API response will include. Set the parameter value to snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :channelId (type: String.t) - The channelId parameter indicates that the API response should only contain resources created by the channel :channelType (type: String.t) - The channelType parameter lets you restrict a search to a particular type of channel. :eventType (type: String.t) - The eventType parameter restricts a search to broadcast events. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. :forContentOwner (type: boolean()) - Note: This parameter is intended exclusively for YouTube content partners. The forContentOwner parameter restricts the search to only retrieve resources owned by the content owner specified by the onBehalfOfContentOwner parameter. The user must be authenticated using a CMS account linked to the specified content owner and onBehalfOfContentOwner must be provided. :forDeveloper (type: boolean()) - The forDeveloper parameter restricts the search to only retrieve videos uploaded via the developer&#39;s application or website. The API server uses the request&#39;s authorization credentials to identify the developer. Therefore, a developer can restrict results to videos uploaded through the developer&#39;s own app or website but not to videos uploaded through other apps or sites. :forMine (type: boolean()) - The forMine parameter restricts the search to only retrieve videos owned by the authenticated user. If you set this parameter to true, then the type parameter&#39;s value must also be set to video. :location (type: String.t) - The location parameter, in conjunction with the locationRadius parameter, defines a circular geographic area and also restricts a search to videos that specify, in their metadata, a geographic location that falls within that area. The parameter value is a string that specifies latitude/longitude coordinates e.g. (37.42307,-122.08427). The location parameter value identifies the point at the center of the area. The locationRadius parameter specifies the maximum distance that the location associated with a video can be from that point for the video to still be included in the search results.The API returns an error if your request specifies a value for the location parameter but does not also specify a value for the locationRadius parameter. :locationRadius (type: String.t) - The locationRadius parameter, in conjunction with the location parameter, defines a circular geographic area. The parameter value must be a floating point number followed by a measurement unit. Valid measurement units are m, km, ft, and mi. For example, valid parameter values include 1500m, 5km, 10000ft, and 0.75mi. The API does not support locationRadius parameter values larger than 1000 kilometers. Note: See the definition of the location parameter for more information. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :order (type: String.t) - The order parameter specifies the method that will be used to order resources in the API response. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. :publishedAfter (type: DateTime.t) - The publishedAfter parameter indicates that the API response should only contain resources created after the specified time. The value is an RFC 3339 formatted date-time value (1970-01-01T00:00:00Z). :publishedBefore (type: DateTime.t) - The publishedBefore parameter indicates that the API response should only contain resources created before the specified time. The value is an RFC 3339 formatted date-time value (1970-01-01T00:00:00Z). :q (type: String.t) - The q parameter specifies the query term to search for. Your request can also use the Boolean NOT (-) and OR (|) operators to exclude videos or to find videos that are associated with one of several search terms. For example, to search for videos matching either &quot;boating&quot; or &quot;sailing&quot;, set the q parameter value to boating|sailing. Similarly, to search for videos matching either &quot;boating&quot; or &quot;sailing&quot; but not &quot;fishing&quot;, set the q parameter value to boating|sailing -fishing. Note that the pipe character must be URL-escaped when it is sent in your API request. The URL-escaped value for the pipe character is %7C. :regionCode (type: String.t) - The regionCode parameter instructs the API to return search results for the specified country. The parameter value is an ISO 3166-1 alpha-2 country code. :relatedToVideoId (type: String.t) - The relatedToVideoId parameter retrieves a list of videos that are related to the video that the parameter value identifies. The parameter value must be set to a YouTube video ID and, if you are using this parameter, the type parameter must be set to video. :relevanceLanguage (type: String.t) - The relevanceLanguage parameter instructs the API to return search results that are most relevant to the specified language. The parameter value is typically an ISO 639-1 two-letter language code. However, you should use the values zh-Hans for simplified Chinese and zh-Hant for traditional Chinese. Please note that results in other languages will still be returned if they are highly relevant to the search query term. :safeSearch (type: String.t) - The safeSearch parameter indicates whether the search results should include restricted content as well as standard content. :topicId (type: String.t) - The topicId parameter indicates that the API response should only contain resources associated with the specified topic. The value identifies a Freebase topic ID. :type (type: String.t) - The type parameter restricts a search query to only retrieve a particular type of resource. The value is a comma-separated list of resource types. :videoCaption (type: String.t) - The videoCaption parameter indicates whether the API should filter video search results based on whether they have captions. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. :videoCategoryId (type: String.t) - The videoCategoryId parameter filters video search results based on their category. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. :videoDefinition (type: String.t) - The videoDefinition parameter lets you restrict a search to only include either high definition (HD) or standard definition (SD) videos. HD videos are available for playback in at least 720p, though higher resolutions, like 1080p, might also be available. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. :videoDimension (type: String.t) - The videoDimension parameter lets you restrict a search to only retrieve 2D or 3D videos. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. :videoDuration (type: String.t) - The videoDuration parameter filters video search results based on their duration. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. :videoEmbeddable (type: String.t) - The videoEmbeddable parameter lets you to restrict a search to only videos that can be embedded into a webpage. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. :videoLicense (type: String.t) - The videoLicense parameter filters search results to only include videos with a particular license. YouTube lets video uploaders choose to attach either the Creative Commons license or the standard YouTube license to each of their videos. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. :videoSyndicated (type: String.t) - The videoSyndicated parameter lets you to restrict a search to only videos that can be played outside youtube.com. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. :videoType (type: String.t) - The videoType parameter lets you restrict a search to a particular type of videos. If you specify a value for this parameter, you must also set the type parameter&#39;s value to video. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.SearchListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Sponsors.html","title":"GoogleApi.YouTube.V3.Api.Sponsors","type":"module","doc":"API calls for all endpoints tagged Sponsors."},{"ref":"GoogleApi.YouTube.V3.Api.Sponsors.html#youtube_sponsors_list/4","title":"GoogleApi.YouTube.V3.Api.Sponsors.youtube_sponsors_list/4","type":"function","doc":"Lists sponsors for a channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the sponsor resource parts that the API response will include. Supported values are id and snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :filter (type: String.t) - The filter parameter specifies which channel sponsors to return. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.SponsorListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Subscriptions.html","title":"GoogleApi.YouTube.V3.Api.Subscriptions","type":"module","doc":"API calls for all endpoints tagged Subscriptions."},{"ref":"GoogleApi.YouTube.V3.Api.Subscriptions.html#youtube_subscriptions_delete/4","title":"GoogleApi.YouTube.V3.Api.Subscriptions.youtube_subscriptions_delete/4","type":"function","doc":"Deletes a subscription. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube subscription ID for the resource that is being deleted. In a subscription resource, the id property specifies the YouTube subscription ID. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Subscriptions.html#youtube_subscriptions_insert/4","title":"GoogleApi.YouTube.V3.Api.Subscriptions.youtube_subscriptions_insert/4","type":"function","doc":"Adds a subscription for the authenticated user&#39;s channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.YouTube.V3.Model.Subscription.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Subscription{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Subscriptions.html#youtube_subscriptions_list/4","title":"GoogleApi.YouTube.V3.Api.Subscriptions.youtube_subscriptions_list/4","type":"function","doc":"Returns subscription resources that match the API request criteria. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more subscription resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a subscription resource, the snippet property contains other properties, such as a display title for the subscription. If you set part=snippet, the API response will also contain all of those nested properties. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :channelId (type: String.t) - The channelId parameter specifies a YouTube channel ID. The API will only return that channel&#39;s subscriptions. :forChannelId (type: String.t) - The forChannelId parameter specifies a comma-separated list of channel IDs. The API response will then only contain subscriptions matching those channels. :id (type: String.t) - The id parameter specifies a comma-separated list of the YouTube subscription ID(s) for the resource(s) that are being retrieved. In a subscription resource, the id property specifies the YouTube subscription ID. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :mine (type: boolean()) - Set this parameter&#39;s value to true to retrieve a feed of the authenticated user&#39;s subscriptions. :myRecentSubscribers (type: boolean()) - Set this parameter&#39;s value to true to retrieve a feed of the subscribers of the authenticated user in reverse chronological order (newest first). :mySubscribers (type: boolean()) - Set this parameter&#39;s value to true to retrieve a feed of the subscribers of the authenticated user in no particular order. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :order (type: String.t) - The order parameter specifies the method that will be used to sort resources in the API response. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.SubscriptionListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.SuperChatEvents.html","title":"GoogleApi.YouTube.V3.Api.SuperChatEvents","type":"module","doc":"API calls for all endpoints tagged SuperChatEvents."},{"ref":"GoogleApi.YouTube.V3.Api.SuperChatEvents.html#youtube_super_chat_events_list/4","title":"GoogleApi.YouTube.V3.Api.SuperChatEvents.youtube_super_chat_events_list/4","type":"function","doc":"Lists Super Chat events for a channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the superChatEvent resource parts that the API response will include. Supported values are id and snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :hl (type: String.t) - The hl parameter instructs the API to retrieve localized resource metadata for a specific application language that the YouTube website supports. The parameter value must be a language code included in the list returned by the i18nLanguages.list method. If localized resource details are available in that language, the resource&#39;s snippet.localized object will contain the localized values. However, if localized details are not available, the snippet.localized object will contain resource details in the resource&#39;s default language. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.SuperChatEventListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Thumbnails.html","title":"GoogleApi.YouTube.V3.Api.Thumbnails","type":"module","doc":"API calls for all endpoints tagged Thumbnails."},{"ref":"GoogleApi.YouTube.V3.Api.Thumbnails.html#youtube_thumbnails_set/4","title":"GoogleApi.YouTube.V3.Api.Thumbnails.youtube_thumbnails_set/4","type":"function","doc":"Uploads a custom video thumbnail to YouTube and sets it for a video. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server video_id (type: String.t) - The videoId parameter specifies a YouTube video ID for which the custom video thumbnail is being provided. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ThumbnailSetResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Thumbnails.html#youtube_thumbnails_set_iodata/7","title":"GoogleApi.YouTube.V3.Api.Thumbnails.youtube_thumbnails_set_iodata/7","type":"function","doc":"Uploads a custom video thumbnail to YouTube and sets it for a video. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server video_id (type: String.t) - The videoId parameter specifies a YouTube video ID for which the custom video thumbnail is being provided. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: String.t) - string metadata data (type: iodata) - Content to upload, as a string or iolist optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ThumbnailSetResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Thumbnails.html#youtube_thumbnails_set_resumable/5","title":"GoogleApi.YouTube.V3.Api.Thumbnails.youtube_thumbnails_set_resumable/5","type":"function","doc":"Uploads a custom video thumbnail to YouTube and sets it for a video. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server video_id (type: String.t) - The videoId parameter specifies a YouTube video ID for which the custom video thumbnail is being provided. upload_type (type: String.t) - Upload type. Must be &quot;resumable&quot;. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Thumbnails.html#youtube_thumbnails_set_simple/7","title":"GoogleApi.YouTube.V3.Api.Thumbnails.youtube_thumbnails_set_simple/7","type":"function","doc":"Uploads a custom video thumbnail to YouTube and sets it for a video. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server video_id (type: String.t) - The videoId parameter specifies a YouTube video ID for which the custom video thumbnail is being provided. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: String.t) - string metadata data (type: String.t) - Path to file containing content to upload optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.ThumbnailSetResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.VideoAbuseReportReasons.html","title":"GoogleApi.YouTube.V3.Api.VideoAbuseReportReasons","type":"module","doc":"API calls for all endpoints tagged VideoAbuseReportReasons."},{"ref":"GoogleApi.YouTube.V3.Api.VideoAbuseReportReasons.html#youtube_video_abuse_report_reasons_list/4","title":"GoogleApi.YouTube.V3.Api.VideoAbuseReportReasons.youtube_video_abuse_report_reasons_list/4","type":"function","doc":"Returns a list of abuse reasons that can be used for reporting abusive videos. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the videoCategory resource parts that the API response will include. Supported values are id and snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :hl (type: String.t) - The hl parameter specifies the language that should be used for text values in the API response. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.VideoCategories.html","title":"GoogleApi.YouTube.V3.Api.VideoCategories","type":"module","doc":"API calls for all endpoints tagged VideoCategories."},{"ref":"GoogleApi.YouTube.V3.Api.VideoCategories.html#youtube_video_categories_list/4","title":"GoogleApi.YouTube.V3.Api.VideoCategories.youtube_video_categories_list/4","type":"function","doc":"Returns a list of categories that can be associated with YouTube videos. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies the videoCategory resource properties that the API response will include. Set the parameter value to snippet. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :hl (type: String.t) - The hl parameter specifies the language that should be used for text values in the API response. :id (type: String.t) - The id parameter specifies a comma-separated list of video category IDs for the resources that you are retrieving. :regionCode (type: String.t) - The regionCode parameter instructs the API to return the list of video categories available in the specified country. The parameter value is an ISO 3166-1 alpha-2 country code. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.VideoCategoryListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html","title":"GoogleApi.YouTube.V3.Api.Videos","type":"module","doc":"API calls for all endpoints tagged Videos."},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_delete/4","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_delete/4","type":"function","doc":"Deletes a YouTube video. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube video ID for the resource that is being deleted. In a video resource, the id property specifies the video&#39;s ID. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_get_rating/4","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_get_rating/4","type":"function","doc":"Retrieves the ratings that the authorized user gave to a list of specified videos. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies a comma-separated list of the YouTube video ID(s) for the resource(s) for which you are retrieving rating data. In a video resource, the id property specifies the video&#39;s ID. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.VideoGetRatingResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_insert/4","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_insert/4","type":"function","doc":"Uploads a video to YouTube and optionally sets the video&#39;s metadata. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that not all parts contain properties that can be set when inserting or updating a video. For example, the statistics object encapsulates statistics that YouTube calculates for a video and does not contain values that you can set or modify. If the parameter value specifies a part that does not contain mutable values, that part will still be included in the API response. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :autoLevels (type: boolean()) - The autoLevels parameter indicates whether YouTube should automatically enhance the video&#39;s lighting and color. :notifySubscribers (type: boolean()) - The notifySubscribers parameter indicates whether YouTube should send a notification about the new video to users who subscribe to the video&#39;s channel. A parameter value of True indicates that subscribers will be notified of newly uploaded videos. However, a channel owner who is uploading many videos might prefer to set the value to False to avoid sending a notification about each new video to the channel&#39;s subscribers. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :stabilize (type: boolean()) - The stabilize parameter indicates whether YouTube should adjust the video to remove shaky camera motions. :body (type: GoogleApi.YouTube.V3.Model.Video.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Video{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_insert_iodata/7","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_insert_iodata/7","type":"function","doc":"Uploads a video to YouTube and optionally sets the video&#39;s metadata. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that not all parts contain properties that can be set when inserting or updating a video. For example, the statistics object encapsulates statistics that YouTube calculates for a video and does not contain values that you can set or modify. If the parameter value specifies a part that does not contain mutable values, that part will still be included in the API response. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.Video.t) - object metadata data (type: iodata) - Content to upload, as a string or iolist optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :autoLevels (type: boolean()) - The autoLevels parameter indicates whether YouTube should automatically enhance the video&#39;s lighting and color. :notifySubscribers (type: boolean()) - The notifySubscribers parameter indicates whether YouTube should send a notification about the new video to users who subscribe to the video&#39;s channel. A parameter value of True indicates that subscribers will be notified of newly uploaded videos. However, a channel owner who is uploading many videos might prefer to set the value to False to avoid sending a notification about each new video to the channel&#39;s subscribers. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :stabilize (type: boolean()) - The stabilize parameter indicates whether YouTube should adjust the video to remove shaky camera motions. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Video{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_insert_resumable/5","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_insert_resumable/5","type":"function","doc":"Uploads a video to YouTube and optionally sets the video&#39;s metadata. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that not all parts contain properties that can be set when inserting or updating a video. For example, the statistics object encapsulates statistics that YouTube calculates for a video and does not contain values that you can set or modify. If the parameter value specifies a part that does not contain mutable values, that part will still be included in the API response. upload_type (type: String.t) - Upload type. Must be &quot;resumable&quot;. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :autoLevels (type: boolean()) - The autoLevels parameter indicates whether YouTube should automatically enhance the video&#39;s lighting and color. :notifySubscribers (type: boolean()) - The notifySubscribers parameter indicates whether YouTube should send a notification about the new video to users who subscribe to the video&#39;s channel. A parameter value of True indicates that subscribers will be notified of newly uploaded videos. However, a channel owner who is uploading many videos might prefer to set the value to False to avoid sending a notification about each new video to the channel&#39;s subscribers. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :stabilize (type: boolean()) - The stabilize parameter indicates whether YouTube should adjust the video to remove shaky camera motions. :body (type: GoogleApi.YouTube.V3.Model.Video.t) - opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_insert_simple/7","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_insert_simple/7","type":"function","doc":"Uploads a video to YouTube and optionally sets the video&#39;s metadata. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that not all parts contain properties that can be set when inserting or updating a video. For example, the statistics object encapsulates statistics that YouTube calculates for a video and does not contain values that you can set or modify. If the parameter value specifies a part that does not contain mutable values, that part will still be included in the API response. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.Video.t) - object metadata data (type: String.t) - Path to file containing content to upload optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :autoLevels (type: boolean()) - The autoLevels parameter indicates whether YouTube should automatically enhance the video&#39;s lighting and color. :notifySubscribers (type: boolean()) - The notifySubscribers parameter indicates whether YouTube should send a notification about the new video to users who subscribe to the video&#39;s channel. A parameter value of True indicates that subscribers will be notified of newly uploaded videos. However, a channel owner who is uploading many videos might prefer to set the value to False to avoid sending a notification about each new video to the channel&#39;s subscribers. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :onBehalfOfContentOwnerChannel (type: String.t) - This parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwnerChannel parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. :stabilize (type: boolean()) - The stabilize parameter indicates whether YouTube should adjust the video to remove shaky camera motions. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Video{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_list/4","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_list/4","type":"function","doc":"Returns a list of videos that match the API request parameters. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter specifies a comma-separated list of one or more video resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a video resource, the snippet property contains the channelId, title, description, tags, and categoryId properties. As such, if you set part=snippet, the API response will contain all of those properties. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :chart (type: String.t) - The chart parameter identifies the chart that you want to retrieve. :hl (type: String.t) - The hl parameter instructs the API to retrieve localized resource metadata for a specific application language that the YouTube website supports. The parameter value must be a language code included in the list returned by the i18nLanguages.list method. If localized resource details are available in that language, the resource&#39;s snippet.localized object will contain the localized values. However, if localized details are not available, the snippet.localized object will contain resource details in the resource&#39;s default language. :id (type: String.t) - The id parameter specifies a comma-separated list of the YouTube video ID(s) for the resource(s) that are being retrieved. In a video resource, the id property specifies the video&#39;s ID. :locale (type: String.t) - DEPRECATED :maxHeight (type: integer()) - The maxHeight parameter specifies a maximum height of the embedded player. If maxWidth is provided, maxHeight may not be reached in order to not violate the width request. :maxResults (type: integer()) - The maxResults parameter specifies the maximum number of items that should be returned in the result set. Note: This parameter is supported for use in conjunction with the myRating and chart parameters, but it is not supported for use in conjunction with the id parameter. :maxWidth (type: integer()) - The maxWidth parameter specifies a maximum width of the embedded player. If maxHeight is provided, maxWidth may not be reached in order to not violate the height request. :myRating (type: String.t) - Set this parameter&#39;s value to like or dislike to instruct the API to only return videos liked or disliked by the authenticated user. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :pageToken (type: String.t) - The pageToken parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. Note: This parameter is supported for use in conjunction with the myRating and chart parameters, but it is not supported for use in conjunction with the id parameter. :regionCode (type: String.t) - The regionCode parameter instructs the API to select a video chart available in the specified region. This parameter can only be used in conjunction with the chart parameter. The parameter value is an ISO 3166-1 alpha-2 country code. :videoCategoryId (type: String.t) - The videoCategoryId parameter identifies the video category for which the chart should be retrieved. This parameter can only be used in conjunction with the chart parameter. By default, charts are not restricted to a particular category. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.VideoListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_rate/5","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_rate/5","type":"function","doc":"Add a like or dislike rating to a video or remove a rating from a video. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server id (type: String.t) - The id parameter specifies the YouTube video ID of the video that is being rated or having its rating removed. rating (type: String.t) - Specifies the rating to record. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_report_abuse/3","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_report_abuse/3","type":"function","doc":"Report abuse for a video. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.VideoAbuseReport.t) - opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Videos.html#youtube_videos_update/4","title":"GoogleApi.YouTube.V3.Api.Videos.youtube_videos_update/4","type":"function","doc":"Updates a video&#39;s metadata. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server part (type: String.t) - The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that this method will override the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies. For example, a video&#39;s privacy setting is contained in the status part. As such, if your request is updating a private video, and the request&#39;s part parameter value includes the status part, the video&#39;s privacy setting will be updated to whatever value the request body specifies. If the request body does not specify a value, the existing privacy setting will be removed and the video will revert to the default privacy setting. In addition, not all parts contain properties that can be set when inserting or updating a video. For example, the statistics object encapsulates statistics that YouTube calculates for a video and does not contain values that you can set or modify. If the parameter value specifies a part that does not contain mutable values, that part will still be included in the API response. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.Video.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.YouTube.V3.Model.Video{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Watermarks.html","title":"GoogleApi.YouTube.V3.Api.Watermarks","type":"module","doc":"API calls for all endpoints tagged Watermarks."},{"ref":"GoogleApi.YouTube.V3.Api.Watermarks.html#youtube_watermarks_set/4","title":"GoogleApi.YouTube.V3.Api.Watermarks.youtube_watermarks_set/4","type":"function","doc":"Uploads a watermark image to YouTube and sets it for a channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server channel_id (type: String.t) - The channelId parameter specifies the YouTube channel ID for which the watermark is being provided. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.InvideoBranding.t) - opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Watermarks.html#youtube_watermarks_set_iodata/7","title":"GoogleApi.YouTube.V3.Api.Watermarks.youtube_watermarks_set_iodata/7","type":"function","doc":"Uploads a watermark image to YouTube and sets it for a channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server channel_id (type: String.t) - The channelId parameter specifies the YouTube channel ID for which the watermark is being provided. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.InvideoBranding.t) - object metadata data (type: iodata) - Content to upload, as a string or iolist optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Watermarks.html#youtube_watermarks_set_resumable/5","title":"GoogleApi.YouTube.V3.Api.Watermarks.youtube_watermarks_set_resumable/5","type":"function","doc":"Uploads a watermark image to YouTube and sets it for a channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server channel_id (type: String.t) - The channelId parameter specifies the YouTube channel ID for which the watermark is being provided. upload_type (type: String.t) - Upload type. Must be &quot;resumable&quot;. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. :body (type: GoogleApi.YouTube.V3.Model.InvideoBranding.t) - opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Watermarks.html#youtube_watermarks_set_simple/7","title":"GoogleApi.YouTube.V3.Api.Watermarks.youtube_watermarks_set_simple/7","type":"function","doc":"Uploads a watermark image to YouTube and sets it for a channel. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server channel_id (type: String.t) - The channelId parameter specifies the YouTube channel ID for which the watermark is being provided. upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.YouTube.V3.Model.InvideoBranding.t) - object metadata data (type: String.t) - Path to file containing content to upload optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Api.Watermarks.html#youtube_watermarks_unset/4","title":"GoogleApi.YouTube.V3.Api.Watermarks.youtube_watermarks_unset/4","type":"function","doc":"Deletes a channel&#39;s watermark image. Parameters connection (type: GoogleApi.YouTube.V3.Connection.t) - Connection to server channel_id (type: String.t) - The channelId parameter specifies the YouTube channel ID for which the watermark is being unset. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :onBehalfOfContentOwner (type: String.t) - Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request&#39;s authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.YouTube.V3.Connection.html","title":"GoogleApi.YouTube.V3.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.YouTube.V3."},{"ref":"GoogleApi.YouTube.V3.Connection.html#delete/3","title":"GoogleApi.YouTube.V3.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#delete!/3","title":"GoogleApi.YouTube.V3.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#execute/2","title":"GoogleApi.YouTube.V3.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed"},{"ref":"GoogleApi.YouTube.V3.Connection.html#get/3","title":"GoogleApi.YouTube.V3.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#get!/3","title":"GoogleApi.YouTube.V3.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#head/3","title":"GoogleApi.YouTube.V3.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#head!/3","title":"GoogleApi.YouTube.V3.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#new/0","title":"GoogleApi.YouTube.V3.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Env.client"},{"ref":"GoogleApi.YouTube.V3.Connection.html#new/1","title":"GoogleApi.YouTube.V3.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.YouTube.V3.Connection.html#options/3","title":"GoogleApi.YouTube.V3.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#options!/3","title":"GoogleApi.YouTube.V3.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#patch/4","title":"GoogleApi.YouTube.V3.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#patch!/4","title":"GoogleApi.YouTube.V3.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#post/4","title":"GoogleApi.YouTube.V3.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#post!/4","title":"GoogleApi.YouTube.V3.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#put/4","title":"GoogleApi.YouTube.V3.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#put!/4","title":"GoogleApi.YouTube.V3.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#request/2","title":"GoogleApi.YouTube.V3.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.YouTube.V3.Connection.html#request!/2","title":"GoogleApi.YouTube.V3.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.YouTube.V3.Connection.html#trace/3","title":"GoogleApi.YouTube.V3.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#trace!/3","title":"GoogleApi.YouTube.V3.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.YouTube.V3.Connection.html#t:option/0","title":"GoogleApi.YouTube.V3.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Connection.html#t:t/0","title":"GoogleApi.YouTube.V3.Connection.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.AccessPolicy.html","title":"GoogleApi.YouTube.V3.Model.AccessPolicy","type":"module","doc":"Rights management policy for YouTube resources. Attributes allowed (type: boolean(), default: nil) - The value of allowed indicates whether the access to the policy is allowed or denied by default. exception (type: list(String.t), default: nil) - A list of region codes that identify countries where the default policy do not apply."},{"ref":"GoogleApi.YouTube.V3.Model.AccessPolicy.html#decode/2","title":"GoogleApi.YouTube.V3.Model.AccessPolicy.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.AccessPolicy.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.AccessPolicy.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Activity.html","title":"GoogleApi.YouTube.V3.Model.Activity","type":"module","doc":"An activity resource contains information about an action that a particular channel, or user, has taken on YouTube.The actions reported in activity feeds include rating a video, sharing a video, marking a video as a favorite, commenting on a video, uploading a video, and so forth. Each activity resource identifies the type of action, the channel associated with the action, and the resource(s) associated with the action, such as the video that was rated or uploaded. Attributes contentDetails (type: GoogleApi.YouTube.V3.Model.ActivityContentDetails.t, default: nil) - The contentDetails object contains information about the content associated with the activity. For example, if the snippet.type value is videoRated, then the contentDetails object&#39;s content identifies the rated video. etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the activity. kind (type: String.t, default: youtube#activity) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#activity&quot;. snippet (type: GoogleApi.YouTube.V3.Model.ActivitySnippet.t, default: nil) - The snippet object contains basic details about the activity, including the activity&#39;s type and group ID."},{"ref":"GoogleApi.YouTube.V3.Model.Activity.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Activity.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Activity.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Activity.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetails.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetails","type":"module","doc":"Details about the content of an activity: the video that was shared, the channel that was subscribed to, etc. Attributes bulletin (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsBulletin.t, default: nil) - The bulletin object contains details about a channel bulletin post. This object is only present if the snippet.type is bulletin. channelItem (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsChannelItem.t, default: nil) - The channelItem object contains details about a resource which was added to a channel. This property is only present if the snippet.type is channelItem. comment (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsComment.t, default: nil) - The comment object contains information about a resource that received a comment. This property is only present if the snippet.type is comment. favorite (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsFavorite.t, default: nil) - The favorite object contains information about a video that was marked as a favorite video. This property is only present if the snippet.type is favorite. like (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsLike.t, default: nil) - The like object contains information about a resource that received a positive (like) rating. This property is only present if the snippet.type is like. playlistItem (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsPlaylistItem.t, default: nil) - The playlistItem object contains information about a new playlist item. This property is only present if the snippet.type is playlistItem. promotedItem (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsPromotedItem.t, default: nil) - The promotedItem object contains details about a resource which is being promoted. This property is only present if the snippet.type is promotedItem. recommendation (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsRecommendation.t, default: nil) - The recommendation object contains information about a recommended resource. This property is only present if the snippet.type is recommendation. social (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsSocial.t, default: nil) - The social object contains details about a social network post. This property is only present if the snippet.type is social. subscription (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsSubscription.t, default: nil) - The subscription object contains information about a channel that a user subscribed to. This property is only present if the snippet.type is subscription. upload (type: GoogleApi.YouTube.V3.Model.ActivityContentDetailsUpload.t, default: nil) - The upload object contains information about the uploaded video. This property is only present if the snippet.type is upload."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsBulletin.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsBulletin","type":"module","doc":"Details about a channel bulletin post. Attributes resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The resourceId object contains information that identifies the resource associated with a bulletin post."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsBulletin.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsBulletin.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsBulletin.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsBulletin.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsChannelItem.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsChannelItem","type":"module","doc":"Details about a resource which was added to a channel. Attributes resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The resourceId object contains information that identifies the resource that was added to the channel."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsChannelItem.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsChannelItem.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsChannelItem.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsChannelItem.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsComment.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsComment","type":"module","doc":"Information about a resource that received a comment. Attributes resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The resourceId object contains information that identifies the resource associated with the comment."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsComment.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsComment.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsComment.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsComment.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsFavorite.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsFavorite","type":"module","doc":"Information about a video that was marked as a favorite video. Attributes resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The resourceId object contains information that identifies the resource that was marked as a favorite."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsFavorite.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsFavorite.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsFavorite.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsFavorite.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsLike.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsLike","type":"module","doc":"Information about a resource that received a positive (like) rating. Attributes resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The resourceId object contains information that identifies the rated resource."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsLike.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsLike.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsLike.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsLike.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPlaylistItem.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPlaylistItem","type":"module","doc":"Information about a new playlist item. Attributes playlistId (type: String.t, default: nil) - The value that YouTube uses to uniquely identify the playlist. playlistItemId (type: String.t, default: nil) - ID of the item within the playlist. resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The resourceId object contains information about the resource that was added to the playlist."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPlaylistItem.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPlaylistItem.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPlaylistItem.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPlaylistItem.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPromotedItem.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPromotedItem","type":"module","doc":"Details about a resource which is being promoted. Attributes adTag (type: String.t, default: nil) - The URL the client should fetch to request a promoted item. clickTrackingUrl (type: String.t, default: nil) - The URL the client should ping to indicate that the user clicked through on this promoted item. creativeViewUrl (type: String.t, default: nil) - The URL the client should ping to indicate that the user was shown this promoted item. ctaType (type: String.t, default: nil) - The type of call-to-action, a message to the user indicating action that can be taken. customCtaButtonText (type: String.t, default: nil) - The custom call-to-action button text. If specified, it will override the default button text for the cta_type. descriptionText (type: String.t, default: nil) - The text description to accompany the promoted item. destinationUrl (type: String.t, default: nil) - The URL the client should direct the user to, if the user chooses to visit the advertiser&#39;s website. forecastingUrl (type: list(String.t), default: nil) - The list of forecasting URLs. The client should ping all of these URLs when a promoted item is not available, to indicate that a promoted item could have been shown. impressionUrl (type: list(String.t), default: nil) - The list of impression URLs. The client should ping all of these URLs to indicate that the user was shown this promoted item. videoId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the promoted video."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPromotedItem.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPromotedItem.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPromotedItem.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsPromotedItem.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsRecommendation.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsRecommendation","type":"module","doc":"Information that identifies the recommended resource. Attributes reason (type: String.t, default: nil) - The reason that the resource is recommended to the user. resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The resourceId object contains information that identifies the recommended resource. seedResourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The seedResourceId object contains information about the resource that caused the recommendation."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsRecommendation.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsRecommendation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsRecommendation.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsRecommendation.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSocial.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSocial","type":"module","doc":"Details about a social network post. Attributes author (type: String.t, default: nil) - The author of the social network post. imageUrl (type: String.t, default: nil) - An image of the post&#39;s author. referenceUrl (type: String.t, default: nil) - The URL of the social network post. resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The resourceId object encapsulates information that identifies the resource associated with a social network post. type (type: String.t, default: nil) - The name of the social network."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSocial.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSocial.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSocial.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSocial.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSubscription.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSubscription","type":"module","doc":"Information about a channel that a user subscribed to. Attributes resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The resourceId object contains information that identifies the resource that the user subscribed to."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSubscription.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSubscription.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSubscription.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsSubscription.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsUpload.html","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsUpload","type":"module","doc":"Information about the uploaded video. Attributes videoId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the uploaded video."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsUpload.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsUpload.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsUpload.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityContentDetailsUpload.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivityListResponse.html","title":"GoogleApi.YouTube.V3.Model.ActivityListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.Activity.t), default: nil) - A list of activities, or events, that match the request criteria. kind (type: String.t, default: youtube#activityListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#activityListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivityListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivityListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivityListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ActivitySnippet.html","title":"GoogleApi.YouTube.V3.Model.ActivitySnippet","type":"module","doc":"Basic details about an activity, including title, description, thumbnails, activity type and group. Attributes channelId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the channel associated with the activity. channelTitle (type: String.t, default: nil) - Channel title for the channel responsible for this activity description (type: String.t, default: nil) - The description of the resource primarily associated with the activity. groupId (type: String.t, default: nil) - The group ID associated with the activity. A group ID identifies user events that are associated with the same user and resource. For example, if a user rates a video and marks the same video as a favorite, the entries for those events would have the same group ID in the user&#39;s activity feed. In your user interface, you can avoid repetition by grouping events with the same groupId value. publishedAt (type: DateTime.t, default: nil) - The date and time that the video was uploaded. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. thumbnails (type: GoogleApi.YouTube.V3.Model.ThumbnailDetails.t, default: nil) - A map of thumbnail images associated with the resource that is primarily associated with the activity. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail. title (type: String.t, default: nil) - The title of the resource primarily associated with the activity. type (type: String.t, default: nil) - The type of activity that the resource describes."},{"ref":"GoogleApi.YouTube.V3.Model.ActivitySnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ActivitySnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ActivitySnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ActivitySnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Caption.html","title":"GoogleApi.YouTube.V3.Model.Caption","type":"module","doc":"A caption resource represents a YouTube caption track. A caption track is associated with exactly one YouTube video. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the caption track. kind (type: String.t, default: youtube#caption) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#caption&quot;. snippet (type: GoogleApi.YouTube.V3.Model.CaptionSnippet.t, default: nil) - The snippet object contains basic details about the caption."},{"ref":"GoogleApi.YouTube.V3.Model.Caption.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Caption.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Caption.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Caption.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.CaptionListResponse.html","title":"GoogleApi.YouTube.V3.Model.CaptionListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.Caption.t), default: nil) - A list of captions that match the request criteria. kind (type: String.t, default: youtube#captionListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#captionListResponse&quot;. visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.CaptionListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.CaptionListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.CaptionListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.CaptionListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.CaptionSnippet.html","title":"GoogleApi.YouTube.V3.Model.CaptionSnippet","type":"module","doc":"Basic details about a caption track, such as its language and name. Attributes audioTrackType (type: String.t, default: nil) - The type of audio track associated with the caption track. failureReason (type: String.t, default: nil) - The reason that YouTube failed to process the caption track. This property is only present if the state property&#39;s value is failed. isAutoSynced (type: boolean(), default: nil) - Indicates whether YouTube synchronized the caption track to the audio track in the video. The value will be true if a sync was explicitly requested when the caption track was uploaded. For example, when calling the captions.insert or captions.update methods, you can set the sync parameter to true to instruct YouTube to sync the uploaded track to the video. If the value is false, YouTube uses the time codes in the uploaded caption track to determine when to display captions. isCC (type: boolean(), default: nil) - Indicates whether the track contains closed captions for the deaf and hard of hearing. The default value is false. isDraft (type: boolean(), default: nil) - Indicates whether the caption track is a draft. If the value is true, then the track is not publicly visible. The default value is false. isEasyReader (type: boolean(), default: nil) - Indicates whether caption track is formatted for &quot;easy reader,&quot; meaning it is at a third-grade level for language learners. The default value is false. isLarge (type: boolean(), default: nil) - Indicates whether the caption track uses large text for the vision-impaired. The default value is false. language (type: String.t, default: nil) - The language of the caption track. The property value is a BCP-47 language tag. lastUpdated (type: DateTime.t, default: nil) - The date and time when the caption track was last updated. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. name (type: String.t, default: nil) - The name of the caption track. The name is intended to be visible to the user as an option during playback. status (type: String.t, default: nil) - The caption track&#39;s status. trackKind (type: String.t, default: nil) - The caption track&#39;s type. videoId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the video associated with the caption track."},{"ref":"GoogleApi.YouTube.V3.Model.CaptionSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.CaptionSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.CaptionSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.CaptionSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.CdnSettings.html","title":"GoogleApi.YouTube.V3.Model.CdnSettings","type":"module","doc":"Brief description of the live stream cdn settings. Attributes format (type: String.t, default: nil) - The format of the video stream that you are sending to Youtube. frameRate (type: String.t, default: nil) - The frame rate of the inbound video data. ingestionInfo (type: GoogleApi.YouTube.V3.Model.IngestionInfo.t, default: nil) - The ingestionInfo object contains information that YouTube provides that you need to transmit your RTMP or HTTP stream to YouTube. ingestionType (type: String.t, default: nil) - The method or protocol used to transmit the video stream. resolution (type: String.t, default: nil) - The resolution of the inbound video data."},{"ref":"GoogleApi.YouTube.V3.Model.CdnSettings.html#decode/2","title":"GoogleApi.YouTube.V3.Model.CdnSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.CdnSettings.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.CdnSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Channel.html","title":"GoogleApi.YouTube.V3.Model.Channel","type":"module","doc":"A channel resource contains information about a YouTube channel. Attributes auditDetails (type: GoogleApi.YouTube.V3.Model.ChannelAuditDetails.t, default: nil) - The auditionDetails object encapsulates channel data that is relevant for YouTube Partners during the audition process. brandingSettings (type: GoogleApi.YouTube.V3.Model.ChannelBrandingSettings.t, default: nil) - The brandingSettings object encapsulates information about the branding of the channel. contentDetails (type: GoogleApi.YouTube.V3.Model.ChannelContentDetails.t, default: nil) - The contentDetails object encapsulates information about the channel&#39;s content. contentOwnerDetails (type: GoogleApi.YouTube.V3.Model.ChannelContentOwnerDetails.t, default: nil) - The contentOwnerDetails object encapsulates channel data that is relevant for YouTube Partners linked with the channel. conversionPings (type: GoogleApi.YouTube.V3.Model.ChannelConversionPings.t, default: nil) - The conversionPings object encapsulates information about conversion pings that need to be respected by the channel. etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the channel. invideoPromotion (type: GoogleApi.YouTube.V3.Model.InvideoPromotion.t, default: nil) - The invideoPromotion object encapsulates information about promotion campaign associated with the channel. kind (type: String.t, default: youtube#channel) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#channel&quot;. localizations (type: %{optional(String.t) =&gt; GoogleApi.YouTube.V3.Model.ChannelLocalization.t}, default: nil) - Localizations for different languages snippet (type: GoogleApi.YouTube.V3.Model.ChannelSnippet.t, default: nil) - The snippet object contains basic details about the channel, such as its title, description, and thumbnail images. statistics (type: GoogleApi.YouTube.V3.Model.ChannelStatistics.t, default: nil) - The statistics object encapsulates statistics for the channel. status (type: GoogleApi.YouTube.V3.Model.ChannelStatus.t, default: nil) - The status object encapsulates information about the privacy status of the channel. topicDetails (type: GoogleApi.YouTube.V3.Model.ChannelTopicDetails.t, default: nil) - The topicDetails object encapsulates information about Freebase topics associated with the channel."},{"ref":"GoogleApi.YouTube.V3.Model.Channel.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Channel.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Channel.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Channel.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelAuditDetails.html","title":"GoogleApi.YouTube.V3.Model.ChannelAuditDetails","type":"module","doc":"The auditDetails object encapsulates channel data that is relevant for YouTube Partners during the audit process. Attributes communityGuidelinesGoodStanding (type: boolean(), default: nil) - Whether or not the channel respects the community guidelines. contentIdClaimsGoodStanding (type: boolean(), default: nil) - Whether or not the channel has any unresolved claims. copyrightStrikesGoodStanding (type: boolean(), default: nil) - Whether or not the channel has any copyright strikes."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelAuditDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelAuditDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelAuditDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelAuditDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelBannerResource.html","title":"GoogleApi.YouTube.V3.Model.ChannelBannerResource","type":"module","doc":"A channel banner returned as the response to a channel_banner.insert call. Attributes etag (type: String.t, default: nil) - Etag of this resource. kind (type: String.t, default: youtube#channelBannerResource) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#channelBannerResource&quot;. url (type: String.t, default: nil) - The URL of this banner image."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelBannerResource.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelBannerResource.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelBannerResource.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelBannerResource.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelBrandingSettings.html","title":"GoogleApi.YouTube.V3.Model.ChannelBrandingSettings","type":"module","doc":"Branding properties of a YouTube channel. Attributes channel (type: GoogleApi.YouTube.V3.Model.ChannelSettings.t, default: nil) - Branding properties for the channel view. hints (type: list(GoogleApi.YouTube.V3.Model.PropertyValue.t), default: nil) - Additional experimental branding properties. image (type: GoogleApi.YouTube.V3.Model.ImageSettings.t, default: nil) - Branding properties for branding images. watch (type: GoogleApi.YouTube.V3.Model.WatchSettings.t, default: nil) - Branding properties for the watch page."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelBrandingSettings.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelBrandingSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelBrandingSettings.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelBrandingSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelContentDetails.html","title":"GoogleApi.YouTube.V3.Model.ChannelContentDetails","type":"module","doc":"Details about the content of a channel. Attributes relatedPlaylists (type: GoogleApi.YouTube.V3.Model.ChannelContentDetailsRelatedPlaylists.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.ChannelContentDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelContentDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelContentDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelContentDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelContentDetailsRelatedPlaylists.html","title":"GoogleApi.YouTube.V3.Model.ChannelContentDetailsRelatedPlaylists","type":"module","doc":"Attributes favorites (type: String.t, default: nil) - The ID of the playlist that contains the channel&quot;s favorite videos. Use the playlistItems.insert and playlistItems.delete to add or remove items from that list. likes (type: String.t, default: nil) - The ID of the playlist that contains the channel&quot;s liked videos. Use the playlistItems.insert and playlistItems.delete to add or remove items from that list. uploads (type: String.t, default: nil) - The ID of the playlist that contains the channel&quot;s uploaded videos. Use the videos.insert method to upload new videos and the videos.delete method to delete previously uploaded videos. watchHistory (type: String.t, default: nil) - The ID of the playlist that contains the channel&quot;s watch history. Use the playlistItems.insert and playlistItems.delete to add or remove items from that list. watchLater (type: String.t, default: nil) - The ID of the playlist that contains the channel&quot;s watch later playlist. Use the playlistItems.insert and playlistItems.delete to add or remove items from that list."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelContentDetailsRelatedPlaylists.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelContentDetailsRelatedPlaylists.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelContentDetailsRelatedPlaylists.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelContentDetailsRelatedPlaylists.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelContentOwnerDetails.html","title":"GoogleApi.YouTube.V3.Model.ChannelContentOwnerDetails","type":"module","doc":"The contentOwnerDetails object encapsulates channel data that is relevant for YouTube Partners linked with the channel. Attributes contentOwner (type: String.t, default: nil) - The ID of the content owner linked to the channel. timeLinked (type: DateTime.t, default: nil) - The date and time of when the channel was linked to the content owner. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelContentOwnerDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelContentOwnerDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelContentOwnerDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelContentOwnerDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelConversionPing.html","title":"GoogleApi.YouTube.V3.Model.ChannelConversionPing","type":"module","doc":"Pings that the app shall fire (authenticated by biscotti cookie). Each ping has a context, in which the app must fire the ping, and a url identifying the ping. Attributes context (type: String.t, default: nil) - Defines the context of the ping. conversionUrl (type: String.t, default: nil) - The url (without the schema) that the player shall send the ping to. It&#39;s at caller&#39;s descretion to decide which schema to use (http vs https) Example of a returned url: //googleads.g.doubleclick.net/pagead/ viewthroughconversion/962985656/?data=path%3DtHe_path%3Btype%3D cview%3Butuid%3DGISQtTNGYqaYl4sKxoVvKA&amp;labe=default The caller must append biscotti authentication (ms param in case of mobile, for example) to this ping."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelConversionPing.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelConversionPing.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelConversionPing.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelConversionPing.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelConversionPings.html","title":"GoogleApi.YouTube.V3.Model.ChannelConversionPings","type":"module","doc":"The conversionPings object encapsulates information about conversion pings that need to be respected by the channel. Attributes pings (type: list(GoogleApi.YouTube.V3.Model.ChannelConversionPing.t), default: nil) - Pings that the app shall fire (authenticated by biscotti cookie). Each ping has a context, in which the app must fire the ping, and a url identifying the ping."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelConversionPings.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelConversionPings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelConversionPings.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelConversionPings.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelListResponse.html","title":"GoogleApi.YouTube.V3.Model.ChannelListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.Channel.t), default: nil) - A list of channels that match the request criteria. kind (type: String.t, default: youtube#channelListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#channelListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelLocalization.html","title":"GoogleApi.YouTube.V3.Model.ChannelLocalization","type":"module","doc":"Channel localization setting Attributes description (type: String.t, default: nil) - The localized strings for channel&#39;s description. title (type: String.t, default: nil) - The localized strings for channel&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelLocalization.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelLocalization.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelLocalization.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelLocalization.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelProfileDetails.html","title":"GoogleApi.YouTube.V3.Model.ChannelProfileDetails","type":"module","doc":"Attributes channelId (type: String.t, default: nil) - The YouTube channel ID. channelUrl (type: String.t, default: nil) - The channel&#39;s URL. displayName (type: String.t, default: nil) - The channel&#39;s display name. profileImageUrl (type: String.t, default: nil) - The channels&#39;s avatar URL."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelProfileDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelProfileDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelProfileDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelProfileDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSection.html","title":"GoogleApi.YouTube.V3.Model.ChannelSection","type":"module","doc":"Attributes contentDetails (type: GoogleApi.YouTube.V3.Model.ChannelSectionContentDetails.t, default: nil) - The contentDetails object contains details about the channel section content, such as a list of playlists or channels featured in the section. etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the channel section. kind (type: String.t, default: youtube#channelSection) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#channelSection&quot;. localizations (type: %{optional(String.t) =&gt; GoogleApi.YouTube.V3.Model.ChannelSectionLocalization.t}, default: nil) - Localizations for different languages snippet (type: GoogleApi.YouTube.V3.Model.ChannelSectionSnippet.t, default: nil) - The snippet object contains basic details about the channel section, such as its type, style and title. targeting (type: GoogleApi.YouTube.V3.Model.ChannelSectionTargeting.t, default: nil) - The targeting object contains basic targeting settings about the channel section."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSection.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelSection.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSection.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelSection.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionContentDetails.html","title":"GoogleApi.YouTube.V3.Model.ChannelSectionContentDetails","type":"module","doc":"Details about a channelsection, including playlists and channels. Attributes channels (type: list(String.t), default: nil) - The channel ids for type multiple_channels. playlists (type: list(String.t), default: nil) - The playlist ids for type single_playlist and multiple_playlists. For singlePlaylist, only one playlistId is allowed."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionContentDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelSectionContentDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionContentDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelSectionContentDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionListResponse.html","title":"GoogleApi.YouTube.V3.Model.ChannelSectionListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.ChannelSection.t), default: nil) - A list of ChannelSections that match the request criteria. kind (type: String.t, default: youtube#channelSectionListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#channelSectionListResponse&quot;. visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelSectionListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelSectionListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionLocalization.html","title":"GoogleApi.YouTube.V3.Model.ChannelSectionLocalization","type":"module","doc":"ChannelSection localization setting Attributes title (type: String.t, default: nil) - The localized strings for channel section&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionLocalization.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelSectionLocalization.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionLocalization.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelSectionLocalization.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionSnippet.html","title":"GoogleApi.YouTube.V3.Model.ChannelSectionSnippet","type":"module","doc":"Basic details about a channel section, including title, style and position. Attributes channelId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the channel that published the channel section. defaultLanguage (type: String.t, default: nil) - The language of the channel section&#39;s default title and description. localized (type: GoogleApi.YouTube.V3.Model.ChannelSectionLocalization.t, default: nil) - Localized title, read-only. position (type: integer(), default: nil) - The position of the channel section in the channel. style (type: String.t, default: nil) - The style of the channel section. title (type: String.t, default: nil) - The channel section&#39;s title for multiple_playlists and multiple_channels. type (type: String.t, default: nil) - The type of the channel section."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelSectionSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelSectionSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionTargeting.html","title":"GoogleApi.YouTube.V3.Model.ChannelSectionTargeting","type":"module","doc":"ChannelSection targeting setting. Attributes countries (type: list(String.t), default: nil) - The country the channel section is targeting. languages (type: list(String.t), default: nil) - The language the channel section is targeting. regions (type: list(String.t), default: nil) - The region the channel section is targeting."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionTargeting.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelSectionTargeting.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSectionTargeting.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelSectionTargeting.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSettings.html","title":"GoogleApi.YouTube.V3.Model.ChannelSettings","type":"module","doc":"Branding properties for the channel view. Attributes country (type: String.t, default: nil) - The country of the channel. defaultLanguage (type: String.t, default: nil) - defaultTab (type: String.t, default: nil) - Which content tab users should see when viewing the channel. description (type: String.t, default: nil) - Specifies the channel description. featuredChannelsTitle (type: String.t, default: nil) - Title for the featured channels tab. featuredChannelsUrls (type: list(String.t), default: nil) - The list of featured channels. keywords (type: String.t, default: nil) - Lists keywords associated with the channel, comma-separated. moderateComments (type: boolean(), default: nil) - Whether user-submitted comments left on the channel page need to be approved by the channel owner to be publicly visible. profileColor (type: String.t, default: nil) - A prominent color that can be rendered on this channel page. showBrowseView (type: boolean(), default: nil) - Whether the tab to browse the videos should be displayed. showRelatedChannels (type: boolean(), default: nil) - Whether related channels should be proposed. title (type: String.t, default: nil) - Specifies the channel title. trackingAnalyticsAccountId (type: String.t, default: nil) - The ID for a Google Analytics account to track and measure traffic to the channels. unsubscribedTrailer (type: String.t, default: nil) - The trailer of the channel, for users that are not subscribers."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSettings.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSettings.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSnippet.html","title":"GoogleApi.YouTube.V3.Model.ChannelSnippet","type":"module","doc":"Basic details about a channel, including title, description and thumbnails. Attributes country (type: String.t, default: nil) - The country of the channel. customUrl (type: String.t, default: nil) - The custom url of the channel. defaultLanguage (type: String.t, default: nil) - The language of the channel&#39;s default title and description. description (type: String.t, default: nil) - The description of the channel. localized (type: GoogleApi.YouTube.V3.Model.ChannelLocalization.t, default: nil) - Localized title and description, read-only. publishedAt (type: DateTime.t, default: nil) - The date and time that the channel was created. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. thumbnails (type: GoogleApi.YouTube.V3.Model.ThumbnailDetails.t, default: nil) - A map of thumbnail images associated with the channel. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail. When displaying thumbnails in your application, make sure that your code uses the image URLs exactly as they are returned in API responses. For example, your application should not use the http domain instead of the https domain in a URL returned in an API response. Beginning in July 2018, channel thumbnail URLs will only be available in the https domain, which is how the URLs appear in API responses. After that time, you might see broken images in your application if it tries to load YouTube images from the http domain. title (type: String.t, default: nil) - The channel&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelStatistics.html","title":"GoogleApi.YouTube.V3.Model.ChannelStatistics","type":"module","doc":"Statistics about a channel: number of subscribers, number of videos in the channel, etc. Attributes commentCount (type: String.t, default: nil) - The number of comments for the channel. hiddenSubscriberCount (type: boolean(), default: nil) - Whether or not the number of subscribers is shown for this user. subscriberCount (type: String.t, default: nil) - The number of subscribers that the channel has. videoCount (type: String.t, default: nil) - The number of videos uploaded to the channel. viewCount (type: String.t, default: nil) - The number of times the channel has been viewed."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelStatistics.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelStatistics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelStatistics.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelStatistics.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelStatus.html","title":"GoogleApi.YouTube.V3.Model.ChannelStatus","type":"module","doc":"JSON template for the status part of a channel. Attributes isLinked (type: boolean(), default: nil) - If true, then the user is linked to either a YouTube username or G+ account. Otherwise, the user doesn&#39;t have a public YouTube identity. longUploadsStatus (type: String.t, default: nil) - The long uploads status of this channel. See privacyStatus (type: String.t, default: nil) - Privacy status of the channel."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelStatus.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelStatus.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelStatus.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelStatus.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ChannelTopicDetails.html","title":"GoogleApi.YouTube.V3.Model.ChannelTopicDetails","type":"module","doc":"Freebase topic information related to the channel. Attributes topicCategories (type: list(String.t), default: nil) - A list of Wikipedia URLs that describe the channel&#39;s content. topicIds (type: list(String.t), default: nil) - A list of Freebase topic IDs associated with the channel. You can retrieve information about each topic using the Freebase Topic API."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelTopicDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ChannelTopicDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ChannelTopicDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ChannelTopicDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Comment.html","title":"GoogleApi.YouTube.V3.Model.Comment","type":"module","doc":"A comment represents a single YouTube comment. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the comment. kind (type: String.t, default: youtube#comment) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#comment&quot;. snippet (type: GoogleApi.YouTube.V3.Model.CommentSnippet.t, default: nil) - The snippet object contains basic details about the comment."},{"ref":"GoogleApi.YouTube.V3.Model.Comment.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Comment.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Comment.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Comment.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.CommentListResponse.html","title":"GoogleApi.YouTube.V3.Model.CommentListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.Comment.t), default: nil) - A list of comments that match the request criteria. kind (type: String.t, default: youtube#commentListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#commentListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.CommentListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.CommentListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.CommentListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.CommentListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.CommentSnippet.html","title":"GoogleApi.YouTube.V3.Model.CommentSnippet","type":"module","doc":"Basic details about a comment, such as its author and text. Attributes authorChannelId (type: any(), default: nil) - The id of the author&#39;s YouTube channel, if any. authorChannelUrl (type: String.t, default: nil) - Link to the author&#39;s YouTube channel, if any. authorDisplayName (type: String.t, default: nil) - The name of the user who posted the comment. authorProfileImageUrl (type: String.t, default: nil) - The URL for the avatar of the user who posted the comment. canRate (type: boolean(), default: nil) - Whether the current viewer can rate this comment. channelId (type: String.t, default: nil) - The id of the corresponding YouTube channel. In case of a channel comment this is the channel the comment refers to. In case of a video comment it&#39;s the video&#39;s channel. likeCount (type: integer(), default: nil) - The total number of likes this comment has received. moderationStatus (type: String.t, default: nil) - The comment&#39;s moderation status. Will not be set if the comments were requested through the id filter. parentId (type: String.t, default: nil) - The unique id of the parent comment, only set for replies. publishedAt (type: DateTime.t, default: nil) - The date and time when the comment was orignally published. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. textDisplay (type: String.t, default: nil) - The comment&#39;s text. The format is either plain text or HTML dependent on what has been requested. Even the plain text representation may differ from the text originally posted in that it may replace video links with video titles etc. textOriginal (type: String.t, default: nil) - The comment&#39;s original raw text as initially posted or last updated. The original text will only be returned if it is accessible to the viewer, which is only guaranteed if the viewer is the comment&#39;s author. updatedAt (type: DateTime.t, default: nil) - The date and time when was last updated . The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. videoId (type: String.t, default: nil) - The ID of the video the comment refers to, if any. viewerRating (type: String.t, default: nil) - The rating the viewer has given to this comment. For the time being this will never return RATE_TYPE_DISLIKE and instead return RATE_TYPE_NONE. This may change in the future."},{"ref":"GoogleApi.YouTube.V3.Model.CommentSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.CommentSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.CommentSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.CommentSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.CommentThread.html","title":"GoogleApi.YouTube.V3.Model.CommentThread","type":"module","doc":"A comment thread represents information that applies to a top level comment and all its replies. It can also include the top level comment itself and some of the replies. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the comment thread. kind (type: String.t, default: youtube#commentThread) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#commentThread&quot;. replies (type: GoogleApi.YouTube.V3.Model.CommentThreadReplies.t, default: nil) - The replies object contains a limited number of replies (if any) to the top level comment found in the snippet. snippet (type: GoogleApi.YouTube.V3.Model.CommentThreadSnippet.t, default: nil) - The snippet object contains basic details about the comment thread and also the top level comment."},{"ref":"GoogleApi.YouTube.V3.Model.CommentThread.html#decode/2","title":"GoogleApi.YouTube.V3.Model.CommentThread.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.CommentThread.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.CommentThread.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.CommentThreadListResponse.html","title":"GoogleApi.YouTube.V3.Model.CommentThreadListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.CommentThread.t), default: nil) - A list of comment threads that match the request criteria. kind (type: String.t, default: youtube#commentThreadListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#commentThreadListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.CommentThreadListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.CommentThreadListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.CommentThreadListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.CommentThreadListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.CommentThreadReplies.html","title":"GoogleApi.YouTube.V3.Model.CommentThreadReplies","type":"module","doc":"Comments written in (direct or indirect) reply to the top level comment. Attributes comments (type: list(GoogleApi.YouTube.V3.Model.Comment.t), default: nil) - A limited number of replies. Unless the number of replies returned equals total_reply_count in the snippet the returned replies are only a subset of the total number of replies."},{"ref":"GoogleApi.YouTube.V3.Model.CommentThreadReplies.html#decode/2","title":"GoogleApi.YouTube.V3.Model.CommentThreadReplies.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.CommentThreadReplies.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.CommentThreadReplies.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.CommentThreadSnippet.html","title":"GoogleApi.YouTube.V3.Model.CommentThreadSnippet","type":"module","doc":"Basic details about a comment thread. Attributes canReply (type: boolean(), default: nil) - Whether the current viewer of the thread can reply to it. This is viewer specific - other viewers may see a different value for this field. channelId (type: String.t, default: nil) - The YouTube channel the comments in the thread refer to or the channel with the video the comments refer to. If video_id isn&#39;t set the comments refer to the channel itself. isPublic (type: boolean(), default: nil) - Whether the thread (and therefore all its comments) is visible to all YouTube users. topLevelComment (type: GoogleApi.YouTube.V3.Model.Comment.t, default: nil) - The top level comment of this thread. totalReplyCount (type: integer(), default: nil) - The total number of replies (not including the top level comment). videoId (type: String.t, default: nil) - The ID of the video the comments refer to, if any. No video_id implies a channel discussion comment."},{"ref":"GoogleApi.YouTube.V3.Model.CommentThreadSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.CommentThreadSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.CommentThreadSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.CommentThreadSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ContentRating.html","title":"GoogleApi.YouTube.V3.Model.ContentRating","type":"module","doc":"Ratings schemes. The country-specific ratings are mostly for movies and shows. NEXT_ID: 72 Attributes rteRating (type: String.t, default: nil) - The video&#39;s rating from Ireland&#39;s Raidió Teilifís Éireann. agcomRating (type: String.t, default: nil) - The video&#39;s rating from Italy&#39;s Autorità per le Garanzie nelle Comunicazioni (AGCOM). acbRating (type: String.t, default: nil) - The video&#39;s Australian Classification Board (ACB) or Australian Communications and Media Authority (ACMA) rating. ACMA ratings are used to classify children&#39;s television programming. mcstRating (type: String.t, default: nil) - The video&#39;s rating system for Vietnam - MCST russiaRating (type: String.t, default: nil) - The video&#39;s National Film Registry of the Russian Federation (MKRF - Russia) rating. chfilmRating (type: String.t, default: nil) - The video&#39;s rating in Switzerland. djctqRatingReasons (type: list(String.t), default: nil) - Reasons that explain why the video received its DJCQT (Brazil) rating. lsfRating (type: String.t, default: nil) - The video&#39;s rating from Indonesia&#39;s Lembaga Sensor Film. cscfRating (type: String.t, default: nil) - The video&#39;s rating from Luxembourg&#39;s Commission de surveillance de la classification des films (CSCF). csaRating (type: String.t, default: nil) - The video&#39;s rating from France&#39;s Conseil supérieur de l?audiovisuel, which rates broadcast content. smsaRating (type: String.t, default: nil) - The video&#39;s rating from Statens medieråd (Sweden&#39;s National Media Council). nbcplRating (type: String.t, default: nil) - The video&#39;s rating in Poland. mpaatRating (type: String.t, default: nil) - The rating system for trailer, DVD, and Ad in the US. See http://movielabs.com/md/ratings/v2.3/html/US_MPAAT_Ratings.html. cccRating (type: String.t, default: nil) - The video&#39;s Consejo de Calificación Cinematográfica (Chile) rating. grfilmRating (type: String.t, default: nil) - The video&#39;s rating in Greece. fcbmRating (type: String.t, default: nil) - The video&#39;s rating from Malaysia&#39;s Film Censorship Board. ifcoRating (type: String.t, default: nil) - The video&#39;s Irish Film Classification Office (IFCO - Ireland) rating. See the IFCO website for more information. ilfilmRating (type: String.t, default: nil) - The video&#39;s rating in Israel. cicfRating (type: String.t, default: nil) - The video&#39;s rating from the Commission de Contrôle des Films (Belgium). rtcRating (type: String.t, default: nil) - The video&#39;s General Directorate of Radio, Television and Cinematography (Mexico) rating. resorteviolenciaRating (type: String.t, default: nil) - The video&#39;s rating in Venezuela. cnaRating (type: String.t, default: nil) - The video&#39;s rating from Romania&#39;s CONSILIUL NATIONAL AL AUDIOVIZUALULUI (CNA). rcnofRating (type: String.t, default: nil) - The video&#39;s rating from the Hungarian Nemzeti Filmiroda, the Rating Committee of the National Office of Film. medietilsynetRating (type: String.t, default: nil) - The video&#39;s rating from Medietilsynet, the Norwegian Media Authority. kijkwijzerRating (type: String.t, default: nil) - voor de Classificatie van Audiovisuele Media (Netherlands). fcoRating (type: String.t, default: nil) - The video&#39;s rating from Hong Kong&#39;s Office for Film, Newspaper and Article Administration. fpbRatingReasons (type: list(String.t), default: nil) - Reasons that explain why the video received its FPB (South Africa) rating. mibacRating (type: String.t, default: nil) - The video&#39;s rating from the Ministero dei Beni e delle Attività Culturali e del Turismo (Italy). chvrsRating (type: String.t, default: nil) - The video&#39;s Canadian Home Video Rating System (CHVRS) rating. mdaRating (type: String.t, default: nil) - The video&#39;s rating from Singapore&#39;s Media Development Authority (MDA) and, specifically, it&#39;s Board of Film Censors (BFC). catvRating (type: String.t, default: nil) - Rating system for Canadian TV - Canadian TV Classification System The video&#39;s rating from the Canadian Radio-Television and Telecommunications Commission (CRTC) for Canadian English-language broadcasts. For more information, see the Canadian Broadcast Standards Council website. cbfcRating (type: String.t, default: nil) - The video&#39;s Central Board of Film Certification (CBFC - India) rating. nkclvRating (type: String.t, default: nil) - The video&#39;s rating from the Nacionãlais Kino centrs (National Film Centre of Latvia). kfcbRating (type: String.t, default: nil) - The video&#39;s rating from the Kenya Film Classification Board. nbcRating (type: String.t, default: nil) - The video&#39;s rating from the Maldives National Bureau of Classification. nfrcRating (type: String.t, default: nil) - The video&#39;s rating from the Bulgarian National Film Center. cncRating (type: String.t, default: nil) - Rating system in France - Commission de classification cinematographique ytRating (type: String.t, default: nil) - A rating that YouTube uses to identify age-restricted content. moctwRating (type: String.t, default: nil) - The video&#39;s rating from Taiwan&#39;s Ministry of Culture (文化部). catvfrRating (type: String.t, default: nil) - The video&#39;s rating from the Canadian Radio-Television and Telecommunications Commission (CRTC) for Canadian French-language broadcasts. For more information, see the Canadian Broadcast Standards Council website. bbfcRating (type: String.t, default: nil) - The video&#39;s British Board of Film Classification (BBFC) rating. anatelRating (type: String.t, default: nil) - The video&#39;s Anatel (Asociación Nacional de Televisión) rating for Chilean television. fskRating (type: String.t, default: nil) - The video&#39;s Freiwillige Selbstkontrolle der Filmwirtschaft (FSK - Germany) rating. ecbmctRating (type: String.t, default: nil) - Rating system in Turkey - Evaluation and Classification Board of the Ministry of Culture and Tourism djctqRating (type: String.t, default: nil) - The video&#39;s Departamento de Justiça, Classificação, Qualificação e Títulos (DJCQT - Brazil) rating. eirinRating (type: String.t, default: nil) - The video&#39;s Eirin (映倫) rating. Eirin is the Japanese rating system. eefilmRating (type: String.t, default: nil) - The video&#39;s rating in Estonia. bfvcRating (type: String.t, default: nil) - The video&#39;s rating from Thailand&#39;s Board of Film and Video Censors. cceRating (type: String.t, default: nil) - The video&#39;s rating from Portugal&#39;s Comissão de Classificação de Espect´culos. bmukkRating (type: String.t, default: nil) - The video&#39;s rating from the Austrian Board of Media Classification (Bundesministerium für Unterricht, Kunst und Kultur). mccypRating (type: String.t, default: nil) - The video&#39;s rating from the Danish Film Institute&#39;s (Det Danske Filminstitut) Media Council for Children and Young People. mocRating (type: String.t, default: nil) - The video&#39;s Ministerio de Cultura (Colombia) rating. mekuRating (type: String.t, default: nil) - The video&#39;s rating from Finland&#39;s Kansallinen Audiovisuaalinen Instituutti (National Audiovisual Institute). mpaaRating (type: String.t, default: nil) - The video&#39;s Motion Picture Association of America (MPAA) rating. kmrbRating (type: String.t, default: nil) - The video&#39;s Korea Media Rating Board (영상물등급위원회) rating. The KMRB rates videos in South Korea. egfilmRating (type: String.t, default: nil) - The video&#39;s rating in Egypt. icaaRating (type: String.t, default: nil) - The video&#39;s Instituto de la Cinematografía y de las Artes Audiovisuales (ICAA - Spain) rating. pefilmRating (type: String.t, default: nil) - The video&#39;s rating in Peru. czfilmRating (type: String.t, default: nil) - The video&#39;s rating in the Czech Republic. skfilmRating (type: String.t, default: nil) - The video&#39;s rating in Slovakia. smaisRating (type: String.t, default: nil) - The video&#39;s rating in Iceland. nfvcbRating (type: String.t, default: nil) - The video&#39;s rating from Nigeria&#39;s National Film and Video Censors Board. mtrcbRating (type: String.t, default: nil) - The video&#39;s rating from the Movie and Television Review and Classification Board (Philippines). oflcRating (type: String.t, default: nil) - The video&#39;s Office of Film and Literature Classification (OFLC - New Zealand) rating. fpbRating (type: String.t, default: nil) - The video&#39;s rating from South Africa&#39;s Film and Publication Board. fmocRating (type: String.t, default: nil) - This property has been deprecated. Use the contentDetails.contentRating.cncRating instead. mccaaRating (type: String.t, default: nil) - The video&#39;s rating from Malta&#39;s Film Age-Classification Board. nmcRating (type: String.t, default: nil) - menaMpaaRating (type: String.t, default: nil) - The rating system for MENA countries, a clone of MPAA. It is needed to tvpgRating (type: String.t, default: nil) - The video&#39;s TV Parental Guidelines (TVPG) rating. incaaRating (type: String.t, default: nil) - The video&#39;s INCAA (Instituto Nacional de Cine y Artes Audiovisuales - Argentina) rating."},{"ref":"GoogleApi.YouTube.V3.Model.ContentRating.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ContentRating.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ContentRating.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ContentRating.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.GeoPoint.html","title":"GoogleApi.YouTube.V3.Model.GeoPoint","type":"module","doc":"Geographical coordinates of a point, in WGS84. Attributes altitude (type: float(), default: nil) - Altitude above the reference ellipsoid, in meters. latitude (type: float(), default: nil) - Latitude in degrees. longitude (type: float(), default: nil) - Longitude in degrees."},{"ref":"GoogleApi.YouTube.V3.Model.GeoPoint.html#decode/2","title":"GoogleApi.YouTube.V3.Model.GeoPoint.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.GeoPoint.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.GeoPoint.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.GuideCategory.html","title":"GoogleApi.YouTube.V3.Model.GuideCategory","type":"module","doc":"A guideCategory resource identifies a category that YouTube algorithmically assigns based on a channel&#39;s content or other indicators, such as the channel&#39;s popularity. The list is similar to video categories, with the difference being that a video&#39;s uploader can assign a video category but only YouTube can assign a channel category. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the guide category. kind (type: String.t, default: youtube#guideCategory) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#guideCategory&quot;. snippet (type: GoogleApi.YouTube.V3.Model.GuideCategorySnippet.t, default: nil) - The snippet object contains basic details about the category, such as its title."},{"ref":"GoogleApi.YouTube.V3.Model.GuideCategory.html#decode/2","title":"GoogleApi.YouTube.V3.Model.GuideCategory.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.GuideCategory.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.GuideCategory.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.GuideCategoryListResponse.html","title":"GoogleApi.YouTube.V3.Model.GuideCategoryListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.GuideCategory.t), default: nil) - A list of categories that can be associated with YouTube channels. In this map, the category ID is the map key, and its value is the corresponding guideCategory resource. kind (type: String.t, default: youtube#guideCategoryListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#guideCategoryListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.GuideCategoryListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.GuideCategoryListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.GuideCategoryListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.GuideCategoryListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.GuideCategorySnippet.html","title":"GoogleApi.YouTube.V3.Model.GuideCategorySnippet","type":"module","doc":"Basic details about a guide category. Attributes channelId (type: String.t, default: UCBR8-60-B28hp2BmDPdntcQ) - title (type: String.t, default: nil) - Description of the guide category."},{"ref":"GoogleApi.YouTube.V3.Model.GuideCategorySnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.GuideCategorySnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.GuideCategorySnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.GuideCategorySnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.I18nLanguage.html","title":"GoogleApi.YouTube.V3.Model.I18nLanguage","type":"module","doc":"An i18nLanguage resource identifies a UI language currently supported by YouTube. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the i18n language. kind (type: String.t, default: youtube#i18nLanguage) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#i18nLanguage&quot;. snippet (type: GoogleApi.YouTube.V3.Model.I18nLanguageSnippet.t, default: nil) - The snippet object contains basic details about the i18n language, such as language code and human-readable name."},{"ref":"GoogleApi.YouTube.V3.Model.I18nLanguage.html#decode/2","title":"GoogleApi.YouTube.V3.Model.I18nLanguage.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.I18nLanguage.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.I18nLanguage.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.I18nLanguageListResponse.html","title":"GoogleApi.YouTube.V3.Model.I18nLanguageListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.I18nLanguage.t), default: nil) - A list of supported i18n languages. In this map, the i18n language ID is the map key, and its value is the corresponding i18nLanguage resource. kind (type: String.t, default: youtube#i18nLanguageListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#i18nLanguageListResponse&quot;. visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.I18nLanguageListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.I18nLanguageListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.I18nLanguageListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.I18nLanguageListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.I18nLanguageSnippet.html","title":"GoogleApi.YouTube.V3.Model.I18nLanguageSnippet","type":"module","doc":"Basic details about an i18n language, such as language code and human-readable name. Attributes hl (type: String.t, default: nil) - A short BCP-47 code that uniquely identifies a language. name (type: String.t, default: nil) - The human-readable name of the language in the language itself."},{"ref":"GoogleApi.YouTube.V3.Model.I18nLanguageSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.I18nLanguageSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.I18nLanguageSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.I18nLanguageSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.I18nRegion.html","title":"GoogleApi.YouTube.V3.Model.I18nRegion","type":"module","doc":"A i18nRegion resource identifies a region where YouTube is available. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the i18n region. kind (type: String.t, default: youtube#i18nRegion) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#i18nRegion&quot;. snippet (type: GoogleApi.YouTube.V3.Model.I18nRegionSnippet.t, default: nil) - The snippet object contains basic details about the i18n region, such as region code and human-readable name."},{"ref":"GoogleApi.YouTube.V3.Model.I18nRegion.html#decode/2","title":"GoogleApi.YouTube.V3.Model.I18nRegion.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.I18nRegion.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.I18nRegion.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.I18nRegionListResponse.html","title":"GoogleApi.YouTube.V3.Model.I18nRegionListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.I18nRegion.t), default: nil) - A list of regions where YouTube is available. In this map, the i18n region ID is the map key, and its value is the corresponding i18nRegion resource. kind (type: String.t, default: youtube#i18nRegionListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#i18nRegionListResponse&quot;. visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.I18nRegionListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.I18nRegionListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.I18nRegionListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.I18nRegionListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.I18nRegionSnippet.html","title":"GoogleApi.YouTube.V3.Model.I18nRegionSnippet","type":"module","doc":"Basic details about an i18n region, such as region code and human-readable name. Attributes gl (type: String.t, default: nil) - The region code as a 2-letter ISO country code. name (type: String.t, default: nil) - The human-readable name of the region."},{"ref":"GoogleApi.YouTube.V3.Model.I18nRegionSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.I18nRegionSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.I18nRegionSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.I18nRegionSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ImageSettings.html","title":"GoogleApi.YouTube.V3.Model.ImageSettings","type":"module","doc":"Branding properties for images associated with the channel. Attributes backgroundImageUrl (type: GoogleApi.YouTube.V3.Model.LocalizedProperty.t, default: nil) - The URL for the background image shown on the video watch page. The image should be 1200px by 615px, with a maximum file size of 128k. bannerExternalUrl (type: String.t, default: nil) - This is used only in update requests; if it&#39;s set, we use this URL to generate all of the above banner URLs. bannerImageUrl (type: String.t, default: nil) - Banner image. Desktop size (1060x175). bannerMobileExtraHdImageUrl (type: String.t, default: nil) - Banner image. Mobile size high resolution (1440x395). bannerMobileHdImageUrl (type: String.t, default: nil) - Banner image. Mobile size high resolution (1280x360). bannerMobileImageUrl (type: String.t, default: nil) - Banner image. Mobile size (640x175). bannerMobileLowImageUrl (type: String.t, default: nil) - Banner image. Mobile size low resolution (320x88). bannerMobileMediumHdImageUrl (type: String.t, default: nil) - Banner image. Mobile size medium/high resolution (960x263). bannerTabletExtraHdImageUrl (type: String.t, default: nil) - Banner image. Tablet size extra high resolution (2560x424). bannerTabletHdImageUrl (type: String.t, default: nil) - Banner image. Tablet size high resolution (2276x377). bannerTabletImageUrl (type: String.t, default: nil) - Banner image. Tablet size (1707x283). bannerTabletLowImageUrl (type: String.t, default: nil) - Banner image. Tablet size low resolution (1138x188). bannerTvHighImageUrl (type: String.t, default: nil) - Banner image. TV size high resolution (1920x1080). bannerTvImageUrl (type: String.t, default: nil) - Banner image. TV size extra high resolution (2120x1192). bannerTvLowImageUrl (type: String.t, default: nil) - Banner image. TV size low resolution (854x480). bannerTvMediumImageUrl (type: String.t, default: nil) - Banner image. TV size medium resolution (1280x720). largeBrandedBannerImageImapScript (type: GoogleApi.YouTube.V3.Model.LocalizedProperty.t, default: nil) - The image map script for the large banner image. largeBrandedBannerImageUrl (type: GoogleApi.YouTube.V3.Model.LocalizedProperty.t, default: nil) - The URL for the 854px by 70px image that appears below the video player in the expanded video view of the video watch page. smallBrandedBannerImageImapScript (type: GoogleApi.YouTube.V3.Model.LocalizedProperty.t, default: nil) - The image map script for the small banner image. smallBrandedBannerImageUrl (type: GoogleApi.YouTube.V3.Model.LocalizedProperty.t, default: nil) - The URL for the 640px by 70px banner image that appears below the video player in the default view of the video watch page. trackingImageUrl (type: String.t, default: nil) - The URL for a 1px by 1px tracking pixel that can be used to collect statistics for views of the channel or video pages. watchIconImageUrl (type: String.t, default: nil) - The URL for the image that appears above the top-left corner of the video player. This is a 25-pixel-high image with a flexible width that cannot exceed 170 pixels."},{"ref":"GoogleApi.YouTube.V3.Model.ImageSettings.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ImageSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ImageSettings.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ImageSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.IngestionInfo.html","title":"GoogleApi.YouTube.V3.Model.IngestionInfo","type":"module","doc":"Describes information necessary for ingesting an RTMP or an HTTP stream. Attributes backupIngestionAddress (type: String.t, default: nil) - The backup ingestion URL that you should use to stream video to YouTube. You have the option of simultaneously streaming the content that you are sending to the ingestionAddress to this URL. ingestionAddress (type: String.t, default: nil) - The primary ingestion URL that you should use to stream video to YouTube. You must stream video to this URL. Depending on which application or tool you use to encode your video stream, you may need to enter the stream URL and stream name separately or you may need to concatenate them in the following format: STREAM_URL/STREAM_NAME streamName (type: String.t, default: nil) - The HTTP or RTMP stream name that YouTube assigns to the video stream."},{"ref":"GoogleApi.YouTube.V3.Model.IngestionInfo.html#decode/2","title":"GoogleApi.YouTube.V3.Model.IngestionInfo.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.IngestionInfo.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.IngestionInfo.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.InvideoBranding.html","title":"GoogleApi.YouTube.V3.Model.InvideoBranding","type":"module","doc":"Attributes imageBytes (type: String.t, default: nil) - imageUrl (type: String.t, default: nil) - position (type: GoogleApi.YouTube.V3.Model.InvideoPosition.t, default: nil) - targetChannelId (type: String.t, default: nil) - timing (type: GoogleApi.YouTube.V3.Model.InvideoTiming.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.InvideoBranding.html#decode/2","title":"GoogleApi.YouTube.V3.Model.InvideoBranding.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.InvideoBranding.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.InvideoBranding.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.InvideoPosition.html","title":"GoogleApi.YouTube.V3.Model.InvideoPosition","type":"module","doc":"Describes the spatial position of a visual widget inside a video. It is a union of various position types, out of which only will be set one. Attributes cornerPosition (type: String.t, default: nil) - Describes in which corner of the video the visual widget will appear. type (type: String.t, default: nil) - Defines the position type."},{"ref":"GoogleApi.YouTube.V3.Model.InvideoPosition.html#decode/2","title":"GoogleApi.YouTube.V3.Model.InvideoPosition.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.InvideoPosition.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.InvideoPosition.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.InvideoPromotion.html","title":"GoogleApi.YouTube.V3.Model.InvideoPromotion","type":"module","doc":"Describes an invideo promotion campaign consisting of multiple promoted items. A campaign belongs to a single channel_id. Attributes defaultTiming (type: GoogleApi.YouTube.V3.Model.InvideoTiming.t, default: nil) - The default temporal position within the video where the promoted item will be displayed. Can be overriden by more specific timing in the item. items (type: list(GoogleApi.YouTube.V3.Model.PromotedItem.t), default: nil) - List of promoted items in decreasing priority. position (type: GoogleApi.YouTube.V3.Model.InvideoPosition.t, default: nil) - The spatial position within the video where the promoted item will be displayed. useSmartTiming (type: boolean(), default: nil) - Indicates whether the channel&#39;s promotional campaign uses &quot;smart timing.&quot; This feature attempts to show promotions at a point in the video when they are more likely to be clicked and less likely to disrupt the viewing experience. This feature also picks up a single promotion to show on each video."},{"ref":"GoogleApi.YouTube.V3.Model.InvideoPromotion.html#decode/2","title":"GoogleApi.YouTube.V3.Model.InvideoPromotion.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.InvideoPromotion.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.InvideoPromotion.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.InvideoTiming.html","title":"GoogleApi.YouTube.V3.Model.InvideoTiming","type":"module","doc":"Describes a temporal position of a visual widget inside a video. Attributes durationMs (type: String.t, default: nil) - Defines the duration in milliseconds for which the promotion should be displayed. If missing, the client should use the default. offsetMs (type: String.t, default: nil) - Defines the time at which the promotion will appear. Depending on the value of type the value of the offsetMs field will represent a time offset from the start or from the end of the video, expressed in milliseconds. type (type: String.t, default: nil) - Describes a timing type. If the value is offsetFromStart, then the offsetMs field represents an offset from the start of the video. If the value is offsetFromEnd, then the offsetMs field represents an offset from the end of the video."},{"ref":"GoogleApi.YouTube.V3.Model.InvideoTiming.html#decode/2","title":"GoogleApi.YouTube.V3.Model.InvideoTiming.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.InvideoTiming.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.InvideoTiming.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LanguageTag.html","title":"GoogleApi.YouTube.V3.Model.LanguageTag","type":"module","doc":"Attributes value (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LanguageTag.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LanguageTag.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LanguageTag.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LanguageTag.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LevelDetails.html","title":"GoogleApi.YouTube.V3.Model.LevelDetails","type":"module","doc":"Attributes displayName (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LevelDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LevelDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LevelDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LevelDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcast.html","title":"GoogleApi.YouTube.V3.Model.LiveBroadcast","type":"module","doc":"A liveBroadcast resource represents an event that will be streamed, via live video, on YouTube. Attributes contentDetails (type: GoogleApi.YouTube.V3.Model.LiveBroadcastContentDetails.t, default: nil) - The contentDetails object contains information about the event&#39;s video content, such as whether the content can be shown in an embedded video player or if it will be archived and therefore available for viewing after the event has concluded. etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube assigns to uniquely identify the broadcast. kind (type: String.t, default: youtube#liveBroadcast) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#liveBroadcast&quot;. snippet (type: GoogleApi.YouTube.V3.Model.LiveBroadcastSnippet.t, default: nil) - The snippet object contains basic details about the event, including its title, description, start time, and end time. statistics (type: GoogleApi.YouTube.V3.Model.LiveBroadcastStatistics.t, default: nil) - The statistics object contains info about the event&#39;s current stats. These include concurrent viewers and total chat count. Statistics can change (in either direction) during the lifetime of an event. Statistics are only returned while the event is live. status (type: GoogleApi.YouTube.V3.Model.LiveBroadcastStatus.t, default: nil) - The status object contains information about the event&#39;s status."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcast.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveBroadcast.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcast.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveBroadcast.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastContentDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastContentDetails","type":"module","doc":"Detailed settings of a broadcast. Attributes boundStreamId (type: String.t, default: nil) - This value uniquely identifies the live stream bound to the broadcast. boundStreamLastUpdateTimeMs (type: DateTime.t, default: nil) - The date and time that the live stream referenced by boundStreamId was last updated. closedCaptionsType (type: String.t, default: nil) - enableAutoStart (type: boolean(), default: nil) - This setting indicates whether auto start is enabled for this broadcast. enableClosedCaptions (type: boolean(), default: nil) - This setting indicates whether HTTP POST closed captioning is enabled for this broadcast. The ingestion URL of the closed captions is returned through the liveStreams API. This is mutually exclusive with using the closed_captions_type property, and is equivalent to setting closed_captions_type to CLOSED_CAPTIONS_HTTP_POST. enableContentEncryption (type: boolean(), default: nil) - This setting indicates whether YouTube should enable content encryption for the broadcast. enableDvr (type: boolean(), default: nil) - This setting determines whether viewers can access DVR controls while watching the video. DVR controls enable the viewer to control the video playback experience by pausing, rewinding, or fast forwarding content. The default value for this property is true. Important: You must set the value to true and also set the enableArchive property&#39;s value to true if you want to make playback available immediately after the broadcast ends. enableEmbed (type: boolean(), default: nil) - This setting indicates whether the broadcast video can be played in an embedded player. If you choose to archive the video (using the enableArchive property), this setting will also apply to the archived video. enableLowLatency (type: boolean(), default: nil) - Indicates whether this broadcast has low latency enabled. latencyPreference (type: String.t, default: nil) - If both this and enable_low_latency are set, they must match. LATENCY_NORMAL should match enable_low_latency=false LATENCY_LOW should match enable_low_latency=true LATENCY_ULTRA_LOW should have enable_low_latency omitted. mesh (type: String.t, default: nil) - monitorStream (type: GoogleApi.YouTube.V3.Model.MonitorStreamInfo.t, default: nil) - The monitorStream object contains information about the monitor stream, which the broadcaster can use to review the event content before the broadcast stream is shown publicly. projection (type: String.t, default: nil) - The projection format of this broadcast. This defaults to rectangular. recordFromStart (type: boolean(), default: nil) - Automatically start recording after the event goes live. The default value for this property is true. Important: You must also set the enableDvr property&#39;s value to true if you want the playback to be available immediately after the broadcast ends. If you set this property&#39;s value to true but do not also set the enableDvr property to true, there may be a delay of around one day before the archived video will be available for playback. startWithSlate (type: boolean(), default: nil) - This setting indicates whether the broadcast should automatically begin with an in-stream slate when you update the broadcast&#39;s status to live. After updating the status, you then need to send a liveCuepoints.insert request that sets the cuepoint&#39;s eventState to end to remove the in-stream slate and make your broadcast stream visible to viewers. stereoLayout (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastContentDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastContentDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastContentDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastContentDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastListResponse.html","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.LiveBroadcast.t), default: nil) - A list of broadcasts that match the request criteria. kind (type: String.t, default: youtube#liveBroadcastListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#liveBroadcastListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastSnippet.html","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastSnippet","type":"module","doc":"Attributes actualEndTime (type: DateTime.t, default: nil) - The date and time that the broadcast actually ended. This information is only available once the broadcast&#39;s state is complete. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. actualStartTime (type: DateTime.t, default: nil) - The date and time that the broadcast actually started. This information is only available once the broadcast&#39;s state is live. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. broadcastType (type: String.t, default: nil) - channelId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the channel that is publishing the broadcast. description (type: String.t, default: nil) - The broadcast&#39;s description. As with the title, you can set this field by modifying the broadcast resource or by setting the description field of the corresponding video resource. isDefaultBroadcast (type: boolean(), default: nil) - liveChatId (type: String.t, default: nil) - The id of the live chat for this broadcast. publishedAt (type: DateTime.t, default: nil) - The date and time that the broadcast was added to YouTube&#39;s live broadcast schedule. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. scheduledEndTime (type: DateTime.t, default: nil) - The date and time that the broadcast is scheduled to end. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. scheduledStartTime (type: DateTime.t, default: nil) - The date and time that the broadcast is scheduled to start. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. thumbnails (type: GoogleApi.YouTube.V3.Model.ThumbnailDetails.t, default: nil) - A map of thumbnail images associated with the broadcast. For each nested object in this object, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail. title (type: String.t, default: nil) - The broadcast&#39;s title. Note that the broadcast represents exactly one YouTube video. You can set this field by modifying the broadcast resource or by setting the title field of the corresponding video resource."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatistics.html","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatistics","type":"module","doc":"Statistics about the live broadcast. These represent a snapshot of the values at the time of the request. Statistics are only returned for live broadcasts. Attributes concurrentViewers (type: String.t, default: nil) - The number of viewers currently watching the broadcast. The property and its value will be present if the broadcast has current viewers and the broadcast owner has not hidden the viewcount for the video. Note that YouTube stops tracking the number of concurrent viewers for a broadcast when the broadcast ends. So, this property would not identify the number of viewers watching an archived video of a live broadcast that already ended. totalChatCount (type: String.t, default: nil) - The total number of live chat messages currently on the broadcast. The property and its value will be present if the broadcast is public, has the live chat feature enabled, and has at least one message. Note that this field will not be filled after the broadcast ends. So this property would not identify the number of chat messages for an archived video of a completed live broadcast."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatistics.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatistics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatistics.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatistics.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatus.html","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatus","type":"module","doc":"Attributes lifeCycleStatus (type: String.t, default: nil) - The broadcast&#39;s status. The status can be updated using the API&#39;s liveBroadcasts.transition method. liveBroadcastPriority (type: String.t, default: nil) - Priority of the live broadcast event (internal state). privacyStatus (type: String.t, default: nil) - The broadcast&#39;s privacy status. Note that the broadcast represents exactly one YouTube video, so the privacy settings are identical to those supported for videos. In addition, you can set this field by modifying the broadcast resource or by setting the privacyStatus field of the corresponding video resource. recordingStatus (type: String.t, default: nil) - The broadcast&#39;s recording status."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatus.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatus.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatus.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveBroadcastStatus.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatBan.html","title":"GoogleApi.YouTube.V3.Model.LiveChatBan","type":"module","doc":"A liveChatBan resource represents a ban for a YouTube live chat. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube assigns to uniquely identify the ban. kind (type: String.t, default: youtube#liveChatBan) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#liveChatBan&quot;. snippet (type: GoogleApi.YouTube.V3.Model.LiveChatBanSnippet.t, default: nil) - The snippet object contains basic details about the ban."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatBan.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatBan.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatBan.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatBan.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatBanSnippet.html","title":"GoogleApi.YouTube.V3.Model.LiveChatBanSnippet","type":"module","doc":"Attributes banDurationSeconds (type: String.t, default: nil) - The duration of a ban, only filled if the ban has type TEMPORARY. bannedUserDetails (type: GoogleApi.YouTube.V3.Model.ChannelProfileDetails.t, default: nil) - liveChatId (type: String.t, default: nil) - The chat this ban is pertinent to. type (type: String.t, default: nil) - The type of ban."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatBanSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatBanSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatBanSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatBanSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatFanFundingEventDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatFanFundingEventDetails","type":"module","doc":"Attributes amountDisplayString (type: String.t, default: nil) - A rendered string that displays the fund amount and currency to the user. amountMicros (type: String.t, default: nil) - The amount of the fund. currency (type: String.t, default: nil) - The currency in which the fund was made. userComment (type: String.t, default: nil) - The comment added by the user to this fan funding event."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatFanFundingEventDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatFanFundingEventDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatFanFundingEventDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatFanFundingEventDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessage.html","title":"GoogleApi.YouTube.V3.Model.LiveChatMessage","type":"module","doc":"A liveChatMessage resource represents a chat message in a YouTube Live Chat. Attributes authorDetails (type: GoogleApi.YouTube.V3.Model.LiveChatMessageAuthorDetails.t, default: nil) - The authorDetails object contains basic details about the user that posted this message. etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube assigns to uniquely identify the message. kind (type: String.t, default: youtube#liveChatMessage) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#liveChatMessage&quot;. snippet (type: GoogleApi.YouTube.V3.Model.LiveChatMessageSnippet.t, default: nil) - The snippet object contains basic details about the message."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessage.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatMessage.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessage.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatMessage.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageAuthorDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageAuthorDetails","type":"module","doc":"Attributes channelId (type: String.t, default: nil) - The YouTube channel ID. channelUrl (type: String.t, default: nil) - The channel&#39;s URL. displayName (type: String.t, default: nil) - The channel&#39;s display name. isChatModerator (type: boolean(), default: nil) - Whether the author is a moderator of the live chat. isChatOwner (type: boolean(), default: nil) - Whether the author is the owner of the live chat. isChatSponsor (type: boolean(), default: nil) - Whether the author is a sponsor of the live chat. isVerified (type: boolean(), default: nil) - Whether the author&#39;s identity has been verified by YouTube. profileImageUrl (type: String.t, default: nil) - The channels&#39;s avatar URL."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageAuthorDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageAuthorDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageAuthorDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageAuthorDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageDeletedDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageDeletedDetails","type":"module","doc":"Attributes deletedMessageId (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageDeletedDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageDeletedDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageDeletedDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageDeletedDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageListResponse.html","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.LiveChatMessage.t), default: nil) - A list of live chat messages. kind (type: String.t, default: youtube#liveChatMessageListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#liveChatMessageListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. offlineAt (type: DateTime.t, default: nil) - The date and time when the underlying stream went offline. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - pollingIntervalMillis (type: integer(), default: nil) - The amount of time the client should wait before polling again. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageRetractedDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageRetractedDetails","type":"module","doc":"Attributes retractedMessageId (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageRetractedDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageRetractedDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageRetractedDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageRetractedDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageSnippet.html","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageSnippet","type":"module","doc":"Attributes authorChannelId (type: String.t, default: nil) - The ID of the user that authored this message, this field is not always filled. textMessageEvent - the user that wrote the message fanFundingEvent - the user that funded the broadcast newSponsorEvent - the user that just became a sponsor messageDeletedEvent - the moderator that took the action messageRetractedEvent - the author that retracted their message userBannedEvent - the moderator that took the action superChatEvent - the user that made the purchase displayMessage (type: String.t, default: nil) - Contains a string that can be displayed to the user. If this field is not present the message is silent, at the moment only messages of type TOMBSTONE and CHAT_ENDED_EVENT are silent. fanFundingEventDetails (type: GoogleApi.YouTube.V3.Model.LiveChatFanFundingEventDetails.t, default: nil) - Details about the funding event, this is only set if the type is &#39;fanFundingEvent&#39;. hasDisplayContent (type: boolean(), default: nil) - Whether the message has display content that should be displayed to users. liveChatId (type: String.t, default: nil) - messageDeletedDetails (type: GoogleApi.YouTube.V3.Model.LiveChatMessageDeletedDetails.t, default: nil) - messageRetractedDetails (type: GoogleApi.YouTube.V3.Model.LiveChatMessageRetractedDetails.t, default: nil) - pollClosedDetails (type: GoogleApi.YouTube.V3.Model.LiveChatPollClosedDetails.t, default: nil) - pollEditedDetails (type: GoogleApi.YouTube.V3.Model.LiveChatPollEditedDetails.t, default: nil) - pollOpenedDetails (type: GoogleApi.YouTube.V3.Model.LiveChatPollOpenedDetails.t, default: nil) - pollVotedDetails (type: GoogleApi.YouTube.V3.Model.LiveChatPollVotedDetails.t, default: nil) - publishedAt (type: DateTime.t, default: nil) - The date and time when the message was orignally published. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. superChatDetails (type: GoogleApi.YouTube.V3.Model.LiveChatSuperChatDetails.t, default: nil) - Details about the Super Chat event, this is only set if the type is &#39;superChatEvent&#39;. superStickerDetails (type: GoogleApi.YouTube.V3.Model.LiveChatSuperStickerDetails.t, default: nil) - Details about the Super Sticker event, this is only set if the type is &#39;superStickerEvent&#39;. textMessageDetails (type: GoogleApi.YouTube.V3.Model.LiveChatTextMessageDetails.t, default: nil) - Details about the text message, this is only set if the type is &#39;textMessageEvent&#39;. type (type: String.t, default: nil) - The type of message, this will always be present, it determines the contents of the message as well as which fields will be present. userBannedDetails (type: GoogleApi.YouTube.V3.Model.LiveChatUserBannedMessageDetails.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatMessageSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatMessageSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatModerator.html","title":"GoogleApi.YouTube.V3.Model.LiveChatModerator","type":"module","doc":"A liveChatModerator resource represents a moderator for a YouTube live chat. A chat moderator has the ability to ban/unban users from a chat, remove message, etc. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube assigns to uniquely identify the moderator. kind (type: String.t, default: youtube#liveChatModerator) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#liveChatModerator&quot;. snippet (type: GoogleApi.YouTube.V3.Model.LiveChatModeratorSnippet.t, default: nil) - The snippet object contains basic details about the moderator."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatModerator.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatModerator.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatModerator.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatModerator.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatModeratorListResponse.html","title":"GoogleApi.YouTube.V3.Model.LiveChatModeratorListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.LiveChatModerator.t), default: nil) - A list of moderators that match the request criteria. kind (type: String.t, default: youtube#liveChatModeratorListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#liveChatModeratorListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatModeratorListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatModeratorListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatModeratorListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatModeratorListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatModeratorSnippet.html","title":"GoogleApi.YouTube.V3.Model.LiveChatModeratorSnippet","type":"module","doc":"Attributes liveChatId (type: String.t, default: nil) - The ID of the live chat this moderator can act on. moderatorDetails (type: GoogleApi.YouTube.V3.Model.ChannelProfileDetails.t, default: nil) - Details about the moderator."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatModeratorSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatModeratorSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatModeratorSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatModeratorSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollClosedDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatPollClosedDetails","type":"module","doc":"Attributes pollId (type: String.t, default: nil) - The id of the poll that was closed."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollClosedDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatPollClosedDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollClosedDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatPollClosedDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollEditedDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatPollEditedDetails","type":"module","doc":"Attributes id (type: String.t, default: nil) - items (type: list(GoogleApi.YouTube.V3.Model.LiveChatPollItem.t), default: nil) - prompt (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollEditedDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatPollEditedDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollEditedDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatPollEditedDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollItem.html","title":"GoogleApi.YouTube.V3.Model.LiveChatPollItem","type":"module","doc":"Attributes description (type: String.t, default: nil) - Plain text description of the item. itemId (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollItem.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatPollItem.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollItem.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatPollItem.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollOpenedDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatPollOpenedDetails","type":"module","doc":"Attributes id (type: String.t, default: nil) - items (type: list(GoogleApi.YouTube.V3.Model.LiveChatPollItem.t), default: nil) - prompt (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollOpenedDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatPollOpenedDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollOpenedDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatPollOpenedDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollVotedDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatPollVotedDetails","type":"module","doc":"Attributes itemId (type: String.t, default: nil) - The poll item the user chose. pollId (type: String.t, default: nil) - The poll the user voted on."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollVotedDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatPollVotedDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatPollVotedDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatPollVotedDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatSuperChatDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatSuperChatDetails","type":"module","doc":"Attributes amountDisplayString (type: String.t, default: nil) - A rendered string that displays the fund amount and currency to the user. amountMicros (type: String.t, default: nil) - The amount purchased by the user, in micros (1,750,000 micros = 1.75). currency (type: String.t, default: nil) - The currency in which the purchase was made. tier (type: integer(), default: nil) - The tier in which the amount belongs. Lower amounts belong to lower tiers. The lowest tier is 1. userComment (type: String.t, default: nil) - The comment added by the user to this Super Chat event."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatSuperChatDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatSuperChatDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatSuperChatDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatSuperChatDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatSuperStickerDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatSuperStickerDetails","type":"module","doc":"Attributes amountDisplayString (type: String.t, default: nil) - A rendered string that displays the fund amount and currency to the user. amountMicros (type: String.t, default: nil) - The amount purchased by the user, in micros (1,750,000 micros = 1.75). currency (type: String.t, default: nil) - The currency in which the purchase was made. superStickerMetadata (type: GoogleApi.YouTube.V3.Model.SuperStickerMetadata.t, default: nil) - Information about the Super Sticker. tier (type: integer(), default: nil) - The tier in which the amount belongs. Lower amounts belong to lower tiers. The lowest tier is 1."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatSuperStickerDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatSuperStickerDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatSuperStickerDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatSuperStickerDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatTextMessageDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatTextMessageDetails","type":"module","doc":"Attributes messageText (type: String.t, default: nil) - The user&#39;s message."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatTextMessageDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatTextMessageDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatTextMessageDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatTextMessageDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatUserBannedMessageDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveChatUserBannedMessageDetails","type":"module","doc":"Attributes banDurationSeconds (type: String.t, default: nil) - The duration of the ban. This property is only present if the banType is temporary. banType (type: String.t, default: nil) - The type of ban. bannedUserDetails (type: GoogleApi.YouTube.V3.Model.ChannelProfileDetails.t, default: nil) - The details of the user that was banned."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatUserBannedMessageDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveChatUserBannedMessageDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveChatUserBannedMessageDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveChatUserBannedMessageDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveStream.html","title":"GoogleApi.YouTube.V3.Model.LiveStream","type":"module","doc":"A live stream describes a live ingestion point. Attributes cdn (type: GoogleApi.YouTube.V3.Model.CdnSettings.t, default: nil) - The cdn object defines the live stream&#39;s content delivery network (CDN) settings. These settings provide details about the manner in which you stream your content to YouTube. contentDetails (type: GoogleApi.YouTube.V3.Model.LiveStreamContentDetails.t, default: nil) - The content_details object contains information about the stream, including the closed captions ingestion URL. etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube assigns to uniquely identify the stream. kind (type: String.t, default: youtube#liveStream) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#liveStream&quot;. snippet (type: GoogleApi.YouTube.V3.Model.LiveStreamSnippet.t, default: nil) - The snippet object contains basic details about the stream, including its channel, title, and description. status (type: GoogleApi.YouTube.V3.Model.LiveStreamStatus.t, default: nil) - The status object contains information about live stream&#39;s status."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStream.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveStream.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStream.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveStream.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamConfigurationIssue.html","title":"GoogleApi.YouTube.V3.Model.LiveStreamConfigurationIssue","type":"module","doc":"Attributes description (type: String.t, default: nil) - The long-form description of the issue and how to resolve it. reason (type: String.t, default: nil) - The short-form reason for this issue. severity (type: String.t, default: nil) - How severe this issue is to the stream. type (type: String.t, default: nil) - The kind of error happening."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamConfigurationIssue.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveStreamConfigurationIssue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamConfigurationIssue.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveStreamConfigurationIssue.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamContentDetails.html","title":"GoogleApi.YouTube.V3.Model.LiveStreamContentDetails","type":"module","doc":"Detailed settings of a stream. Attributes closedCaptionsIngestionUrl (type: String.t, default: nil) - The ingestion URL where the closed captions of this stream are sent. isReusable (type: boolean(), default: nil) - Indicates whether the stream is reusable, which means that it can be bound to multiple broadcasts. It is common for broadcasters to reuse the same stream for many different broadcasts if those broadcasts occur at different times. If you set this value to false, then the stream will not be reusable, which means that it can only be bound to one broadcast. Non-reusable streams differ from reusable streams in the following ways: A non-reusable stream can only be bound to one broadcast. A non-reusable stream might be deleted by an automated process after the broadcast ends. The liveStreams.list method does not list non-reusable streams if you call the method and set the mine parameter to true. The only way to use that method to retrieve the resource for a non-reusable stream is to use the id parameter to identify the stream."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamContentDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveStreamContentDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamContentDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveStreamContentDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamHealthStatus.html","title":"GoogleApi.YouTube.V3.Model.LiveStreamHealthStatus","type":"module","doc":"Attributes configurationIssues (type: list(GoogleApi.YouTube.V3.Model.LiveStreamConfigurationIssue.t), default: nil) - The configurations issues on this stream lastUpdateTimeSeconds (type: String.t, default: nil) - The last time this status was updated (in seconds) status (type: String.t, default: nil) - The status code of this stream"},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamHealthStatus.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveStreamHealthStatus.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamHealthStatus.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveStreamHealthStatus.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamListResponse.html","title":"GoogleApi.YouTube.V3.Model.LiveStreamListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.LiveStream.t), default: nil) - A list of live streams that match the request criteria. kind (type: String.t, default: youtube#liveStreamListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#liveStreamListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveStreamListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveStreamListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamSnippet.html","title":"GoogleApi.YouTube.V3.Model.LiveStreamSnippet","type":"module","doc":"Attributes channelId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the channel that is transmitting the stream. description (type: String.t, default: nil) - The stream&#39;s description. The value cannot be longer than 10000 characters. isDefaultStream (type: boolean(), default: nil) - publishedAt (type: DateTime.t, default: nil) - The date and time that the stream was created. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. title (type: String.t, default: nil) - The stream&#39;s title. The value must be between 1 and 128 characters long."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveStreamSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveStreamSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamStatus.html","title":"GoogleApi.YouTube.V3.Model.LiveStreamStatus","type":"module","doc":"Brief description of the live stream status. Attributes healthStatus (type: GoogleApi.YouTube.V3.Model.LiveStreamHealthStatus.t, default: nil) - The health status of the stream. streamStatus (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamStatus.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LiveStreamStatus.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LiveStreamStatus.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LiveStreamStatus.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LocalizedProperty.html","title":"GoogleApi.YouTube.V3.Model.LocalizedProperty","type":"module","doc":"Attributes default (type: String.t, default: nil) - defaultLanguage (type: GoogleApi.YouTube.V3.Model.LanguageTag.t, default: nil) - The language of the default property. localized (type: list(GoogleApi.YouTube.V3.Model.LocalizedString.t), default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LocalizedProperty.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LocalizedProperty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LocalizedProperty.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LocalizedProperty.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.LocalizedString.html","title":"GoogleApi.YouTube.V3.Model.LocalizedString","type":"module","doc":"Attributes language (type: String.t, default: nil) - value (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.LocalizedString.html#decode/2","title":"GoogleApi.YouTube.V3.Model.LocalizedString.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.LocalizedString.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.LocalizedString.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Member.html","title":"GoogleApi.YouTube.V3.Model.Member","type":"module","doc":"A member resource represents a member for a YouTube channel. A member provides recurring monetary support to a creator and receives special benefits. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube assigns to uniquely identify the member. kind (type: String.t, default: youtube#member) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#member&quot;. snippet (type: GoogleApi.YouTube.V3.Model.MemberSnippet.t, default: nil) - The snippet object contains basic details about the member."},{"ref":"GoogleApi.YouTube.V3.Model.Member.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Member.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Member.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Member.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.MemberListResponse.html","title":"GoogleApi.YouTube.V3.Model.MemberListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.Member.t), default: nil) - A list of members that match the request criteria. kind (type: String.t, default: youtube#memberListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#memberListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.MemberListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.MemberListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.MemberListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.MemberListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.MemberSnippet.html","title":"GoogleApi.YouTube.V3.Model.MemberSnippet","type":"module","doc":"Attributes creatorChannelId (type: String.t, default: nil) - The id of the channel that&#39;s offering memberships. memberDetails (type: GoogleApi.YouTube.V3.Model.ChannelProfileDetails.t, default: nil) - Details about the member. membershipsDetails (type: GoogleApi.YouTube.V3.Model.MembershipsDetails.t, default: nil) - Details about the user&#39;s membership."},{"ref":"GoogleApi.YouTube.V3.Model.MemberSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.MemberSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.MemberSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.MemberSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsDetails.html","title":"GoogleApi.YouTube.V3.Model.MembershipsDetails","type":"module","doc":"Attributes accessibleLevels (type: list(String.t), default: nil) - All levels that the user has access to. This includes the purchased level and all other levels that are included because of a higher purchase. memberSince (type: String.t, default: nil) - The date and time when the user became a continuous member across all levels. memberSinceCurrentLevel (type: String.t, default: nil) - The date and time when the user started to continuously have access to the currently highest level. memberTotalDuration (type: integer(), default: nil) - The cumulative time the user has been a member across all levels in complete months (the time is rounded down to the nearest integer). memberTotalDurationCurrentLevel (type: integer(), default: nil) - The cumulative time the user has had access to the currently highest level in complete months (the time is rounded down to the nearest integer). purchasedLevel (type: String.t, default: nil) - The highest level the user has access to at the moment."},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.MembershipsDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.MembershipsDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsLevel.html","title":"GoogleApi.YouTube.V3.Model.MembershipsLevel","type":"module","doc":"A membershipsLevel resource represents an offer made by YouTube creators for their fans. Users can become members of the channel by joining one of the available levels. They will provide recurring monetary support and receives special benefits. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube assigns to uniquely identify the memberships level. kind (type: String.t, default: youtube#membershipsLevel) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#membershipsLevel&quot;. snippet (type: GoogleApi.YouTube.V3.Model.MembershipsLevelSnippet.t, default: nil) - The snippet object contains basic details about the level."},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsLevel.html#decode/2","title":"GoogleApi.YouTube.V3.Model.MembershipsLevel.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsLevel.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.MembershipsLevel.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsLevelListResponse.html","title":"GoogleApi.YouTube.V3.Model.MembershipsLevelListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.MembershipsLevel.t), default: nil) - A list of pricing levels offered by a creator to the fans. kind (type: String.t, default: youtube#membershipsLevelListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#membershipsLevelListResponse&quot;. visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsLevelListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.MembershipsLevelListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsLevelListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.MembershipsLevelListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsLevelSnippet.html","title":"GoogleApi.YouTube.V3.Model.MembershipsLevelSnippet","type":"module","doc":"Attributes creatorChannelId (type: String.t, default: nil) - The id of the channel that&#39;s offering channel memberships. levelDetails (type: GoogleApi.YouTube.V3.Model.LevelDetails.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsLevelSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.MembershipsLevelSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.MembershipsLevelSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.MembershipsLevelSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.MonitorStreamInfo.html","title":"GoogleApi.YouTube.V3.Model.MonitorStreamInfo","type":"module","doc":"Settings and Info of the monitor stream Attributes broadcastStreamDelayMs (type: integer(), default: nil) - If you have set the enableMonitorStream property to true, then this property determines the length of the live broadcast delay. embedHtml (type: String.t, default: nil) - HTML code that embeds a player that plays the monitor stream. enableMonitorStream (type: boolean(), default: nil) - This value determines whether the monitor stream is enabled for the broadcast. If the monitor stream is enabled, then YouTube will broadcast the event content on a special stream intended only for the broadcaster&#39;s consumption. The broadcaster can use the stream to review the event content and also to identify the optimal times to insert cuepoints. You need to set this value to true if you intend to have a broadcast delay for your event. Note: This property cannot be updated once the broadcast is in the testing or live state."},{"ref":"GoogleApi.YouTube.V3.Model.MonitorStreamInfo.html#decode/2","title":"GoogleApi.YouTube.V3.Model.MonitorStreamInfo.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.MonitorStreamInfo.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.MonitorStreamInfo.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Nonprofit.html","title":"GoogleApi.YouTube.V3.Model.Nonprofit","type":"module","doc":"Nonprofit information. Attributes nonprofitId (type: GoogleApi.YouTube.V3.Model.NonprofitId.t, default: nil) - Id of the nonprofit. nonprofitLegalName (type: String.t, default: nil) - Legal name of the nonprofit."},{"ref":"GoogleApi.YouTube.V3.Model.Nonprofit.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Nonprofit.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Nonprofit.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Nonprofit.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.NonprofitId.html","title":"GoogleApi.YouTube.V3.Model.NonprofitId","type":"module","doc":"Attributes value (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.NonprofitId.html#decode/2","title":"GoogleApi.YouTube.V3.Model.NonprofitId.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.NonprofitId.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.NonprofitId.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PageInfo.html","title":"GoogleApi.YouTube.V3.Model.PageInfo","type":"module","doc":"Paging details for lists of resources, including total number of items available and number of resources returned in a single page. Attributes resultsPerPage (type: integer(), default: nil) - The number of results included in the API response. totalResults (type: integer(), default: nil) - The total number of results in the result set."},{"ref":"GoogleApi.YouTube.V3.Model.PageInfo.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PageInfo.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PageInfo.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PageInfo.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Playlist.html","title":"GoogleApi.YouTube.V3.Model.Playlist","type":"module","doc":"A playlist resource represents a YouTube playlist. A playlist is a collection of videos that can be viewed sequentially and shared with other users. A playlist can contain up to 200 videos, and YouTube does not limit the number of playlists that each user creates. By default, playlists are publicly visible to other users, but playlists can be public or private. YouTube also uses playlists to identify special collections of videos for a channel, such as: uploaded videos favorite videos positively rated (liked) videos watch history watch later To be more specific, these lists are associated with a channel, which is a collection of a person, group, or company&#39;s videos, playlists, and other YouTube information. You can retrieve the playlist IDs for each of these lists from the channel resource for a given channel. You can then use the playlistItems.list method to retrieve any of those lists. You can also add or remove items from those lists by calling the playlistItems.insert and playlistItems.delete methods. Attributes contentDetails (type: GoogleApi.YouTube.V3.Model.PlaylistContentDetails.t, default: nil) - The contentDetails object contains information like video count. etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the playlist. kind (type: String.t, default: youtube#playlist) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#playlist&quot;. localizations (type: %{optional(String.t) =&gt; GoogleApi.YouTube.V3.Model.PlaylistLocalization.t}, default: nil) - Localizations for different languages player (type: GoogleApi.YouTube.V3.Model.PlaylistPlayer.t, default: nil) - The player object contains information that you would use to play the playlist in an embedded player. snippet (type: GoogleApi.YouTube.V3.Model.PlaylistSnippet.t, default: nil) - The snippet object contains basic details about the playlist, such as its title and description. status (type: GoogleApi.YouTube.V3.Model.PlaylistStatus.t, default: nil) - The status object contains status information for the playlist."},{"ref":"GoogleApi.YouTube.V3.Model.Playlist.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Playlist.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Playlist.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Playlist.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistContentDetails.html","title":"GoogleApi.YouTube.V3.Model.PlaylistContentDetails","type":"module","doc":"Attributes itemCount (type: integer(), default: nil) - The number of videos in the playlist."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistContentDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistContentDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistContentDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistContentDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItem.html","title":"GoogleApi.YouTube.V3.Model.PlaylistItem","type":"module","doc":"A playlistItem resource identifies another resource, such as a video, that is included in a playlist. In addition, the playlistItem resource contains details about the included resource that pertain specifically to how that resource is used in that playlist. YouTube uses playlists to identify special collections of videos for a channel, such as: uploaded videos favorite videos positively rated (liked) videos watch history watch later To be more specific, these lists are associated with a channel, which is a collection of a person, group, or company&#39;s videos, playlists, and other YouTube information. You can retrieve the playlist IDs for each of these lists from the channel resource for a given channel. You can then use the playlistItems.list method to retrieve any of those lists. You can also add or remove items from those lists by calling the playlistItems.insert and playlistItems.delete methods. For example, if a user gives a positive rating to a video, you would insert that video into the liked videos playlist for that user&#39;s channel. Attributes contentDetails (type: GoogleApi.YouTube.V3.Model.PlaylistItemContentDetails.t, default: nil) - The contentDetails object is included in the resource if the included item is a YouTube video. The object contains additional information about the video. etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the playlist item. kind (type: String.t, default: youtube#playlistItem) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#playlistItem&quot;. snippet (type: GoogleApi.YouTube.V3.Model.PlaylistItemSnippet.t, default: nil) - The snippet object contains basic details about the playlist item, such as its title and position in the playlist. status (type: GoogleApi.YouTube.V3.Model.PlaylistItemStatus.t, default: nil) - The status object contains information about the playlist item&#39;s privacy status."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItem.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistItem.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItem.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistItem.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemContentDetails.html","title":"GoogleApi.YouTube.V3.Model.PlaylistItemContentDetails","type":"module","doc":"Attributes endAt (type: String.t, default: nil) - The time, measured in seconds from the start of the video, when the video should stop playing. (The playlist owner can specify the times when the video should start and stop playing when the video is played in the context of the playlist.) By default, assume that the video.endTime is the end of the video. note (type: String.t, default: nil) - A user-generated note for this item. startAt (type: String.t, default: nil) - The time, measured in seconds from the start of the video, when the video should start playing. (The playlist owner can specify the times when the video should start and stop playing when the video is played in the context of the playlist.) The default value is 0. videoId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify a video. To retrieve the video resource, set the id query parameter to this value in your API request. videoPublishedAt (type: DateTime.t, default: nil) - The date and time that the video was published to YouTube. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemContentDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistItemContentDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemContentDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistItemContentDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemListResponse.html","title":"GoogleApi.YouTube.V3.Model.PlaylistItemListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.PlaylistItem.t), default: nil) - A list of playlist items that match the request criteria. kind (type: String.t, default: youtube#playlistItemListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#playlistItemListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistItemListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistItemListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemSnippet.html","title":"GoogleApi.YouTube.V3.Model.PlaylistItemSnippet","type":"module","doc":"Basic details about a playlist, including title, description and thumbnails. Attributes channelId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the user that added the item to the playlist. channelTitle (type: String.t, default: nil) - Channel title for the channel that the playlist item belongs to. description (type: String.t, default: nil) - The item&#39;s description. playlistId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the playlist that the playlist item is in. position (type: integer(), default: nil) - The order in which the item appears in the playlist. The value uses a zero-based index, so the first item has a position of 0, the second item has a position of 1, and so forth. publishedAt (type: DateTime.t, default: nil) - The date and time that the item was added to the playlist. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The id object contains information that can be used to uniquely identify the resource that is included in the playlist as the playlist item. thumbnails (type: GoogleApi.YouTube.V3.Model.ThumbnailDetails.t, default: nil) - A map of thumbnail images associated with the playlist item. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail. title (type: String.t, default: nil) - The item&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistItemSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistItemSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemStatus.html","title":"GoogleApi.YouTube.V3.Model.PlaylistItemStatus","type":"module","doc":"Information about the playlist item&#39;s privacy status. Attributes privacyStatus (type: String.t, default: nil) - This resource&#39;s privacy status."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemStatus.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistItemStatus.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistItemStatus.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistItemStatus.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistListResponse.html","title":"GoogleApi.YouTube.V3.Model.PlaylistListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.Playlist.t), default: nil) - A list of playlists that match the request criteria. kind (type: String.t, default: youtube#playlistListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#playlistListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistLocalization.html","title":"GoogleApi.YouTube.V3.Model.PlaylistLocalization","type":"module","doc":"Playlist localization setting Attributes description (type: String.t, default: nil) - The localized strings for playlist&#39;s description. title (type: String.t, default: nil) - The localized strings for playlist&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistLocalization.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistLocalization.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistLocalization.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistLocalization.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistPlayer.html","title":"GoogleApi.YouTube.V3.Model.PlaylistPlayer","type":"module","doc":"Attributes embedHtml (type: String.t, default: nil) - An tag that embeds a player that will play the playlist."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistPlayer.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistPlayer.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistPlayer.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistPlayer.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistSnippet.html","title":"GoogleApi.YouTube.V3.Model.PlaylistSnippet","type":"module","doc":"Basic details about a playlist, including title, description and thumbnails. Attributes channelId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the channel that published the playlist. channelTitle (type: String.t, default: nil) - The channel title of the channel that the video belongs to. defaultLanguage (type: String.t, default: nil) - The language of the playlist&#39;s default title and description. description (type: String.t, default: nil) - The playlist&#39;s description. localized (type: GoogleApi.YouTube.V3.Model.PlaylistLocalization.t, default: nil) - Localized title and description, read-only. publishedAt (type: DateTime.t, default: nil) - The date and time that the playlist was created. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. tags (type: list(String.t), default: nil) - Keyword tags associated with the playlist. thumbnails (type: GoogleApi.YouTube.V3.Model.ThumbnailDetails.t, default: nil) - A map of thumbnail images associated with the playlist. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail. title (type: String.t, default: nil) - The playlist&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistStatus.html","title":"GoogleApi.YouTube.V3.Model.PlaylistStatus","type":"module","doc":"Attributes privacyStatus (type: String.t, default: nil) - The playlist&#39;s privacy status."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistStatus.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PlaylistStatus.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PlaylistStatus.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PlaylistStatus.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PromotedItem.html","title":"GoogleApi.YouTube.V3.Model.PromotedItem","type":"module","doc":"Describes a single promoted item. Attributes customMessage (type: String.t, default: nil) - A custom message to display for this promotion. This field is currently ignored unless the promoted item is a website. id (type: GoogleApi.YouTube.V3.Model.PromotedItemId.t, default: nil) - Identifies the promoted item. promotedByContentOwner (type: boolean(), default: nil) - If true, the content owner&#39;s name will be used when displaying the promotion. This field can only be set when the update is made on behalf of the content owner. timing (type: GoogleApi.YouTube.V3.Model.InvideoTiming.t, default: nil) - The temporal position within the video where the promoted item will be displayed. If present, it overrides the default timing."},{"ref":"GoogleApi.YouTube.V3.Model.PromotedItem.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PromotedItem.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PromotedItem.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PromotedItem.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PromotedItemId.html","title":"GoogleApi.YouTube.V3.Model.PromotedItemId","type":"module","doc":"Describes a single promoted item id. It is a union of various possible types. Attributes recentlyUploadedBy (type: String.t, default: nil) - If type is recentUpload, this field identifies the channel from which to take the recent upload. If missing, the channel is assumed to be the same channel for which the invideoPromotion is set. type (type: String.t, default: nil) - Describes the type of the promoted item. videoId (type: String.t, default: nil) - If the promoted item represents a video, this field represents the unique YouTube ID identifying it. This field will be present only if type has the value video. websiteUrl (type: String.t, default: nil) - If the promoted item represents a website, this field represents the url pointing to the website. This field will be present only if type has the value website."},{"ref":"GoogleApi.YouTube.V3.Model.PromotedItemId.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PromotedItemId.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PromotedItemId.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PromotedItemId.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.PropertyValue.html","title":"GoogleApi.YouTube.V3.Model.PropertyValue","type":"module","doc":"A pair Property / Value. Attributes property (type: String.t, default: nil) - A property. value (type: String.t, default: nil) - The property&#39;s value."},{"ref":"GoogleApi.YouTube.V3.Model.PropertyValue.html#decode/2","title":"GoogleApi.YouTube.V3.Model.PropertyValue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.PropertyValue.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.PropertyValue.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ResourceId.html","title":"GoogleApi.YouTube.V3.Model.ResourceId","type":"module","doc":"A resource id is a generic reference that points to another YouTube resource. Attributes channelId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the referred resource, if that resource is a channel. This property is only present if the resourceId.kind value is youtube#channel. kind (type: String.t, default: nil) - The type of the API resource. playlistId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the referred resource, if that resource is a playlist. This property is only present if the resourceId.kind value is youtube#playlist. videoId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the referred resource, if that resource is a video. This property is only present if the resourceId.kind value is youtube#video."},{"ref":"GoogleApi.YouTube.V3.Model.ResourceId.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ResourceId.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ResourceId.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ResourceId.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SearchListResponse.html","title":"GoogleApi.YouTube.V3.Model.SearchListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.SearchResult.t), default: nil) - A list of results that match the search criteria. kind (type: String.t, default: youtube#searchListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#searchListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. regionCode (type: String.t, default: nil) - tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.SearchListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SearchListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SearchListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SearchListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SearchResult.html","title":"GoogleApi.YouTube.V3.Model.SearchResult","type":"module","doc":"A search result contains information about a YouTube video, channel, or playlist that matches the search parameters specified in an API request. While a search result points to a uniquely identifiable resource, like a video, it does not have its own persistent data. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The id object contains information that can be used to uniquely identify the resource that matches the search request. kind (type: String.t, default: youtube#searchResult) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#searchResult&quot;. snippet (type: GoogleApi.YouTube.V3.Model.SearchResultSnippet.t, default: nil) - The snippet object contains basic details about a search result, such as its title or description. For example, if the search result is a video, then the title will be the video&#39;s title and the description will be the video&#39;s description."},{"ref":"GoogleApi.YouTube.V3.Model.SearchResult.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SearchResult.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SearchResult.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SearchResult.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SearchResultSnippet.html","title":"GoogleApi.YouTube.V3.Model.SearchResultSnippet","type":"module","doc":"Basic details about a search result, including title, description and thumbnails of the item referenced by the search result. Attributes channelId (type: String.t, default: nil) - The value that YouTube uses to uniquely identify the channel that published the resource that the search result identifies. channelTitle (type: String.t, default: nil) - The title of the channel that published the resource that the search result identifies. description (type: String.t, default: nil) - A description of the search result. liveBroadcastContent (type: String.t, default: nil) - It indicates if the resource (video or channel) has upcoming/active live broadcast content. Or it&#39;s &quot;none&quot; if there is not any upcoming/active live broadcasts. publishedAt (type: DateTime.t, default: nil) - The creation date and time of the resource that the search result identifies. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. thumbnails (type: GoogleApi.YouTube.V3.Model.ThumbnailDetails.t, default: nil) - A map of thumbnail images associated with the search result. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail. title (type: String.t, default: nil) - The title of the search result."},{"ref":"GoogleApi.YouTube.V3.Model.SearchResultSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SearchResultSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SearchResultSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SearchResultSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Sponsor.html","title":"GoogleApi.YouTube.V3.Model.Sponsor","type":"module","doc":"A sponsor resource represents a sponsor for a YouTube channel. A sponsor provides recurring monetary support to a creator and receives special benefits. Attributes etag (type: String.t, default: nil) - Etag of this resource. kind (type: String.t, default: youtube#sponsor) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#sponsor&quot;. snippet (type: GoogleApi.YouTube.V3.Model.SponsorSnippet.t, default: nil) - The snippet object contains basic details about the sponsor."},{"ref":"GoogleApi.YouTube.V3.Model.Sponsor.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Sponsor.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Sponsor.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Sponsor.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SponsorListResponse.html","title":"GoogleApi.YouTube.V3.Model.SponsorListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.Sponsor.t), default: nil) - A list of sponsors that match the request criteria. kind (type: String.t, default: youtube#sponsorListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#sponsorListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.SponsorListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SponsorListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SponsorListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SponsorListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SponsorSnippet.html","title":"GoogleApi.YouTube.V3.Model.SponsorSnippet","type":"module","doc":"Attributes channelId (type: String.t, default: nil) - The id of the channel being sponsored. cumulativeDurationMonths (type: integer(), default: nil) - The cumulative time a user has been a sponsor in months. sponsorDetails (type: GoogleApi.YouTube.V3.Model.ChannelProfileDetails.t, default: nil) - Details about the sponsor. sponsorSince (type: DateTime.t, default: nil) - The date and time when the user became a sponsor. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format."},{"ref":"GoogleApi.YouTube.V3.Model.SponsorSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SponsorSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SponsorSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SponsorSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Subscription.html","title":"GoogleApi.YouTube.V3.Model.Subscription","type":"module","doc":"A subscription resource contains information about a YouTube user subscription. A subscription notifies a user when new videos are added to a channel or when another user takes one of several actions on YouTube, such as uploading a video, rating a video, or commenting on a video. Attributes contentDetails (type: GoogleApi.YouTube.V3.Model.SubscriptionContentDetails.t, default: nil) - The contentDetails object contains basic statistics about the subscription. etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the subscription. kind (type: String.t, default: youtube#subscription) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#subscription&quot;. snippet (type: GoogleApi.YouTube.V3.Model.SubscriptionSnippet.t, default: nil) - The snippet object contains basic details about the subscription, including its title and the channel that the user subscribed to. subscriberSnippet (type: GoogleApi.YouTube.V3.Model.SubscriptionSubscriberSnippet.t, default: nil) - The subscriberSnippet object contains basic details about the sbuscriber."},{"ref":"GoogleApi.YouTube.V3.Model.Subscription.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Subscription.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Subscription.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Subscription.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionContentDetails.html","title":"GoogleApi.YouTube.V3.Model.SubscriptionContentDetails","type":"module","doc":"Details about the content to witch a subscription refers. Attributes activityType (type: String.t, default: nil) - The type of activity this subscription is for (only uploads, everything). newItemCount (type: integer(), default: nil) - The number of new items in the subscription since its content was last read. totalItemCount (type: integer(), default: nil) - The approximate number of items that the subscription points to."},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionContentDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SubscriptionContentDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionContentDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SubscriptionContentDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionListResponse.html","title":"GoogleApi.YouTube.V3.Model.SubscriptionListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.Subscription.t), default: nil) - A list of subscriptions that match the request criteria. kind (type: String.t, default: youtube#subscriptionListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#subscriptionListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SubscriptionListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SubscriptionListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionSnippet.html","title":"GoogleApi.YouTube.V3.Model.SubscriptionSnippet","type":"module","doc":"Basic details about a subscription, including title, description and thumbnails of the subscribed item. Attributes channelId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the subscriber&#39;s channel. channelTitle (type: String.t, default: nil) - Channel title for the channel that the subscription belongs to. description (type: String.t, default: nil) - The subscription&#39;s details. publishedAt (type: DateTime.t, default: nil) - The date and time that the subscription was created. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. resourceId (type: GoogleApi.YouTube.V3.Model.ResourceId.t, default: nil) - The id object contains information about the channel that the user subscribed to. thumbnails (type: GoogleApi.YouTube.V3.Model.ThumbnailDetails.t, default: nil) - A map of thumbnail images associated with the video. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail. title (type: String.t, default: nil) - The subscription&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SubscriptionSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SubscriptionSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionSubscriberSnippet.html","title":"GoogleApi.YouTube.V3.Model.SubscriptionSubscriberSnippet","type":"module","doc":"Basic details about a subscription&#39;s subscriber including title, description, channel ID and thumbnails. Attributes channelId (type: String.t, default: nil) - The channel ID of the subscriber. description (type: String.t, default: nil) - The description of the subscriber. thumbnails (type: GoogleApi.YouTube.V3.Model.ThumbnailDetails.t, default: nil) - Thumbnails for this subscriber. title (type: String.t, default: nil) - The title of the subscriber."},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionSubscriberSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SubscriptionSubscriberSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SubscriptionSubscriberSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SubscriptionSubscriberSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SuperChatEvent.html","title":"GoogleApi.YouTube.V3.Model.SuperChatEvent","type":"module","doc":"A superChatEvent resource represents a Super Chat purchase on a YouTube channel. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube assigns to uniquely identify the Super Chat event. kind (type: String.t, default: youtube#superChatEvent) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#superChatEvent&quot;. snippet (type: GoogleApi.YouTube.V3.Model.SuperChatEventSnippet.t, default: nil) - The snippet object contains basic details about the Super Chat event."},{"ref":"GoogleApi.YouTube.V3.Model.SuperChatEvent.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SuperChatEvent.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SuperChatEvent.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SuperChatEvent.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SuperChatEventListResponse.html","title":"GoogleApi.YouTube.V3.Model.SuperChatEventListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.SuperChatEvent.t), default: nil) - A list of Super Chat purchases that match the request criteria. kind (type: String.t, default: youtube#superChatEventListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#superChatEventListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.SuperChatEventListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SuperChatEventListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SuperChatEventListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SuperChatEventListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SuperChatEventSnippet.html","title":"GoogleApi.YouTube.V3.Model.SuperChatEventSnippet","type":"module","doc":"Attributes amountMicros (type: String.t, default: nil) - The purchase amount, in micros of the purchase currency. e.g., 1 is represented as 1000000. channelId (type: String.t, default: nil) - Channel id where the event occurred. commentText (type: String.t, default: nil) - The text contents of the comment left by the user. createdAt (type: DateTime.t, default: nil) - The date and time when the event occurred. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. currency (type: String.t, default: nil) - The currency in which the purchase was made. ISO 4217. displayString (type: String.t, default: nil) - A rendered string that displays the purchase amount and currency (e.g., &quot;$1.00&quot;). The string is rendered for the given language. isSuperChatForGood (type: boolean(), default: nil) - True if this event is a Super Chat for Good purchase. isSuperStickerEvent (type: boolean(), default: nil) - True if this event is a Super Sticker event. messageType (type: integer(), default: nil) - The tier for the paid message, which is based on the amount of money spent to purchase the message. nonprofit (type: GoogleApi.YouTube.V3.Model.Nonprofit.t, default: nil) - If this event is a Super Chat for Good purchase, this field will contain information about the charity the purchase is donated to. superStickerMetadata (type: GoogleApi.YouTube.V3.Model.SuperStickerMetadata.t, default: nil) - If this event is a Super Sticker event, this field will contain metadata about the Super Sticker. supporterDetails (type: GoogleApi.YouTube.V3.Model.ChannelProfileDetails.t, default: nil) - Details about the supporter."},{"ref":"GoogleApi.YouTube.V3.Model.SuperChatEventSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SuperChatEventSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SuperChatEventSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SuperChatEventSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.SuperStickerMetadata.html","title":"GoogleApi.YouTube.V3.Model.SuperStickerMetadata","type":"module","doc":"Attributes altText (type: String.t, default: nil) - Internationalized alt text that describes the sticker image and any animation associated with it. altTextLanguage (type: String.t, default: nil) - Specifies the localization language in which the alt text is returned. stickerId (type: String.t, default: nil) - Unique identifier of the Super Sticker. This is a shorter form of the alt_text that includes pack name and a recognizable characteristic of the sticker."},{"ref":"GoogleApi.YouTube.V3.Model.SuperStickerMetadata.html#decode/2","title":"GoogleApi.YouTube.V3.Model.SuperStickerMetadata.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.SuperStickerMetadata.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.SuperStickerMetadata.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Thumbnail.html","title":"GoogleApi.YouTube.V3.Model.Thumbnail","type":"module","doc":"A thumbnail is an image representing a YouTube resource. Attributes height (type: integer(), default: nil) - (Optional) Height of the thumbnail image. url (type: String.t, default: nil) - The thumbnail image&#39;s URL. width (type: integer(), default: nil) - (Optional) Width of the thumbnail image."},{"ref":"GoogleApi.YouTube.V3.Model.Thumbnail.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Thumbnail.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Thumbnail.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Thumbnail.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ThumbnailDetails.html","title":"GoogleApi.YouTube.V3.Model.ThumbnailDetails","type":"module","doc":"Internal representation of thumbnails for a YouTube resource. Attributes default (type: GoogleApi.YouTube.V3.Model.Thumbnail.t, default: nil) - The default image for this resource. high (type: GoogleApi.YouTube.V3.Model.Thumbnail.t, default: nil) - The high quality image for this resource. maxres (type: GoogleApi.YouTube.V3.Model.Thumbnail.t, default: nil) - The maximum resolution quality image for this resource. medium (type: GoogleApi.YouTube.V3.Model.Thumbnail.t, default: nil) - The medium quality image for this resource. standard (type: GoogleApi.YouTube.V3.Model.Thumbnail.t, default: nil) - The standard quality image for this resource."},{"ref":"GoogleApi.YouTube.V3.Model.ThumbnailDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ThumbnailDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ThumbnailDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ThumbnailDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.ThumbnailSetResponse.html","title":"GoogleApi.YouTube.V3.Model.ThumbnailSetResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.ThumbnailDetails.t), default: nil) - A list of thumbnails. kind (type: String.t, default: youtube#thumbnailSetResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#thumbnailSetResponse&quot;. visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.ThumbnailSetResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.ThumbnailSetResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.ThumbnailSetResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.ThumbnailSetResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.Video.html","title":"GoogleApi.YouTube.V3.Model.Video","type":"module","doc":"A video resource represents a YouTube video. Attributes ageGating (type: GoogleApi.YouTube.V3.Model.VideoAgeGating.t, default: nil) - Age restriction details related to a video. This data can only be retrieved by the video owner. contentDetails (type: GoogleApi.YouTube.V3.Model.VideoContentDetails.t, default: nil) - The contentDetails object contains information about the video content, including the length of the video and its aspect ratio. etag (type: String.t, default: nil) - Etag of this resource. fileDetails (type: GoogleApi.YouTube.V3.Model.VideoFileDetails.t, default: nil) - The fileDetails object encapsulates information about the video file that was uploaded to YouTube, including the file&#39;s resolution, duration, audio and video codecs, stream bitrates, and more. This data can only be retrieved by the video owner. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the video. kind (type: String.t, default: youtube#video) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#video&quot;. liveStreamingDetails (type: GoogleApi.YouTube.V3.Model.VideoLiveStreamingDetails.t, default: nil) - The liveStreamingDetails object contains metadata about a live video broadcast. The object will only be present in a video resource if the video is an upcoming, live, or completed live broadcast. localizations (type: %{optional(String.t) =&gt; GoogleApi.YouTube.V3.Model.VideoLocalization.t}, default: nil) - List with all localizations. monetizationDetails (type: GoogleApi.YouTube.V3.Model.VideoMonetizationDetails.t, default: nil) - The monetizationDetails object encapsulates information about the monetization status of the video. player (type: GoogleApi.YouTube.V3.Model.VideoPlayer.t, default: nil) - The player object contains information that you would use to play the video in an embedded player. processingDetails (type: GoogleApi.YouTube.V3.Model.VideoProcessingDetails.t, default: nil) - The processingDetails object encapsulates information about YouTube&#39;s progress in processing the uploaded video file. The properties in the object identify the current processing status and an estimate of the time remaining until YouTube finishes processing the video. This part also indicates whether different types of data or content, such as file details or thumbnail images, are available for the video. The processingProgress object is designed to be polled so that the video uploaded can track the progress that YouTube has made in processing the uploaded video file. This data can only be retrieved by the video owner. projectDetails (type: GoogleApi.YouTube.V3.Model.VideoProjectDetails.t, default: nil) - The projectDetails object contains information about the project specific video metadata. recordingDetails (type: GoogleApi.YouTube.V3.Model.VideoRecordingDetails.t, default: nil) - The recordingDetails object encapsulates information about the location, date and address where the video was recorded. snippet (type: GoogleApi.YouTube.V3.Model.VideoSnippet.t, default: nil) - The snippet object contains basic details about the video, such as its title, description, and category. statistics (type: GoogleApi.YouTube.V3.Model.VideoStatistics.t, default: nil) - The statistics object contains statistics about the video. status (type: GoogleApi.YouTube.V3.Model.VideoStatus.t, default: nil) - The status object contains information about the video&#39;s uploading, processing, and privacy statuses. suggestions (type: GoogleApi.YouTube.V3.Model.VideoSuggestions.t, default: nil) - The suggestions object encapsulates suggestions that identify opportunities to improve the video quality or the metadata for the uploaded video. This data can only be retrieved by the video owner. topicDetails (type: GoogleApi.YouTube.V3.Model.VideoTopicDetails.t, default: nil) - The topicDetails object encapsulates information about Freebase topics associated with the video."},{"ref":"GoogleApi.YouTube.V3.Model.Video.html#decode/2","title":"GoogleApi.YouTube.V3.Model.Video.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.Video.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.Video.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReport.html","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReport","type":"module","doc":"Attributes comments (type: String.t, default: nil) - Additional comments regarding the abuse report. language (type: String.t, default: nil) - The language that the content was viewed in. reasonId (type: String.t, default: nil) - The high-level, or primary, reason that the content is abusive. The value is an abuse report reason ID. secondaryReasonId (type: String.t, default: nil) - The specific, or secondary, reason that this content is abusive (if available). The value is an abuse report reason ID that is a valid secondary reason for the primary reason. videoId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the video."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReport.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReport.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReport.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReport.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReason.html","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReason","type":"module","doc":"A videoAbuseReportReason resource identifies a reason that a video could be reported as abusive. Video abuse report reasons are used with video.ReportAbuse. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID of this abuse report reason. kind (type: String.t, default: youtube#videoAbuseReportReason) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#videoAbuseReportReason&quot;. snippet (type: GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonSnippet.t, default: nil) - The snippet object contains basic details about the abuse report reason."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReason.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReason.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReason.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReason.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonListResponse.html","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.VideoAbuseReportReason.t), default: nil) - A list of valid abuse reasons that are used with video.ReportAbuse. kind (type: String.t, default: youtube#videoAbuseReportReasonListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#videoAbuseReportReasonListResponse&quot;. visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonSnippet.html","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonSnippet","type":"module","doc":"Basic details about a video category, such as its localized title. Attributes label (type: String.t, default: nil) - The localized label belonging to this abuse report reason. secondaryReasons (type: list(GoogleApi.YouTube.V3.Model.VideoAbuseReportSecondaryReason.t), default: nil) - The secondary reasons associated with this reason, if any are available. (There might be 0 or more.)"},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportReasonSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportSecondaryReason.html","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportSecondaryReason","type":"module","doc":"Attributes id (type: String.t, default: nil) - The ID of this abuse report secondary reason. label (type: String.t, default: nil) - The localized label for this abuse report secondary reason."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportSecondaryReason.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportSecondaryReason.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAbuseReportSecondaryReason.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoAbuseReportSecondaryReason.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoAgeGating.html","title":"GoogleApi.YouTube.V3.Model.VideoAgeGating","type":"module","doc":"Attributes alcoholContent (type: boolean(), default: nil) - Indicates whether or not the video has alcoholic beverage content. Only users of legal purchasing age in a particular country, as identified by ICAP, can view the content. restricted (type: boolean(), default: nil) - Age-restricted trailers. For redband trailers and adult-rated video-games. Only users aged 18+ can view the content. The the field is true the content is restricted to viewers aged 18+. Otherwise The field won&#39;t be present. videoGameRating (type: String.t, default: nil) - Video game rating, if any."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAgeGating.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoAgeGating.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoAgeGating.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoAgeGating.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoCategory.html","title":"GoogleApi.YouTube.V3.Model.VideoCategory","type":"module","doc":"A videoCategory resource identifies a category that has been or could be associated with uploaded videos. Attributes etag (type: String.t, default: nil) - Etag of this resource. id (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the video category. kind (type: String.t, default: youtube#videoCategory) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#videoCategory&quot;. snippet (type: GoogleApi.YouTube.V3.Model.VideoCategorySnippet.t, default: nil) - The snippet object contains basic details about the video category, including its title."},{"ref":"GoogleApi.YouTube.V3.Model.VideoCategory.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoCategory.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoCategory.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoCategory.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoCategoryListResponse.html","title":"GoogleApi.YouTube.V3.Model.VideoCategoryListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.VideoCategory.t), default: nil) - A list of video categories that can be associated with YouTube videos. In this map, the video category ID is the map key, and its value is the corresponding videoCategory resource. kind (type: String.t, default: youtube#videoCategoryListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#videoCategoryListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.VideoCategoryListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoCategoryListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoCategoryListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoCategoryListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoCategorySnippet.html","title":"GoogleApi.YouTube.V3.Model.VideoCategorySnippet","type":"module","doc":"Basic details about a video category, such as its localized title. Attributes assignable (type: boolean(), default: nil) - channelId (type: String.t, default: UCBR8-60-B28hp2BmDPdntcQ) - The YouTube channel that created the video category. title (type: String.t, default: nil) - The video category&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.VideoCategorySnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoCategorySnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoCategorySnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoCategorySnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoContentDetails.html","title":"GoogleApi.YouTube.V3.Model.VideoContentDetails","type":"module","doc":"Details about the content of a YouTube Video. Attributes caption (type: String.t, default: nil) - The value of captions indicates whether the video has captions or not. contentRating (type: GoogleApi.YouTube.V3.Model.ContentRating.t, default: nil) - Specifies the ratings that the video received under various rating schemes. countryRestriction (type: GoogleApi.YouTube.V3.Model.AccessPolicy.t, default: nil) - The countryRestriction object contains information about the countries where a video is (or is not) viewable. definition (type: String.t, default: nil) - The value of definition indicates whether the video is available in high definition or only in standard definition. dimension (type: String.t, default: nil) - The value of dimension indicates whether the video is available in 3D or in 2D. duration (type: String.t, default: nil) - The length of the video. The tag value is an ISO 8601 duration in the format PT#M#S, in which the letters PT indicate that the value specifies a period of time, and the letters M and S refer to length in minutes and seconds, respectively. The # characters preceding the M and S letters are both integers that specify the number of minutes (or seconds) of the video. For example, a value of PT15M51S indicates that the video is 15 minutes and 51 seconds long. hasCustomThumbnail (type: boolean(), default: nil) - Indicates whether the video uploader has provided a custom thumbnail image for the video. This property is only visible to the video uploader. licensedContent (type: boolean(), default: nil) - The value of is_license_content indicates whether the video is licensed content. projection (type: String.t, default: nil) - Specifies the projection format of the video. regionRestriction (type: GoogleApi.YouTube.V3.Model.VideoContentDetailsRegionRestriction.t, default: nil) - The regionRestriction object contains information about the countries where a video is (or is not) viewable. The object will contain either the contentDetails.regionRestriction.allowed property or the contentDetails.regionRestriction.blocked property."},{"ref":"GoogleApi.YouTube.V3.Model.VideoContentDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoContentDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoContentDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoContentDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoContentDetailsRegionRestriction.html","title":"GoogleApi.YouTube.V3.Model.VideoContentDetailsRegionRestriction","type":"module","doc":"DEPRECATED Region restriction of the video. Attributes allowed (type: list(String.t), default: nil) - A list of region codes that identify countries where the video is viewable. If this property is present and a country is not listed in its value, then the video is blocked from appearing in that country. If this property is present and contains an empty list, the video is blocked in all countries. blocked (type: list(String.t), default: nil) - A list of region codes that identify countries where the video is blocked. If this property is present and a country is not listed in its value, then the video is viewable in that country. If this property is present and contains an empty list, the video is viewable in all countries."},{"ref":"GoogleApi.YouTube.V3.Model.VideoContentDetailsRegionRestriction.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoContentDetailsRegionRestriction.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoContentDetailsRegionRestriction.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoContentDetailsRegionRestriction.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoFileDetails.html","title":"GoogleApi.YouTube.V3.Model.VideoFileDetails","type":"module","doc":"Describes original video file properties, including technical details about audio and video streams, but also metadata information like content length, digitization time, or geotagging information. Attributes audioStreams (type: list(GoogleApi.YouTube.V3.Model.VideoFileDetailsAudioStream.t), default: nil) - A list of audio streams contained in the uploaded video file. Each item in the list contains detailed metadata about an audio stream. bitrateBps (type: String.t, default: nil) - The uploaded video file&#39;s combined (video and audio) bitrate in bits per second. container (type: String.t, default: nil) - The uploaded video file&#39;s container format. creationTime (type: String.t, default: nil) - The date and time when the uploaded video file was created. The value is specified in ISO 8601 format. Currently, the following ISO 8601 formats are supported: Date only: YYYY-MM-DD Naive time: YYYY-MM-DDTHH:MM:SS Time with timezone: YYYY-MM-DDTHH:MM:SS+HH:MM durationMs (type: String.t, default: nil) - The length of the uploaded video in milliseconds. fileName (type: String.t, default: nil) - The uploaded file&#39;s name. This field is present whether a video file or another type of file was uploaded. fileSize (type: String.t, default: nil) - The uploaded file&#39;s size in bytes. This field is present whether a video file or another type of file was uploaded. fileType (type: String.t, default: nil) - The uploaded file&#39;s type as detected by YouTube&#39;s video processing engine. Currently, YouTube only processes video files, but this field is present whether a video file or another type of file was uploaded. videoStreams (type: list(GoogleApi.YouTube.V3.Model.VideoFileDetailsVideoStream.t), default: nil) - A list of video streams contained in the uploaded video file. Each item in the list contains detailed metadata about a video stream."},{"ref":"GoogleApi.YouTube.V3.Model.VideoFileDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoFileDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoFileDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoFileDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoFileDetailsAudioStream.html","title":"GoogleApi.YouTube.V3.Model.VideoFileDetailsAudioStream","type":"module","doc":"Information about an audio stream. Attributes bitrateBps (type: String.t, default: nil) - The audio stream&#39;s bitrate, in bits per second. channelCount (type: integer(), default: nil) - The number of audio channels that the stream contains. codec (type: String.t, default: nil) - The audio codec that the stream uses. vendor (type: String.t, default: nil) - A value that uniquely identifies a video vendor. Typically, the value is a four-letter vendor code."},{"ref":"GoogleApi.YouTube.V3.Model.VideoFileDetailsAudioStream.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoFileDetailsAudioStream.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoFileDetailsAudioStream.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoFileDetailsAudioStream.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoFileDetailsVideoStream.html","title":"GoogleApi.YouTube.V3.Model.VideoFileDetailsVideoStream","type":"module","doc":"Information about a video stream. Attributes aspectRatio (type: float(), default: nil) - The video content&#39;s display aspect ratio, which specifies the aspect ratio in which the video should be displayed. bitrateBps (type: String.t, default: nil) - The video stream&#39;s bitrate, in bits per second. codec (type: String.t, default: nil) - The video codec that the stream uses. frameRateFps (type: float(), default: nil) - The video stream&#39;s frame rate, in frames per second. heightPixels (type: integer(), default: nil) - The encoded video content&#39;s height in pixels. rotation (type: String.t, default: nil) - The amount that YouTube needs to rotate the original source content to properly display the video. vendor (type: String.t, default: nil) - A value that uniquely identifies a video vendor. Typically, the value is a four-letter vendor code. widthPixels (type: integer(), default: nil) - The encoded video content&#39;s width in pixels. You can calculate the video&#39;s encoding aspect ratio as width_pixels / height_pixels."},{"ref":"GoogleApi.YouTube.V3.Model.VideoFileDetailsVideoStream.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoFileDetailsVideoStream.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoFileDetailsVideoStream.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoFileDetailsVideoStream.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoGetRatingResponse.html","title":"GoogleApi.YouTube.V3.Model.VideoGetRatingResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.VideoRating.t), default: nil) - A list of ratings that match the request criteria. kind (type: String.t, default: youtube#videoGetRatingResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#videoGetRatingResponse&quot;. visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.VideoGetRatingResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoGetRatingResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoGetRatingResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoGetRatingResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoListResponse.html","title":"GoogleApi.YouTube.V3.Model.VideoListResponse","type":"module","doc":"Attributes etag (type: String.t, default: nil) - Etag of this resource. eventId (type: String.t, default: nil) - Serialized EventId of the request which produced this response. items (type: list(GoogleApi.YouTube.V3.Model.Video.t), default: nil) - A list of videos that match the request criteria. kind (type: String.t, default: youtube#videoListResponse) - Identifies what kind of resource this is. Value: the fixed string &quot;youtube#videoListResponse&quot;. nextPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set. pageInfo (type: GoogleApi.YouTube.V3.Model.PageInfo.t, default: nil) - prevPageToken (type: String.t, default: nil) - The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set. tokenPagination (type: GoogleApi.YouTube.V3.Model.TokenPagination.t, default: nil) - visitorId (type: String.t, default: nil) - The visitorId identifies the visitor."},{"ref":"GoogleApi.YouTube.V3.Model.VideoListResponse.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoListResponse.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoLiveStreamingDetails.html","title":"GoogleApi.YouTube.V3.Model.VideoLiveStreamingDetails","type":"module","doc":"Details about the live streaming metadata. Attributes activeLiveChatId (type: String.t, default: nil) - The ID of the currently active live chat attached to this video. This field is filled only if the video is a currently live broadcast that has live chat. Once the broadcast transitions to complete this field will be removed and the live chat closed down. For persistent broadcasts that live chat id will no longer be tied to this video but rather to the new video being displayed at the persistent page. actualEndTime (type: DateTime.t, default: nil) - The time that the broadcast actually ended. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. This value will not be available until the broadcast is over. actualStartTime (type: DateTime.t, default: nil) - The time that the broadcast actually started. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. This value will not be available until the broadcast begins. concurrentViewers (type: String.t, default: nil) - The number of viewers currently watching the broadcast. The property and its value will be present if the broadcast has current viewers and the broadcast owner has not hidden the viewcount for the video. Note that YouTube stops tracking the number of concurrent viewers for a broadcast when the broadcast ends. So, this property would not identify the number of viewers watching an archived video of a live broadcast that already ended. scheduledEndTime (type: DateTime.t, default: nil) - The time that the broadcast is scheduled to end. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. If the value is empty or the property is not present, then the broadcast is scheduled to continue indefinitely. scheduledStartTime (type: DateTime.t, default: nil) - The time that the broadcast is scheduled to begin. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format."},{"ref":"GoogleApi.YouTube.V3.Model.VideoLiveStreamingDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoLiveStreamingDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoLiveStreamingDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoLiveStreamingDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoLocalization.html","title":"GoogleApi.YouTube.V3.Model.VideoLocalization","type":"module","doc":"Localized versions of certain video properties (e.g. title). Attributes description (type: String.t, default: nil) - Localized version of the video&#39;s description. title (type: String.t, default: nil) - Localized version of the video&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.VideoLocalization.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoLocalization.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoLocalization.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoLocalization.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoMonetizationDetails.html","title":"GoogleApi.YouTube.V3.Model.VideoMonetizationDetails","type":"module","doc":"Details about monetization of a YouTube Video. Attributes access (type: GoogleApi.YouTube.V3.Model.AccessPolicy.t, default: nil) - The value of access indicates whether the video can be monetized or not."},{"ref":"GoogleApi.YouTube.V3.Model.VideoMonetizationDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoMonetizationDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoMonetizationDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoMonetizationDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoPlayer.html","title":"GoogleApi.YouTube.V3.Model.VideoPlayer","type":"module","doc":"Player to be used for a video playback. Attributes embedHeight (type: String.t, default: nil) - embedHtml (type: String.t, default: nil) - An tag that embeds a player that will play the video. embedWidth (type: String.t, default: nil) - The embed width"},{"ref":"GoogleApi.YouTube.V3.Model.VideoPlayer.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoPlayer.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoPlayer.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoPlayer.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoProcessingDetails.html","title":"GoogleApi.YouTube.V3.Model.VideoProcessingDetails","type":"module","doc":"Describes processing status and progress and availability of some other Video resource parts. Attributes editorSuggestionsAvailability (type: String.t, default: nil) - This value indicates whether video editing suggestions, which might improve video quality or the playback experience, are available for the video. You can retrieve these suggestions by requesting the suggestions part in your videos.list() request. fileDetailsAvailability (type: String.t, default: nil) - This value indicates whether file details are available for the uploaded video. You can retrieve a video&#39;s file details by requesting the fileDetails part in your videos.list() request. processingFailureReason (type: String.t, default: nil) - The reason that YouTube failed to process the video. This property will only have a value if the processingStatus property&#39;s value is failed. processingIssuesAvailability (type: String.t, default: nil) - This value indicates whether the video processing engine has generated suggestions that might improve YouTube&#39;s ability to process the the video, warnings that explain video processing problems, or errors that cause video processing problems. You can retrieve these suggestions by requesting the suggestions part in your videos.list() request. processingProgress (type: GoogleApi.YouTube.V3.Model.VideoProcessingDetailsProcessingProgress.t, default: nil) - The processingProgress object contains information about the progress YouTube has made in processing the video. The values are really only relevant if the video&#39;s processing status is processing. processingStatus (type: String.t, default: nil) - The video&#39;s processing status. This value indicates whether YouTube was able to process the video or if the video is still being processed. tagSuggestionsAvailability (type: String.t, default: nil) - This value indicates whether keyword (tag) suggestions are available for the video. Tags can be added to a video&#39;s metadata to make it easier for other users to find the video. You can retrieve these suggestions by requesting the suggestions part in your videos.list() request. thumbnailsAvailability (type: String.t, default: nil) - This value indicates whether thumbnail images have been generated for the video."},{"ref":"GoogleApi.YouTube.V3.Model.VideoProcessingDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoProcessingDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoProcessingDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoProcessingDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoProcessingDetailsProcessingProgress.html","title":"GoogleApi.YouTube.V3.Model.VideoProcessingDetailsProcessingProgress","type":"module","doc":"Video processing progress and completion time estimate. Attributes partsProcessed (type: String.t, default: nil) - The number of parts of the video that YouTube has already processed. You can estimate the percentage of the video that YouTube has already processed by calculating: 100 * parts_processed / parts_total Note that since the estimated number of parts could increase without a corresponding increase in the number of parts that have already been processed, it is possible that the calculated progress could periodically decrease while YouTube processes a video. partsTotal (type: String.t, default: nil) - An estimate of the total number of parts that need to be processed for the video. The number may be updated with more precise estimates while YouTube processes the video. timeLeftMs (type: String.t, default: nil) - An estimate of the amount of time, in millseconds, that YouTube needs to finish processing the video."},{"ref":"GoogleApi.YouTube.V3.Model.VideoProcessingDetailsProcessingProgress.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoProcessingDetailsProcessingProgress.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoProcessingDetailsProcessingProgress.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoProcessingDetailsProcessingProgress.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoProjectDetails.html","title":"GoogleApi.YouTube.V3.Model.VideoProjectDetails","type":"module","doc":"Project specific details about the content of a YouTube Video. Attributes tags (type: list(String.t), default: nil) - A list of project tags associated with the video during the upload."},{"ref":"GoogleApi.YouTube.V3.Model.VideoProjectDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoProjectDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoProjectDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoProjectDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoRating.html","title":"GoogleApi.YouTube.V3.Model.VideoRating","type":"module","doc":"Attributes rating (type: String.t, default: nil) - videoId (type: String.t, default: nil) -"},{"ref":"GoogleApi.YouTube.V3.Model.VideoRating.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoRating.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoRating.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoRating.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoRecordingDetails.html","title":"GoogleApi.YouTube.V3.Model.VideoRecordingDetails","type":"module","doc":"Recording information associated with the video. Attributes location (type: GoogleApi.YouTube.V3.Model.GeoPoint.t, default: nil) - The geolocation information associated with the video. locationDescription (type: String.t, default: nil) - The text description of the location where the video was recorded. recordingDate (type: DateTime.t, default: nil) - The date and time when the video was recorded. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sssZ) format."},{"ref":"GoogleApi.YouTube.V3.Model.VideoRecordingDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoRecordingDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoRecordingDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoRecordingDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoSnippet.html","title":"GoogleApi.YouTube.V3.Model.VideoSnippet","type":"module","doc":"Basic details about a video, including title, description, uploader, thumbnails and category. Attributes categoryId (type: String.t, default: nil) - The YouTube video category associated with the video. channelId (type: String.t, default: nil) - The ID that YouTube uses to uniquely identify the channel that the video was uploaded to. channelTitle (type: String.t, default: nil) - Channel title for the channel that the video belongs to. defaultAudioLanguage (type: String.t, default: nil) - The default_audio_language property specifies the language spoken in the video&#39;s default audio track. defaultLanguage (type: String.t, default: nil) - The language of the videos&#39;s default snippet. description (type: String.t, default: nil) - The video&#39;s description. liveBroadcastContent (type: String.t, default: nil) - Indicates if the video is an upcoming/active live broadcast. Or it&#39;s &quot;none&quot; if the video is not an upcoming/active live broadcast. localized (type: GoogleApi.YouTube.V3.Model.VideoLocalization.t, default: nil) - Localized snippet selected with the hl parameter. If no such localization exists, this field is populated with the default snippet. (Read-only) publishedAt (type: DateTime.t, default: nil) - The date and time that the video was uploaded. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. tags (type: list(String.t), default: nil) - A list of keyword tags associated with the video. Tags may contain spaces. thumbnails (type: GoogleApi.YouTube.V3.Model.ThumbnailDetails.t, default: nil) - A map of thumbnail images associated with the video. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail. title (type: String.t, default: nil) - The video&#39;s title."},{"ref":"GoogleApi.YouTube.V3.Model.VideoSnippet.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoSnippet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoSnippet.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoSnippet.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoStatistics.html","title":"GoogleApi.YouTube.V3.Model.VideoStatistics","type":"module","doc":"Statistics about the video, such as the number of times the video was viewed or liked. Attributes commentCount (type: String.t, default: nil) - The number of comments for the video. dislikeCount (type: String.t, default: nil) - The number of users who have indicated that they disliked the video by giving it a negative rating. favoriteCount (type: String.t, default: nil) - The number of users who currently have the video marked as a favorite video. likeCount (type: String.t, default: nil) - The number of users who have indicated that they liked the video by giving it a positive rating. viewCount (type: String.t, default: nil) - The number of times the video has been viewed."},{"ref":"GoogleApi.YouTube.V3.Model.VideoStatistics.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoStatistics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoStatistics.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoStatistics.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoStatus.html","title":"GoogleApi.YouTube.V3.Model.VideoStatus","type":"module","doc":"Basic details about a video category, such as its localized title. Attributes embeddable (type: boolean(), default: nil) - This value indicates if the video can be embedded on another website. failureReason (type: String.t, default: nil) - This value explains why a video failed to upload. This property is only present if the uploadStatus property indicates that the upload failed. license (type: String.t, default: nil) - The video&#39;s license. privacyStatus (type: String.t, default: nil) - The video&#39;s privacy status. publicStatsViewable (type: boolean(), default: nil) - This value indicates if the extended video statistics on the watch page can be viewed by everyone. Note that the view count, likes, etc will still be visible if this is disabled. publishAt (type: DateTime.t, default: nil) - The date and time when the video is scheduled to publish. It can be set only if the privacy status of the video is private. The value is specified in ISO 8601 (YYYY-MM-DDThh:mm:ss.sZ) format. rejectionReason (type: String.t, default: nil) - This value explains why YouTube rejected an uploaded video. This property is only present if the uploadStatus property indicates that the upload was rejected. uploadStatus (type: String.t, default: nil) - The status of the uploaded video."},{"ref":"GoogleApi.YouTube.V3.Model.VideoStatus.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoStatus.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoStatus.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoStatus.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoSuggestions.html","title":"GoogleApi.YouTube.V3.Model.VideoSuggestions","type":"module","doc":"Specifies suggestions on how to improve video content, including encoding hints, tag suggestions, and editor suggestions. Attributes editorSuggestions (type: list(String.t), default: nil) - A list of video editing operations that might improve the video quality or playback experience of the uploaded video. processingErrors (type: list(String.t), default: nil) - A list of errors that will prevent YouTube from successfully processing the uploaded video video. These errors indicate that, regardless of the video&#39;s current processing status, eventually, that status will almost certainly be failed. processingHints (type: list(String.t), default: nil) - A list of suggestions that may improve YouTube&#39;s ability to process the video. processingWarnings (type: list(String.t), default: nil) - A list of reasons why YouTube may have difficulty transcoding the uploaded video or that might result in an erroneous transcoding. These warnings are generated before YouTube actually processes the uploaded video file. In addition, they identify issues that are unlikely to cause the video processing to fail but that might cause problems such as sync issues, video artifacts, or a missing audio track. tagSuggestions (type: list(GoogleApi.YouTube.V3.Model.VideoSuggestionsTagSuggestion.t), default: nil) - A list of keyword tags that could be added to the video&#39;s metadata to increase the likelihood that users will locate your video when searching or browsing on YouTube."},{"ref":"GoogleApi.YouTube.V3.Model.VideoSuggestions.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoSuggestions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoSuggestions.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoSuggestions.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoSuggestionsTagSuggestion.html","title":"GoogleApi.YouTube.V3.Model.VideoSuggestionsTagSuggestion","type":"module","doc":"A single tag suggestion with it&#39;s relevance information. Attributes categoryRestricts (type: list(String.t), default: nil) - A set of video categories for which the tag is relevant. You can use this information to display appropriate tag suggestions based on the video category that the video uploader associates with the video. By default, tag suggestions are relevant for all categories if there are no restricts defined for the keyword. tag (type: String.t, default: nil) - The keyword tag suggested for the video."},{"ref":"GoogleApi.YouTube.V3.Model.VideoSuggestionsTagSuggestion.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoSuggestionsTagSuggestion.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoSuggestionsTagSuggestion.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoSuggestionsTagSuggestion.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.VideoTopicDetails.html","title":"GoogleApi.YouTube.V3.Model.VideoTopicDetails","type":"module","doc":"Freebase topic information related to the video. Attributes relevantTopicIds (type: list(String.t), default: nil) - Similar to topic_id, except that these topics are merely relevant to the video. These are topics that may be mentioned in, or appear in the video. You can retrieve information about each topic using Freebase Topic API. topicCategories (type: list(String.t), default: nil) - A list of Wikipedia URLs that provide a high-level description of the video&#39;s content. topicIds (type: list(String.t), default: nil) - A list of Freebase topic IDs that are centrally associated with the video. These are topics that are centrally featured in the video, and it can be said that the video is mainly about each of these. You can retrieve information about each topic using the Freebase Topic API."},{"ref":"GoogleApi.YouTube.V3.Model.VideoTopicDetails.html#decode/2","title":"GoogleApi.YouTube.V3.Model.VideoTopicDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.VideoTopicDetails.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.VideoTopicDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.YouTube.V3.Model.WatchSettings.html","title":"GoogleApi.YouTube.V3.Model.WatchSettings","type":"module","doc":"Branding properties for the watch. All deprecated. Attributes backgroundColor (type: String.t, default: nil) - The text color for the video watch page&#39;s branded area. featuredPlaylistId (type: String.t, default: nil) - An ID that uniquely identifies a playlist that displays next to the video player. textColor (type: String.t, default: nil) - The background color for the video watch page&#39;s branded area."},{"ref":"GoogleApi.YouTube.V3.Model.WatchSettings.html#decode/2","title":"GoogleApi.YouTube.V3.Model.WatchSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.YouTube.V3.Model.WatchSettings.html#t:t/0","title":"GoogleApi.YouTube.V3.Model.WatchSettings.t/0","type":"type","doc":""}]